#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x352bb326, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x74d115a0, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x7e3506d0, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xab9b28d1, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x89e37e08, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0xefb18280, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x47fc6784, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0xd89b61ee, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x39f9dfed, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xdf437aa9, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0xb3154fba, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x9bfe9031, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x4c3790c7, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x93f67ed0, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xfacb381a, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0xe0a836bd, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0xec71f95d, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x4430bc4c, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x691d14aa, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0xf376d71f, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x35e0af61, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x3b052ea9, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0xf032db62, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x6c013eb8, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x9c398d4e, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x0e382539, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xe8cfe9b3, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0xe3f8f74c, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0xc58728aa, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x011e9163, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x7cdd2b48, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc8099e2c, "kthread_queue_work" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0x302d5e72, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x56eaf562, "kthread_create_worker" },
	{ 0xbc887f72, "_dev_err" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0x59bf6f3a, "sched_set_fifo" },
	{ 0xe8c8df24, "crypto_register_aead" },
	{ 0xe5c5c2d7, "crypto_unregister_aead" },
	{ 0x122abf5b, "crypto_register_ahash" },
	{ 0x1fb94e33, "crypto_unregister_ahash" },
	{ 0xa998ef8e, "crypto_register_akcipher" },
	{ 0x5e4430bf, "crypto_unregister_akcipher" },
	{ 0xfca618b0, "crypto_register_kpp" },
	{ 0x5738ed04, "crypto_unregister_kpp" },
	{ 0xf66096ff, "crypto_register_skcipher" },
	{ 0x2a64dbc, "crypto_unregister_skcipher" },
	{ 0xb9b1ba63, "crypto_enqueue_request" },
	{ 0x2c6b6d30, "crypto_dequeue_request" },
	{ 0xd283b16, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x57c9dc62, "kthread_destroy_worker" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "34AAA044EF2676298B039B6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
