#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0x34217f34, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0x5c7971de, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0xa2775763, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0x95017e75, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0xed5fcbf5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbbf3eb3c, "crypto_aead_decrypt" },
	{ 0x3e093b0b, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7daa8b34, "crypto_unregister_aeads" },
	{ 0xd4d71804, "cryptd_skcipher_child" },
	{ 0x107bffae, "crypto_skcipher_decrypt" },
	{ 0xd4318f9d, "cryptd_alloc_skcipher" },
	{ 0x9089cc29, "crypto_aead_setkey" },
	{ 0xf66096ff, "crypto_register_skcipher" },
	{ 0x1d0b4ca7, "crypto_aead_encrypt" },
	{ 0xcd363575, "cryptd_aead_queued" },
	{ 0x2a64dbc, "crypto_unregister_skcipher" },
	{ 0xc628b966, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeb56d9a4, "cryptd_skcipher_queued" },
	{ 0x3a4fb4e, "cryptd_free_aead" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0xa463a6e5, "crypto_unregister_skciphers" },
	{ 0xef83ec2c, "cryptd_free_skcipher" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0xd4877601, "crypto_skcipher_encrypt" },
	{ 0xda4c888d, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x33a6b597, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0xe8c8df24, "crypto_register_aead" },
	{ 0xe5c5c2d7, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x9d8ea659, "crypto_register_aeads" },
	{ 0xb1400f6c, "pcpu_hot" },
	{ 0x71c819ef, "crypto_aead_setauthsize" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "1F54B96C0B189153427872F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
