#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0x1b716344, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0x5763e0f0, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0x4616fa7b, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0xa4cacf02, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0x99a5fffe, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0x88d0e575, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0xd28b79eb, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0xa0798052, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0xaa681b30, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0xb54ae9e1, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0x75fe24a2, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0x8d8f9b71, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0x01132940, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0x3a03ee7a, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0x54e84949, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0xac56d847, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0xcaab2757, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0xd2909779, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0x7badf652, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x471f1c92, "phy_set_mode_ext" },
	{ 0x7f54bb05, "phy_power_on" },
	{ 0xb646fb24, "phy_init" },
	{ 0x2f7eb0ba, "phy_power_off" },
	{ 0x13cea794, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x597a8556, "regulator_disable" },
	{ 0xc7fc2965, "regulator_put" },
	{ 0x37a0cba, "kfree" },
	{ 0xd8f17e57, "__pm_runtime_idle" },
	{ 0x173af599, "__pm_runtime_disable" },
	{ 0x3e85fdd0, "ata_host_resume" },
	{ 0xd75100b8, "ahci_reset_controller" },
	{ 0xc3a6a84d, "ahci_init_controller" },
	{ 0xb625bf57, "regulator_enable" },
	{ 0x4a685edf, "platform_get_irq" },
	{ 0x38a940e2, "ahci_save_initial_config" },
	{ 0x50e9714e, "ahci_set_em_messages" },
	{ 0x30f1197, "ata_host_alloc_pinfo" },
	{ 0xf2b33adc, "platform_get_resource" },
	{ 0x581d018e, "ata_port_desc" },
	{ 0xa7a78142, "ata_dummy_port_ops" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0xeb129220, "ahci_print_info" },
	{ 0xded7578e, "ahci_host_activate" },
	{ 0xe5ea1c59, "dma_set_mask" },
	{ 0xe3b8daa6, "dma_set_coherent_mask" },
	{ 0x4c590b4c, "ahci_reset_em" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbc887f72, "_dev_err" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0xb2176987, "devres_open_group" },
	{ 0x63219e67, "__devres_alloc_node" },
	{ 0x6fa0c05b, "devres_add" },
	{ 0x95f19d70, "platform_get_resource_byname" },
	{ 0xbcc42e3c, "devm_platform_ioremap_resource_byname" },
	{ 0xe83e1a79, "devm_clk_bulk_get_all" },
	{ 0xaf41f829, "devm_regulator_get" },
	{ 0x302d5e72, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3b2042e2, "devm_of_phy_get" },
	{ 0xcd843996, "regulator_get" },
	{ 0xb16e3482, "pm_runtime_enable" },
	{ 0x7ec90882, "__pm_runtime_resume" },
	{ 0x93d10d0f, "devres_remove_group" },
	{ 0xe9f9a7e5, "devm_platform_ioremap_resource" },
	{ 0x503285d1, "devres_release_group" },
	{ 0x50084563, "devm_reset_control_array_get" },
	{ 0xfc01d627, "devm_clk_get_optional" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0xb5021b9b, "ata_host_suspend" },
	{ 0xb19e3f7e, "__pm_runtime_set_status" },
	{ 0x582afeb5, "ahci_ops" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "AFCFA732A21B6242723F671");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
