#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gpuvm_range_valid, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_object_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_vm, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_objects, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_array, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_validate, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_add_fence, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain_prealloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_extobj_add, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_evict, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");

SYMBOL_CRC(drm_gpuvm_range_valid, 0xc7a1794b, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_object_alloc, 0xb033d43b, "_gpl");
SYMBOL_CRC(drm_gpuvm_init, 0xb96f4c3b, "_gpl");
SYMBOL_CRC(drm_gpuvm_put, 0xc4b0adef, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_vm, 0x8f500103, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_objects, 0x1962a691, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_range, 0xd5b8f71c, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock, 0x80c4063f, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_array, 0x5b1c794f, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_range, 0xa78694e5, "_gpl");
SYMBOL_CRC(drm_gpuvm_validate, 0x0cf5c285, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_add_fence, 0xf38065e1, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_create, 0xed920ee4, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_put, 0x626bbbf4, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_find, 0xd96ea48f, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain, 0x84387e3b, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain_prealloc, 0xcc3eab9d, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_extobj_add, 0x9e3e9d95, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_evict, 0x1f15cc59, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0x474bffdc, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0x30244216, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0x935316dd, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0x032c25f7, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0x91ea5b6f, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0x229ad08c, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0x2230d53b, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0x192cc029, "_gpl");
SYMBOL_CRC(drm_gpuvm_interval_empty, 0x9ef2cde6, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0x58da3d9a, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0x2a2a07ab, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0x3167c9a8, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map, 0x896e3888, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap, 0x3414f169, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map_ops_create, 0x5eecda6b, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap_ops_create, 0xca71921f, "_gpl");
SYMBOL_CRC(drm_gpuvm_prefetch_ops_create, 0xeea68db7, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_unmap_ops_create, 0xf2447dda, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0x531ff192, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x89e5b65b, "drm_gem_object_release" },
	{ 0x37a0cba, "kfree" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x76f4695, "drm_exec_prepare_array" },
	{ 0xbfffdbdd, "dma_resv_add_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0xea8d12fd, "drm_gem_private_object_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8a7edc47, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2b44c3e2, "drm_exec_prepare_obj" },
	{ 0xc562e0a2, "drm_exec_lock_obj" },
	{ 0xd86544e9, "drm_exec_init" },
	{ 0x4fab598c, "drm_exec_cleanup" },
	{ 0xf9656925, "drm_exec_fini" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "drm_exec");


MODULE_INFO(srcversion, "AE6034294DD56076A1A429C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
