#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xadb686fd, "drm_gem_simple_kms_begin_shadow_fb_access" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x4421ce6d, "drm_aperture_remove_conflicting_framebuffers" },
	{ 0x7368a91, "drmm_mode_config_init" },
	{ 0x77efc7a7, "vmbus_close" },
	{ 0xd8c9bc20, "pci_unregister_driver" },
	{ 0x6016adeb, "vmbus_recvpacket" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdcd43ab9, "drm_add_modes_noedid" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ef34ad, "drm_atomic_helper_commit" },
	{ 0xe7d37590, "drm_atomic_helper_check" },
	{ 0x44002060, "drm_atomic_helper_connector_destroy_state" },
	{ 0x2450cd7, "const_pcpu_hot" },
	{ 0xfc895b12, "drm_gem_mmap" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0xfacc5b6d, "drm_ioctl" },
	{ 0x786aefff, "drm_gem_simple_kms_destroy_shadow_plane_state" },
	{ 0x6ac604ec, "drm_dev_unplug" },
	{ 0x769fb33, "drm_connector_init" },
	{ 0xbc887f72, "_dev_err" },
	{ 0x751eae8f, "drm_mode_config_helper_suspend" },
	{ 0xfe1338ff, "vmbus_open" },
	{ 0x99dd16bc, "drm_atomic_helper_damage_merged" },
	{ 0x707a691f, "noop_llseek" },
	{ 0xe4cc7ad5, "drm_read" },
	{ 0x67c8e543, "drm_gem_fb_create_with_dirty" },
	{ 0x46a417ca, "vmbus_proto_version" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0x2c8351e6, "__devm_drm_dev_alloc" },
	{ 0xe0c73fad, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe16d4bcc, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x870dd20b, "drm_simple_display_pipe_init" },
	{ 0x9fdbc14c, "drm_connector_cleanup" },
	{ 0x44c6d0f8, "drm_fb_memcpy" },
	{ 0x31e2e77f, "vmbus_free_mmio" },
	{ 0xc9c3eed6, "drm_gem_simple_kms_duplicate_shadow_plane_state" },
	{ 0x90e467f, "__vmbus_driver_register" },
	{ 0xebeff764, "drm_helper_probe_single_connector_modes" },
	{ 0x725eb4b4, "drm_gem_simple_kms_reset_shadow_plane" },
	{ 0x5c350492, "drm_set_preferred_mode" },
	{ 0xdcff9ecb, "drm_atomic_helper_connector_reset" },
	{ 0x86a6d872, "vmbus_allocate_mmio" },
	{ 0xf0190c89, "drm_mode_config_reset" },
	{ 0xb8566693, "drm_mode_config_helper_resume" },
	{ 0xa7c5459b, "drm_fbdev_shmem_setup" },
	{ 0x6cbd087a, "drm_gem_simple_kms_end_shadow_fb_access" },
	{ 0x70c3f643, "drm_compat_ioctl" },
	{ 0x6c4fbeb7, "drm_dev_register" },
	{ 0x5ae8d190, "drm_release" },
	{ 0xa9a582ae, "vmbus_driver_unregister" },
	{ 0xea6cf9cd, "drm_open" },
	{ 0xb11a7083, "drm_poll" },
	{ 0xb3a57720, "drm_dev_enter" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x472f420a, "drm_plane_enable_fb_damage_clips" },
	{ 0x65b45cb, "complete" },
	{ 0xbbfcfd17, "drm_gem_shmem_dumb_create" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd47bc20b, "drm_atomic_helper_shutdown" },
	{ 0x8b0a4b64, "__pci_register_driver" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0x25d4985d, "vmbus_sendpacket" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "hv_vmbus");

MODULE_ALIAS("vmbus:02780ada77e3ac4a8e770558eb1073f8");
MODULE_ALIAS("pci:v00001414d00005353sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "B73BAD659770948D39A4CC2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
