#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2dc92a22, "devm_free_irq" },
	{ 0xbe7b3663, "i2c_del_adapter" },
	{ 0xc68e5f18, "pcim_iomap_regions" },
	{ 0xbc887f72, "_dev_err" },
	{ 0x9ae36788, "i2c_dw_acpi_configure" },
	{ 0x8fdec170, "i2c_parse_fw_timings" },
	{ 0xbc4a6884, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdb9fdcc8, "pm_runtime_forbid" },
	{ 0x919f0d11, "pm_runtime_allow" },
	{ 0xe8c408dc, "i2c_dw_validate_speed" },
	{ 0x2c2b129b, "i2c_dw_configure_master" },
	{ 0x831bff89, "dev_err_probe" },
	{ 0xc794ec6, "pcim_iomap_table" },
	{ 0x37ba6385, "__pm_runtime_suspend" },
	{ 0x6f9a6ad2, "set_primary_fwnode" },
	{ 0x294ddd5, "__pm_runtime_use_autosuspend" },
	{ 0xecfeea22, "pcim_enable_device" },
	{ 0xf8a22483, "pci_free_irq_vectors" },
	{ 0x47b5885d, "i2c_dw_probe_master" },
	{ 0xe067f1c5, "is_acpi_device_node" },
	{ 0x302d5e72, "devm_kmalloc" },
	{ 0xbb3df215, "pci_alloc_irq_vectors" },
	{ 0xa13584d0, "i2c_dw_adjust_bus_speed" },
	{ 0x705d3ae7, "pm_runtime_set_autosuspend_delay" },
	{ 0x3422e699, "i2c_new_ccgx_ucsi" },
	{ 0x8b0a4b64, "__pci_register_driver" },
	{ 0x568b82de, "pci_irq_vector" },
	{ 0xd8c9bc20, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "i2c-ccgx-ucsi");

MODULE_ALIAS("pci:v00008086d00000817sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000818sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000819sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000082Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000082Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000082Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001195sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001196sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F41sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F42sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F43sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F44sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F45sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F46sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F47sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009C61sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009C62sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BB9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BC0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007314sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007444sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007464sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "013F9620310D70D54B720B0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
