#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iio_dma_buffer_block_done, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_block_list_abort, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_request_update, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_enable, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_disable, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_read, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_write, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_usage, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_attach_dmabuf, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_detach_dmabuf, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_enqueue_dmabuf, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_lock_queue, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_unlock_queue, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_set_bytes_per_datum, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_set_length, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_init, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_exit, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_release, "_gpl", "");

SYMBOL_CRC(iio_dma_buffer_block_done, 0x04702e66, "_gpl");
SYMBOL_CRC(iio_dma_buffer_block_list_abort, 0x6bdd70e0, "_gpl");
SYMBOL_CRC(iio_dma_buffer_request_update, 0x5a60324d, "_gpl");
SYMBOL_CRC(iio_dma_buffer_enable, 0x2b97b0f8, "_gpl");
SYMBOL_CRC(iio_dma_buffer_disable, 0x880e2325, "_gpl");
SYMBOL_CRC(iio_dma_buffer_read, 0x475438a2, "_gpl");
SYMBOL_CRC(iio_dma_buffer_write, 0xac15ce32, "_gpl");
SYMBOL_CRC(iio_dma_buffer_usage, 0x48b46747, "_gpl");
SYMBOL_CRC(iio_dma_buffer_attach_dmabuf, 0xe0fe3367, "_gpl");
SYMBOL_CRC(iio_dma_buffer_detach_dmabuf, 0x4b3376d6, "_gpl");
SYMBOL_CRC(iio_dma_buffer_enqueue_dmabuf, 0x3effb477, "_gpl");
SYMBOL_CRC(iio_dma_buffer_lock_queue, 0x05bd1ff8, "_gpl");
SYMBOL_CRC(iio_dma_buffer_unlock_queue, 0xdae7bdf2, "_gpl");
SYMBOL_CRC(iio_dma_buffer_set_bytes_per_datum, 0xfef84292, "_gpl");
SYMBOL_CRC(iio_dma_buffer_set_length, 0xa01b99c9, "_gpl");
SYMBOL_CRC(iio_dma_buffer_init, 0x6edd42b4, "_gpl");
SYMBOL_CRC(iio_dma_buffer_exit, 0xac59f709, "_gpl");
SYMBOL_CRC(iio_dma_buffer_release, 0x77b14de5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x204b8eb5, "dma_free_attrs" },
	{ 0xc751a841, "iio_buffer_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xdaf74d3f, "iio_buffer_init" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0x26b29d32, "dma_alloc_attrs" },
	{ 0x44fb891c, "iio_buffer_get" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x2372874e, "iio_buffer_signal_dmabuf_done" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "industrialio");


MODULE_INFO(srcversion, "8719C27FC9B247475AFCFAC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
