#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hid_sensor_power_state, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_remove_trigger, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_setup_trigger, "", "IIO_HID");
KSYMTAB_DATA(hid_sensor_pm_ops, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_power_state, 0x15f879b9, "");
SYMBOL_CRC(hid_sensor_remove_trigger, 0xea40c9bd, "");
SYMBOL_CRC(hid_sensor_setup_trigger, 0xf2e1e9dc, "");
SYMBOL_CRC(hid_sensor_pm_ops, 0x3604b86c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x294ddd5, "__pm_runtime_use_autosuspend" },
	{ 0x37ba6385, "__pm_runtime_suspend" },
	{ 0xb19e3f7e, "__pm_runtime_set_status" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xda3c41f, "iio_trigger_unregister" },
	{ 0x9f6a10c9, "iio_trigger_free" },
	{ 0x4a55e7c7, "iio_triggered_buffer_cleanup" },
	{ 0x173af599, "__pm_runtime_disable" },
	{ 0x3d3a1aac, "sensor_hub_device_close" },
	{ 0x18a0965d, "hid_sensor_get_usage_index" },
	{ 0x55b44b3a, "sensor_hub_get_feature" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8f6d1ac0, "sensor_hub_set_feature" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xf25aa78f, "sensor_hub_device_open" },
	{ 0x66ddb731, "hid_sensor_read_poll_value" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xade0b3b8, "hid_sensor_set_report_latency" },
	{ 0x25501453, "hid_sensor_get_report_latency" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0xbe9dbe79, "hid_sensor_batch_mode_supported" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xe7d6acd0, "iio_triggered_buffer_setup_ext" },
	{ 0xf8f505f, "iio_device_id" },
	{ 0x5faca210, "__iio_trigger_alloc" },
	{ 0xe8a43f29, "iio_trigger_register" },
	{ 0x1a2ec218, "get_device" },
	{ 0xe18daca7, "__module_get" },
	{ 0x705d3ae7, "pm_runtime_set_autosuspend_delay" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbc887f72, "_dev_err" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb16e3482, "pm_runtime_enable" },
	{ 0x7ec90882, "__pm_runtime_resume" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,hid-sensor-hub,hid-sensor-iio-common");


MODULE_INFO(srcversion, "E6C5AD7E4C6A1C7582A12C4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
