#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe4d86ce5, "nla_put" },
	{ 0xa957a9ed, "ww_mutex_lock" },
	{ 0x3865d715, "mlx5_set_port_caps" },
	{ 0xa04ec6ec, "rdma_user_mmap_entry_get_pgoff" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x8ac4185f, "mlx5_del_flow_rules" },
	{ 0x90ed62a4, "ib_umem_odp_unmap_dma_pages" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x628136f8, "mlx5_core_modify_sq" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0x29360815, "ib_umem_dmabuf_get" },
	{ 0x74e954ec, "mlx5_query_hca_vport_system_image_guid" },
	{ 0x50a3ecf5, "mlx5_core_query_sq_state" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe17f3ae1, "debugfs_create_ulong" },
	{ 0x32a2f564, "mlx5_core_query_vport_counter" },
	{ 0x87004a67, "ib_uverbs_get_ucontext_file" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeb2f2ba0, "__ib_create_cq" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3d0dd76e, "mlx5_query_port_max_mtu" },
	{ 0xfe08bc86, "ib_destroy_qp_user" },
	{ 0xf4875905, "_uverbs_get_const_signed" },
	{ 0x3587b10, "mlx5_query_hca_vport_gid" },
	{ 0xa8f4e904, "mlx5_frag_buf_free" },
	{ 0xb2a874db, "mlx5_nic_vport_disable_roce" },
	{ 0xd8f9381f, "uverbs_fd_class" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x32781920, "macsec_netdev_is_offloaded" },
	{ 0xd690b9b1, "mlx5_notifier_unregister" },
	{ 0xfb578fc5, "memset" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0x6094dd2d, "mlx5_create_lag_demux_flow_table" },
	{ 0xa234fbc, "mlx5_cmd_exec_cb" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x977e3e02, "mlx5_lag_get_num_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x7a1aabf7, "mlx5_rl_remove_rate" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x46f830af, "debugfs_create_u32" },
	{ 0xbb1ae56f, "mlx5_eswitch_register_vport_reps" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xb9883113, "mlx5_core_modify_cq" },
	{ 0x3d08fdcc, "mlx5_macsec_add_roce_rule" },
	{ 0xece784c2, "rb_first" },
	{ 0xdad317c1, "mlx5_eswitch_vport_match_metadata_enabled" },
	{ 0x7897026c, "ib_dealloc_device" },
	{ 0x5c5affd0, "mlx5_blocking_notifier_unregister" },
	{ 0xa36ad4d0, "mlx5_fc_query" },
	{ 0xf494cb2f, "ib_destroy_cq_user" },
	{ 0xf7ddbbfe, "rdma_user_mmap_io" },
	{ 0xe2b9e5e0, "skb_trim" },
	{ 0x5b9a9595, "__mmdrop" },
	{ 0x4b705841, "__xa_cmpxchg" },
	{ 0xc4655e65, "ib_modify_qp" },
	{ 0xb50da6e3, "mlx5_eswitch_get_core_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x887760e7, "rdma_user_mmap_entry_insert_range" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0x815cec85, "pv_ops" },
	{ 0x3409857f, "ib_umem_dmabuf_get_pinned" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8dd02080, "ib_umem_dmabuf_unmap_pages" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x598d3350, "mlx5_eswitch_get_proto_dev" },
	{ 0x90fe9b78, "debugfs_create_file" },
	{ 0xdd605405, "blocking_notifier_chain_unregister" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x310a8084, "uverbs_copy_to_struct_or_zero" },
	{ 0x99a4265c, "rdma_find_gid" },
	{ 0x96ad7e94, "ib_uverbs_flow_resources_free" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x166f2d8c, "ib_umem_odp_map_dma_and_lock" },
	{ 0x1bed4207, "mempool_create_node_noprof" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0x48edab07, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x75dbe9c5, "mlx5_eq_notifier_unregister" },
	{ 0x272b8d8f, "mlx5_comp_eqn_get" },
	{ 0x921d0533, "mlx5_query_port_vl_hw_cap" },
	{ 0xfae060d9, "__dma_sync_single_for_device" },
	{ 0x56223f63, "mlx5_query_hca_vport_pkey" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xf5d073e8, "xa_find" },
	{ 0xa840e3a3, "mlx5_core_uplink_netdev_event_replay" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x677f9890, "mlx5_frag_buf_alloc_node" },
	{ 0x64b1936d, "netdev_master_upper_dev_get_rcu" },
	{ 0xf4198220, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0xe95c1617, "netdev_master_upper_dev_get" },
	{ 0x474f7ae, "_uverbs_alloc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x4b1c00c2, "mlx5_fc_destroy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x68c8730b, "mlx5_lag_is_master" },
	{ 0x78e3e497, "mlx5_nic_vport_unaffiliate_multiport" },
	{ 0xa8857036, "xa_store" },
	{ 0xdc4b04e1, "mlx5_query_hca_vport_context" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2ea5fe7, "ib_query_pkey" },
	{ 0x767d1c6c, "uverbs_uobject_put" },
	{ 0x8c88aa37, "mlx5_core_roce_gid_set" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0xb633f115, "irq_poll_enable" },
	{ 0x1ba4ad67, "mlx5_query_port_oper_mtu" },
	{ 0xf6b8ae0d, "mlx5_nic_vport_enable_roce" },
	{ 0xa6c4a2ec, "ib_port_immutable_read" },
	{ 0xcd3bc3e0, "alloc_pages_noprof" },
	{ 0x653bcc7f, "ib_create_qp_kernel" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x5336d34d, "uverbs_copy_to" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xf944e9b4, "__xa_store" },
	{ 0x8437dea3, "mlx5_blocking_notifier_register" },
	{ 0x707d7f1c, "flow_resources_add" },
	{ 0x60628e47, "mlx5_core_modify_rq" },
	{ 0x4a453654, "mlx5_core_query_mkey" },
	{ 0x49964181, "__auxiliary_driver_register" },
	{ 0x7862df4d, "mlx5_db_alloc_node" },
	{ 0xd61b52bd, "rdma_nl_stat_hwcounter_entry" },
	{ 0x6fb52354, "uverbs_destroy_def_handler" },
	{ 0x25b690af, "mlx5_qp_debugfs_init" },
	{ 0x789dabb6, "ib_dealloc_pd_user" },
	{ 0x2a096b19, "mlx5_core_modify_tis" },
	{ 0x112724b7, "mlx5_core_mp_event_replay" },
	{ 0x98acf0b2, "mlx5_comp_vectors_max" },
	{ 0x198a7af0, "mlx5_create_cq" },
	{ 0xdc18fb56, "rdma_port_get_link_layer" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0x42b43a38, "mlx5_macsec_del_roce_rule" },
	{ 0xc1352c24, "mlx5_eswitch_get_total_vports" },
	{ 0x6f8e83cd, "mlx5_core_destroy_cq" },
	{ 0x286390d9, "mlx5_core_reserved_gids_count" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xe8a92e95, "mlx5_debugfs_root" },
	{ 0xd2b6aaea, "mlx5_core_modify_cq_moderation" },
	{ 0x74562cd1, "ib_umem_copy_from" },
	{ 0x5e79b3ae, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe6210156, "mlx5_qp_debugfs_cleanup" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xd3070dcb, "mlx5_eq_disable" },
	{ 0x8178c94a, "mlx5_cmd_cleanup_async_ctx" },
	{ 0x45a58a87, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe1333dd4, "mlx5_create_flow_table" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xc0fb9b08, "mlx5_rl_remove_rate_raw" },
	{ 0x71c3bf7e, "rdma_roce_rescan_device" },
	{ 0x2f153146, "mlx5_destroy_flow_group" },
	{ 0x57eadd25, "mlx5_alloc_bfreg" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x3f452ca2, "mlx5_eq_destroy_generic" },
	{ 0x32bddf44, "rdma_nl_put_driver_string" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe4b1a613, "mlx5_lag_is_active" },
	{ 0x724a769c, "mlx5_free_bfreg" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x3eb94d0e, "mlx5_cmd_destroy_vport_lag" },
	{ 0x79e3a345, "ib_set_device_ops" },
	{ 0x40d610ca, "rdma_user_mmap_entry_put" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x47e7fe40, "mlx5_core_access_reg" },
	{ 0x72460c4, "mlx5_fill_page_frag_array" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xedb5e652, "mlx5_eswitch_add_send_to_vport_rule" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x740e0d35, "mlx5_modify_header_alloc" },
	{ 0x89456b39, "mlx5_dm_sw_icm_dealloc" },
	{ 0xcda1794d, "ib_umem_release" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x734c79b9, "mlx5_db_free" },
	{ 0x3a1192b4, "mlx5_core_destroy_mkey" },
	{ 0xfc0195e8, "mlx5_eswitch_mode" },
	{ 0xc7d941c1, "mlx5_cmd_check" },
	{ 0x680e3cfd, "__rdma_block_iter_start" },
	{ 0x4acb51b, "radix_tree_insert" },
	{ 0xe2abbea1, "mlx5_lag_is_roce" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xddbf36dc, "mlx5_rl_add_rate_raw" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x987dc0dc, "mlx5_lag_query_cong_counters" },
	{ 0x3fb70e99, "uverbs_get_flags32" },
	{ 0x9d800eed, "mlx5_rsc_dump_cmd_create" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfa473f43, "uverbs_idr_class" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x1a9efe62, "mlx5_core_destroy_psv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x761b7b8a, "mlx5_eq_enable" },
	{ 0xdd675cb3, "mlx5_flow_table_id" },
	{ 0x5a595bfc, "rdma_read_gid_l2_fields" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x22bbf8a, "__ib_alloc_pd" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe678c76c, "mlx5_lag_get_next_peer_mdev" },
	{ 0x5fc9d3f0, "radix_tree_lookup" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xad6815cd, "mlx5_rsc_dump_cmd_destroy" },
	{ 0xf741de12, "register_netdevice_notifier_dev_net" },
	{ 0x3dca1b96, "dma_unmap_page_attrs" },
	{ 0xb4bc37eb, "mlx5_query_nic_vport_qkey_viol_cntr" },
	{ 0xab62888d, "ib_modify_qp_is_ok" },
	{ 0x61f50ad2, "__xa_erase" },
	{ 0x96b351c3, "mlx5_nic_vport_update_local_lb" },
	{ 0xbfc97bdc, "up" },
	{ 0x946d2479, "ww_mutex_unlock" },
	{ 0x61492bb7, "mlx5_rl_are_equal" },
	{ 0x84b1b5a0, "mlx5_create_flow_group" },
	{ 0xb9f9560e, "uverbs_uobject_fd_release" },
	{ 0x95293951, "debugfs_create_atomic_t" },
	{ 0xb09ce97e, "mlx5_core_create_psv" },
	{ 0x21c4232f, "ib_umem_find_best_pgsz" },
	{ 0xec7f9490, "mlx5_core_modify_hca_vport_context" },
	{ 0x18866103, "mlx5_rl_add_rate" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x7895f90b, "mlx5_eq_update_ci" },
	{ 0xb50af91e, "mlx5_create_auto_grouped_flow_table" },
	{ 0xf315868b, "mlx5_core_create_mkey" },
	{ 0xb7e3af57, "mlx5_cmd_do" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b824ac6, "mlx5_debug_qp_add" },
	{ 0xcde26840, "ib_sg_to_pages" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x61373fd2, "__rdma_block_iter_next" },
	{ 0x37a0cba, "kfree" },
	{ 0xa22b63e9, "mlx5_fc_create" },
	{ 0xc0846ec1, "mlx5_cmd_out_err" },
	{ 0x49566105, "mlx5_macsec_add_roce_sa_rules" },
	{ 0xf9e85a87, "mlx5_core_create_rqt" },
	{ 0x9012603a, "mlx5_core_query_vendor_id" },
	{ 0x9f4d321b, "mlx5_query_hca_vport_node_guid" },
	{ 0x40398da0, "mlx5_modify_header_dealloc" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x480fb12b, "ib_umem_odp_alloc_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83675a33, "mlx5_lag_is_sriov" },
	{ 0x2825c9d8, "ib_process_cq_direct" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xcbf6784a, "mlx5_lag_is_mpesw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x32925e95, "uverbs_finalize_uobj_create" },
	{ 0x1a2ec218, "get_device" },
	{ 0xba0551be, "mlx5_eswitch_get_encap_mode" },
	{ 0x61f1402c, "mlx5_rsc_dump_next" },
	{ 0xd7effe8b, "ib_query_qp" },
	{ 0xb5900f7f, "rdma_alloc_hw_stats_struct" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x74896230, "_ib_alloc_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0xa43c668d, "mlx5_debugfs_get_dev_root" },
	{ 0x269c6e09, "flow_resources_alloc" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfebde058, "mempool_free" },
	{ 0xb9005231, "mlx5_core_query_rq" },
	{ 0x4e04f5a0, "blocking_notifier_chain_register" },
	{ 0xdf33ee6b, "mlx5_packet_reformat_dealloc" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x33faacb9, "ib_umem_odp_alloc_implicit" },
	{ 0x8a7edc47, "dev_driver_string" },
	{ 0x8ad59c92, "ib_destroy_srq_user" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x2977b2a4, "ib_unregister_device" },
	{ 0x74c28c30, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x7881026f, "dma_map_page_attrs" },
	{ 0x87233207, "auxiliary_driver_unregister" },
	{ 0x192d6371, "mlx5_cmd_exec" },
	{ 0x28e83223, "mlx5_eq_get_eqe" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x7c311124, "mlx5_rdma_rn_get_params" },
	{ 0x7e0e6ab5, "dma_resv_reset_max_fences" },
	{ 0x1000e51, "schedule" },
	{ 0x35c42c0f, "mlx5_wc_support_get" },
	{ 0x77bf45b7, "ib_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc241cbba, "put_device" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xe1cddc66, "mlx5_lag_mode_is_hash" },
	{ 0x301b0f5d, "mlx5_debug_qp_remove" },
	{ 0x4adb1f22, "pcie_relaxed_ordering_enabled" },
	{ 0x2450cd7, "const_pcpu_hot" },
	{ 0xeb43e4e4, "mlx5_eq_notifier_register" },
	{ 0x5a4bb8bc, "__free_pages" },
	{ 0x6250232, "mlx5_core_create_tis" },
	{ 0xefd10a0, "mlx5_nic_vport_affiliate_multiport" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xc6cbbc89, "capable" },
	{ 0x43d65858, "mlx5_cmd_create_vport_lag" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x2ad258ba, "mlx5_query_min_inline" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf3505519, "mlx5_core_create_rq" },
	{ 0x5cce8ef7, "mlx5_eswitch_get_vport_metadata_for_match" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xef7f6cdc, "mlx5_packet_reformat_alloc" },
	{ 0x651c62e8, "ib_create_srq_user" },
	{ 0xb6a9af7c, "rdma_user_mmap_entry_remove" },
	{ 0xb18a1d37, "_uverbs_get_const_unsigned" },
	{ 0xdd29c4fb, "unregister_netdevice_notifier_dev_net" },
	{ 0xd2a1a698, "ib_dispatch_event" },
	{ 0x619020cd, "mempool_alloc_noprof" },
	{ 0x60300f4c, "vm_insert_page" },
	{ 0x7fa6571b, "mlx5_lag_is_shared_fdb" },
	{ 0x2ab43b44, "ib_umem_odp_release" },
	{ 0x9f27c5e8, "radix_tree_delete" },
	{ 0xffa2a82e, "mlx5_query_nic_vport_system_image_guid" },
	{ 0x88914c6, "__dma_sync_single_for_cpu" },
	{ 0x9e8f5e63, "mlx5_eswitch_unregister_vport_reps" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1a1890a, "mlx5_notifier_register" },
	{ 0xf36c42ba, "mlx5_core_create_cq" },
	{ 0x390b982c, "mlx5_macsec_del_roce_sa_rules" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x6cb2179f, "mlx5_dm_sw_icm_alloc" },
	{ 0xbc887f72, "_dev_err" },
	{ 0x4c7bfc2c, "mlx5_is_roce_on" },
	{ 0xeed7fd81, "up_write" },
	{ 0x8359691b, "mlx5_lag_get_roce_netdev" },
	{ 0xdd9ea9f4, "mlx5_add_flow_rules" },
	{ 0x7353e202, "simple_open" },
	{ 0xc2826a65, "mlx5_destroy_flow_table" },
	{ 0xbe6c1e1, "mlx5_eswitch_uplink_get_proto_dev" },
	{ 0x86db18a1, "mlx5_get_flow_namespace" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x96eb2c99, "mlx5_fc_id" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x6181f48, "rdma_put_gid_attr" },
	{ 0xdfb693cb, "ib_umem_odp_get" },
	{ 0x32a460e8, "down" },
	{ 0xb348cb4b, "mlx5_query_port_ptys" },
	{ 0x52f4c5a6, "ib_umem_get" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x8bd49bdd, "mlx5_cmd_init_async_ctx" },
	{ 0xa98fb77a, "mlx5_eq_create_generic" },
	{ 0x96a0eca8, "mlx5_put_uars_page" },
	{ 0x65ec79a4, "mlx5_lag_get_slave_port" },
	{ 0xd6f68d75, "ib_umem_dmabuf_map_pages" },
	{ 0x4ba6bb54, "mlx5_get_uars_page" },
	{ 0x67fb02d0, "debugfs_remove" },
	{ 0xd1c25801, "mlx5_query_ib_port_oper" },
	{ 0x7bf26cf1, "ib_query_port" },
	{ 0x529868fb, "__ib_alloc_cq" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x65049cda, "mlx5_query_nic_vport_node_guid" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "mlx5_core,ib_core,ib_uverbs,macsec");

MODULE_ALIAS("auxiliary:mlx5_core.multiport");
MODULE_ALIAS("auxiliary:mlx5_core.rdma");
MODULE_ALIAS("auxiliary:mlx5_core.rdma-rep");

MODULE_INFO(srcversion, "912C0B696C715A811B1D7C5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
