#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd60be220, "devm_gpiod_get_optional" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0xcf1934c5, "acpi_dev_get_resources" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x35e7e092, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2dc92a22, "devm_free_irq" },
	{ 0xa916b694, "strnlen" },
	{ 0x82eb5255, "device_property_read_u32_array" },
	{ 0xaf41f829, "devm_regulator_get" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf9c54075, "i2c_register_driver" },
	{ 0x1880c461, "devm_acpi_dev_add_driver_gpios" },
	{ 0xbc887f72, "_dev_err" },
	{ 0xbe6ded89, "request_firmware_nowait" },
	{ 0xb0e834af, "gpiod_direction_output_raw" },
	{ 0xe84eff8, "input_mt_init_slots" },
	{ 0x6a4dcee2, "gpiod_direction_input" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xee51bd3b, "device_property_read_string" },
	{ 0x12dbd441, "input_set_capability" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xfb578fc5, "memset" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x89ecd2ce, "input_event" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x2541a1c8, "input_set_abs_params" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc4d5e0e8, "acpi_gpio_get_irq_resource" },
	{ 0x694368b8, "acpi_device_fix_up_power" },
	{ 0xd07091d, "touchscreen_report_pos" },
	{ 0xf63f003a, "acpi_gpio_get_io_resource" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5e2b074e, "input_alloc_absinfo" },
	{ 0x5f1529df, "i2c_transfer" },
	{ 0xf2d927f9, "acpi_dev_gpio_irq_wake_get_by" },
	{ 0x597a8556, "regulator_disable" },
	{ 0x831bff89, "dev_err_probe" },
	{ 0x2c8ed44c, "__devm_add_action" },
	{ 0xcb084501, "i2c_del_driver" },
	{ 0x68b1280a, "touchscreen_parse_properties" },
	{ 0x22fcf641, "gpiod_direction_output" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb625bf57, "regulator_enable" },
	{ 0x8d17613a, "input_copy_abs" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xe067f1c5, "is_acpi_device_node" },
	{ 0x66283031, "x86_match_cpu" },
	{ 0x9dc5283a, "devm_request_threaded_irq" },
	{ 0x302d5e72, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7102e862, "input_mt_sync_frame" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x10907ae1, "request_firmware" },
	{ 0x75cea8de, "input_mt_report_slot_state" },
	{ 0x5a23e1ee, "devm_input_allocate_device" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:GDIX1001:*");
MODULE_ALIAS("acpi*:GDIX1002:*");
MODULE_ALIAS("acpi*:GDX9110:*");
MODULE_ALIAS("i2c:GDIX1001:00");

MODULE_INFO(srcversion, "8C37B180D5067E1E98378D7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
