#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qede_rdma_register_driver, "", "");
KSYMTAB_FUNC(qede_rdma_unregister_driver, "", "");

SYMBOL_CRC(qede_rdma_register_driver, 0x834bd134, "");
SYMBOL_CRC(qede_rdma_unregister_driver, 0x5f63bf9d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc661bc81, "rps_may_expire_flow" },
	{ 0x8ec18b85, "netdev_reset_tc" },
	{ 0x204b8eb5, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfae060d9, "__dma_sync_single_for_device" },
	{ 0xdfd0cb6f, "bpf_prog_add" },
	{ 0x5e0413a4, "xdp_rxq_info_unreg" },
	{ 0x91d413e7, "__xdp_rxq_info_reg" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfacaaa08, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x468587c6, "devlink_priv" },
	{ 0x781b1778, "tcp_gro_complete" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x5c3db398, "netif_carrier_on" },
	{ 0xf5e2ebe3, "netdev_set_num_tc" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xcd3bc3e0, "alloc_pages_noprof" },
	{ 0x12f7e884, "skb_add_rx_frag_netmem" },
	{ 0x87a2d574, "xdp_master_redirect" },
	{ 0x909f5c6, "__napi_schedule_irqoff" },
	{ 0x1441b311, "napi_schedule_prep" },
	{ 0xdf1cc32b, "napi_disable" },
	{ 0xf9b40cd9, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x697d6446, "flow_rule_match_control" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x29600e16, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xca4bb135, "__tracepoint_xdp_exception" },
	{ 0xa73eb71f, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbd7247da, "qed_get_eth_ops" },
	{ 0xefc99b92, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe2da41a3, "skb_copy_bits" },
	{ 0xeb21ee08, "param_ops_uint" },
	{ 0x96a48bf6, "ethtool_rx_flow_rule_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x65a4bb69, "skb_put" },
	{ 0xf136ad46, "skb_tstamp_tx" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xabdeeb7e, "ethtool_forced_speed_maps_init" },
	{ 0xe94f0ced, "consume_skb" },
	{ 0x66ab016d, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf8175f06, "bpf_warn_invalid_xdp_action" },
	{ 0x29633eaf, "unregister_netdev" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x3dca1b96, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x8b0a4b64, "__pci_register_driver" },
	{ 0x28564977, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xbbb9f9cf, "ptp_clock_index" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1400f6c, "pcpu_hot" },
	{ 0x88088f55, "xdp_do_redirect" },
	{ 0x624821b2, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3ea64382, "udp_tunnel_nic_ops" },
	{ 0x2e2c0988, "flow_rule_match_ipv4_addrs" },
	{ 0x31cd1367, "__netif_napi_del" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xd8c9bc20, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x27543c70, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x8a7edc47, "dev_driver_string" },
	{ 0x307105b0, "dev_addr_mod" },
	{ 0x205bd252, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x2455adfe, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x7881026f, "dma_map_page_attrs" },
	{ 0x4f36b6c1, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x4b1f3b0c, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5a4bb8bc, "__free_pages" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0xcc717385, "napi_gro_receive" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x72efbf54, "netdev_pick_tx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5c501716, "xdp_rxq_info_is_reg" },
	{ 0x89d3dcc, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x359ab2ee, "flow_rule_match_basic" },
	{ 0xe28674f7, "build_skb" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xbc887f72, "_dev_err" },
	{ 0xe919bdad, "softnet_data" },
	{ 0x261e6257, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe8111f85, "ptp_clock_register" },
	{ 0x6525f34, "netif_set_real_num_tx_queues" },
	{ 0x738f1f1c, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xeb15b4ef, "ethtool_rx_flow_rule_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x26b29d32, "dma_alloc_attrs" },
	{ 0x1c509832, "napi_enable" },
	{ 0x9eeeef48, "qed_put_eth_ops" },
	{ 0x95d5f846, "register_netdev" },
	{ 0xe98392ae, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x19f6ccaf, "__SCK__tp_func_xdp_exception" },
	{ 0x87226637, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xfb578fc5, "memset" },
	{ 0xd830be4, "flow_rule_match_ports" },
	{ 0xe5ebf5c3, "netif_schedule_queue" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcfd44d6f, "flow_rule_match_ipv6_addrs" },
	{ 0x8e9f9429, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9fc5cd02, "ptp_clock_unregister" },
	{ 0xf3362edf, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x1ccc2366, "__netdev_alloc_skb" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "qed");

MODULE_ALIAS("pci:v00001077d00001634sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001666sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001636sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001644sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001654sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001656sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001664sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008070sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008090sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "74BB1F13F8CDB0D866EB508");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
