#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(smsc_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_config_init, "_gpl", "");
KSYMTAB_FUNC(lan87xx_read_status, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_get_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_set_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_probe, "_gpl", "");

SYMBOL_CRC(smsc_phy_config_intr, 0xea6869fb, "_gpl");
SYMBOL_CRC(smsc_phy_handle_interrupt, 0xf66a9dc5, "_gpl");
SYMBOL_CRC(smsc_phy_config_init, 0xc11122a3, "_gpl");
SYMBOL_CRC(lan87xx_read_status, 0xbe6511d2, "_gpl");
SYMBOL_CRC(smsc_phy_get_tunable, 0x60128319, "_gpl");
SYMBOL_CRC(smsc_phy_set_tunable, 0x03aa4345, "_gpl");
SYMBOL_CRC(smsc_phy_probe, 0xcce31512, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa133530f, "genphy_read_status" },
	{ 0xaec7b7c, "mdiobus_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x302d5e72, "devm_kmalloc" },
	{ 0x71ebd790, "device_property_present" },
	{ 0x7505fda2, "devm_clk_get_optional_enabled" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x831bff89, "dev_err_probe" },
	{ 0x53756d85, "phy_drivers_register" },
	{ 0xf03862aa, "phy_read_mmd" },
	{ 0x2b179afb, "__genphy_config_aneg" },
	{ 0x2ba2142b, "phy_modify" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x15656e2d, "genphy_soft_reset" },
	{ 0xd53e3651, "phy_drivers_unregister" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xb5570775, "phy_write_mmd" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0x31e4aa6c, "genphy_suspend" },
	{ 0xdcf8e8ce, "genphy_resume" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8eff1f3f, "mdiobus_read" },
	{ 0x97cc36de, "phy_trigger_machine" },
	{ 0xf9904465, "phy_error" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000000000111110000001010????");
MODULE_ALIAS("mdio:0000000000000111110000001011????");
MODULE_ALIAS("mdio:0000000000000111110000001100????");
MODULE_ALIAS("mdio:0000000000000111110000001101????");
MODULE_ALIAS("mdio:0000000000000111110000001111????");
MODULE_ALIAS("mdio:0000000000000111110000010001????");
MODULE_ALIAS("mdio:0000000000000111110000010011??0?");

MODULE_INFO(srcversion, "66F96A3A218F829563119ED");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
