#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0xfb573dae, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0xd2eef325, "");
SYMBOL_CRC(team_options_register, 0xc60c4a20, "");
SYMBOL_CRC(team_options_unregister, 0x4a97f7a3, "");
SYMBOL_CRC(team_option_inst_set_change, 0x2a5bf81b, "");
SYMBOL_CRC(team_options_change_check, 0xb4865f29, "");
SYMBOL_CRC(team_mode_register, 0x698af17d, "");
SYMBOL_CRC(team_mode_unregister, 0x49f236d5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x8bf2c83a, "netdev_has_upper_dev" },
	{ 0x4e60b6ef, "netdev_change_features" },
	{ 0xeae4aff7, "netdev_lower_state_changed" },
	{ 0x4085aa1f, "netdev_master_upper_dev_link" },
	{ 0xa4223a4d, "vlan_vids_add_by_dev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe2b9e5e0, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbb973244, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x815cec85, "pv_ops" },
	{ 0x439d9f6f, "vlan_vids_del_by_dev" },
	{ 0xe956d21d, "__netpoll_setup" },
	{ 0x930634b4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x48a296ff, "vlan_vid_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x42e7e73d, "call_netdevice_notifiers" },
	{ 0x88d5a0da, "vlan_vid_del" },
	{ 0x5071d8a4, "dev_set_allmulti" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfacaaa08, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xcd0cc68a, "skb_clone" },
	{ 0x5c3db398, "netif_carrier_on" },
	{ 0xc9620b39, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x381e9d6a, "netdev_rx_handler_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x39583241, "genl_unregister_family" },
	{ 0xc0eb3145, "dev_disable_lro" },
	{ 0x754d539c, "strlen" },
	{ 0xf9b40cd9, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xf84cee5c, "dev_mc_unsync" },
	{ 0x9f862296, "genl_register_family" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x4596a252, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5e2f9a9d, "dev_mc_sync_multiple" },
	{ 0x361d6fde, "register_netdevice" },
	{ 0x20836992, "dev_set_mtu" },
	{ 0x424a5563, "try_module_get" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6962123, "__nlmsg_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe94f0ced, "consume_skb" },
	{ 0xd02ee66f, "__netpoll_free" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x3c5dc659, "netpoll_send_skb" },
	{ 0xfa41aacd, "rtnl_link_register" },
	{ 0x9fd20ec6, "genlmsg_put" },
	{ 0x2c96b84b, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x1c1f5ec6, "dev_set_promiscuity" },
	{ 0xb1400f6c, "pcpu_hot" },
	{ 0x4707c9ac, "netdev_warn" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7a7e38cb, "dev_uc_unsync" },
	{ 0x59bedd36, "ether_setup" },
	{ 0x40673c4d, "netlink_broadcast_filtered" },
	{ 0x27543c70, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x307105b0, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x175beebf, "passthru_features_check" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x61ac32df, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xd83b953b, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xff689ef3, "module_put" },
	{ 0x56ba01e2, "dev_uc_flush" },
	{ 0xc62136ce, "dev_open" },
	{ 0x6f8a7b77, "rtnl_link_unregister" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe8a09c37, "dev_mc_flush" },
	{ 0x6bd05613, "sk_skb_reason_drop" },
	{ 0x82da3c38, "netlink_unicast" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x3b8bbc46, "dev_get_by_index" },
	{ 0xda981c27, "dev_close" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xf7c0418c, "netdev_upper_dev_unlink" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x19f2e26f, "ethtool_op_get_link" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x9fb80bbf, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x72f1e199, "dev_set_mac_address" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "561373C1F985F9DBEF98931");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
