#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0xe40fe0af, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x9874d569, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0xe6929019, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0x42968dca, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0xdffa5d14, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0x78273577, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0x43139003, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0x619a9755, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0x99432507, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0xadab6534, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0x3020fe60, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1400f6c, "pcpu_hot" },
	{ 0xaad8fdd4, "netif_tx_lock" },
	{ 0xb9f6ad01, "usbnet_start_xmit" },
	{ 0xdb979ad2, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0x1f390e6d, "usbnet_write_cmd" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x4a413171, "hrtimer_active" },
	{ 0xe78c5b0c, "hrtimer_start_range_ns" },
	{ 0x19bdbe03, "usbnet_read_cmd" },
	{ 0x1ccc2366, "__netdev_alloc_skb" },
	{ 0x65a4bb69, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdfd5563d, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0xe8ec57f3, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xaab60317, "cdc_parse_cdc_header" },
	{ 0xb4c63afd, "usb_ifnum_to_if" },
	{ 0x8dc87bc3, "usb_driver_claim_interface" },
	{ 0x6a46db0a, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1cb456b9, "usbnet_get_ethernet_addr" },
	{ 0xbc887f72, "_dev_err" },
	{ 0xd83b953b, "__alloc_skb" },
	{ 0xbcd6e9a, "usbnet_manage_power" },
	{ 0xbaf45692, "usbnet_cdc_update_filter" },
	{ 0x6c706814, "usbnet_open" },
	{ 0x2789aaa1, "usbnet_stop" },
	{ 0x2ef524f0, "usbnet_set_rx_mode" },
	{ 0xb08051d5, "eth_mac_addr" },
	{ 0x624821b2, "eth_validate_addr" },
	{ 0xecc0daaf, "usbnet_tx_timeout" },
	{ 0x964335af, "dev_get_tstats64" },
	{ 0xb5297829, "usbnet_get_drvinfo" },
	{ 0xf2e1aec5, "usbnet_get_msglevel" },
	{ 0x845af94f, "usbnet_set_msglevel" },
	{ 0x45f2d429, "usbnet_nway_reset" },
	{ 0x2bb3438c, "usbnet_get_link" },
	{ 0x51e51ca3, "ethtool_op_get_ts_info" },
	{ 0xe2b2e803, "usbnet_get_link_ksettings_internal" },
	{ 0xbe0aa511, "usbnet_probe" },
	{ 0xd7fe441b, "usbnet_disconnect" },
	{ 0xe6b6a52f, "usbnet_suspend" },
	{ 0x19e5aa47, "usbnet_resume" },
	{ 0x9f530828, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xf9b40cd9, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ea6c1ed, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3b0d9b3f, "usb_driver_release_interface" },
	{ 0x1a5f1d3f, "usb_altnum_to_altsetting" },
	{ 0xbb973244, "__dynamic_netdev_dbg" },
	{ 0x9e66d1b5, "usb_register_driver" },
	{ 0xbf9c5026, "usb_deregister" },
	{ 0xf1dd2bff, "usbnet_link_change" },
	{ 0x3f312c56, "usbnet_update_max_qlen" },
	{ 0x3f005cf4, "usbnet_unlink_rx_urbs" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore,cdc_ether");

MODULE_ALIAS("usb:v05ACp12A8d*dc*dsc*dp*ic*isc*ip*in02*");
MODULE_ALIAS("usb:v05ACp12A8d*dc*dsc*dp*ic*isc*ip*in04*");
MODULE_ALIAS("usb:v05ACp12ABd*dc*dsc*dp*ic*isc*ip*in02*");
MODULE_ALIAS("usb:v05ACp12ABd*dc*dsc*dp*ic*isc*ip*in04*");
MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "D3DE83AE5D5E875CFE14D00");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
