#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ath11k_debug_mask, "", "");
KSYMTAB_FUNC(ath11k_core_suspend, "", "");
KSYMTAB_FUNC(ath11k_core_resume, "", "");
KSYMTAB_FUNC(ath11k_core_pre_init, "", "");
KSYMTAB_FUNC(ath11k_core_init, "", "");
KSYMTAB_FUNC(ath11k_core_deinit, "", "");
KSYMTAB_FUNC(ath11k_core_free, "", "");
KSYMTAB_FUNC(ath11k_core_alloc, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_init, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_deinit, "", "");
KSYMTAB_DATA(ath11k_cold_boot_cal, "", "");
KSYMTAB_FUNC(ath11k_qmi_fwreset_from_cold_boot, "", "");
KSYMTAB_FUNC(ath11k_qmi_deinit_service, "", "");
KSYMTAB_FUNC(ath11k_dp_service_srng, "", "");
KSYMTAB_FUNC(ath11k_info, "", "");
KSYMTAB_FUNC(ath11k_err, "", "");
KSYMTAB_FUNC(ath11k_warn, "", "");
KSYMTAB_FUNC(ath11k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath11k_ce_get_shadow_config, "", "");
KSYMTAB_FUNC(ath11k_ce_cleanup_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath11k_ce_free_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_alloc_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_get_attr_flags, "", "");
KSYMTAB_FUNC(ath11k_pcic_init_msi_config, "", "");
KSYMTAB_FUNC(ath11k_pcic_write32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_msi_address, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_user_msi_assignment, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_ce_msi_idx, "", "");
KSYMTAB_FUNC(ath11k_pcic_free_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_disable, "", "");
KSYMTAB_FUNC(ath11k_pcic_config_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irqs_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irq_disable_sync, "", "");
KSYMTAB_FUNC(ath11k_pcic_stop, "", "");
KSYMTAB_FUNC(ath11k_pcic_start, "", "");
KSYMTAB_FUNC(ath11k_pcic_map_service_to_pipe, "", "");
KSYMTAB_FUNC(ath11k_pcic_register_pci_ops, "", "");
KSYMTAB_FUNC(ath11k_pci_enable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_pci_disable_ce_irqs_except_wake_irq, "", "");

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0xdaf05db8, "");
SYMBOL_CRC(ath11k_core_resume, 0xb24ba547, "");
SYMBOL_CRC(ath11k_core_pre_init, 0xc8f79f13, "");
SYMBOL_CRC(ath11k_core_init, 0x78753dd8, "");
SYMBOL_CRC(ath11k_core_deinit, 0x9c45fbd2, "");
SYMBOL_CRC(ath11k_core_free, 0xdcd5e4e9, "");
SYMBOL_CRC(ath11k_core_alloc, 0xc33ed3af, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0x668ece51, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0x529bcc9b, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0xa7ce3a83, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0x53dfc61f, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0xf3238e69, "");
SYMBOL_CRC(ath11k_info, 0x06e2b780, "");
SYMBOL_CRC(ath11k_err, 0x66f5e40a, "");
SYMBOL_CRC(ath11k_warn, 0xaf1e4267, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0x426d21b5, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0x515a049c, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0x20002da4, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0x10d3135a, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0xf9f3fea8, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0x87a1f506, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0xb1eb3066, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0xd06093ab, "");
SYMBOL_CRC(ath11k_pcic_write32, 0x3f79d41d, "");
SYMBOL_CRC(ath11k_pcic_read32, 0xdbc07e66, "");
SYMBOL_CRC(ath11k_pcic_read, 0x80d2fc71, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0xb932220c, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0xafced526, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0xfc91ab8f, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0xba89ec43, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0x8e64baa1, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0x44806149, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0xe884d865, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0xfe1fa5ce, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0x28d542cd, "");
SYMBOL_CRC(ath11k_pcic_stop, 0x7445da83, "");
SYMBOL_CRC(ath11k_pcic_start, 0xa6317f90, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0xc639d332, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0xd4191468, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0x1ef62555, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0xf19dd03a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x96e35e57, "ieee80211_wake_queues" },
	{ 0xe98392ae, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xea086ca2, "qmi_txn_init" },
	{ 0xf043ab88, "ieee80211_report_low_ack" },
	{ 0xbcde6072, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0xfeb66da6, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe3b37516, "ieee80211_free_txskb" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x7a9a4feb, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd2ea11b8, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x143d0b8b, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x64b52bc8, "ieee80211_beacon_free_ema_list" },
	{ 0x1ccc2366, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0xd5b7628b, "ieee80211_ready_on_channel" },
	{ 0x6c3e21a0, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe2b9e5e0, "skb_trim" },
	{ 0xa85c6d9, "qmi_handle_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x815cec85, "pv_ops" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x3abd1692, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x552b4b07, "ieee80211_vif_to_wdev" },
	{ 0x2e47a299, "alloc_netdev_dummy" },
	{ 0x204b8eb5, "dma_free_attrs" },
	{ 0xa6ab9899, "rhashtable_init_noprof" },
	{ 0xbdf688d5, "ieee80211_scan_completed" },
	{ 0xb905ac06, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x9950c925, "crypto_shash_final" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9f530828, "param_ops_bool" },
	{ 0x94f95a6e, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xe828ffb8, "ieee80211_color_change_finish" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x3055777, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1dd99496, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x4fd679d9, "ieee80211_queue_work" },
	{ 0x1441b311, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xdf1cc32b, "napi_disable" },
	{ 0xf9b40cd9, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xa9fd3551, "regulatory_set_wiphy_regd" },
	{ 0x180bd8b9, "cfg80211_chandef_dfs_cac_time" },
	{ 0x225b1541, "crypto_alloc_shash" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x88ab47a4, "ieee80211_beacon_get_template_ema_list" },
	{ 0xe51fe1d3, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x622a4a7d, "__cfg80211_get_bss" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x3e2de027, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf88f3660, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc143a28c, "ieee80211_beacon_update_cntdwn" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xde44d5f2, "ieee80211_gtk_rekey_notify" },
	{ 0x7c40b351, "device_set_wakeup_enable" },
	{ 0x98c178d2, "completion_done" },
	{ 0x725b0d13, "cfg80211_chandef_dfs_usable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xa48c64cc, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc6f1f94f, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xdfb800d9, "idr_find" },
	{ 0xeb21ee08, "param_ops_uint" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x65a4bb69, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x862ea886, "firmware_request_nowarn" },
	{ 0x14e84bae, "qmi_handle_init" },
	{ 0xe94f0ced, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x66ab016d, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe170b97a, "device_get_mac_address" },
	{ 0x2f6f55f5, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x648b965a, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xd9050ff1, "ieee80211_free_hw" },
	{ 0x3dca1b96, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x559d8ba3, "ieee80211_iterate_stations_atomic" },
	{ 0xea6b7cd7, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xf6847f4a, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x30ab8cab, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x80bfe880, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0xb1400f6c, "pcpu_hot" },
	{ 0x10ca60c1, "thermal_cooling_device_register" },
	{ 0xfee30d13, "ieee80211_register_hw" },
	{ 0x3715908, "ieee80211_restart_hw" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc95f13a, "ieee80211_get_hdrlen_from_skb" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x31cd1367, "__netif_napi_del" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x74a44690, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa460a689, "pskb_expand_head" },
	{ 0x8a7edc47, "dev_driver_string" },
	{ 0xbc5c12d3, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x41d7cafa, "ieee80211_find_sta" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x7881026f, "dma_map_page_attrs" },
	{ 0x93bf0288, "qmi_send_request" },
	{ 0x4f36b6c1, "napi_complete_done" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x64ce5695, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1b18d96a, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xeb92bf69, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x2dc5a382, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x8aa5c00c, "cfg80211_put_bss" },
	{ 0x9af842d, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc82ba96d, "qmi_txn_wait" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0x342be9be, "skb_queue_tail" },
	{ 0x4dcfe5d0, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x92c50254, "sysfs_create_link" },
	{ 0xbdb07e87, "ieee80211_obss_color_collision_notify" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xbf087030, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xb41f139e, "__skb_get_hash_net" },
	{ 0x88914c6, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4051d39d, "ieee80211_queue_delayed_work" },
	{ 0xbc887f72, "_dev_err" },
	{ 0xeb756d86, "crypto_shash_setkey" },
	{ 0xa0277d34, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbcd1c3aa, "qmi_txn_cancel" },
	{ 0xc098ec51, "sysfs_remove_link" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6bd05613, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf214eb55, "ieee80211_find_sta_by_ifaddr" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x376457e4, "ieee80211_remain_on_channel_expired" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x62cfdb0, "skb_push" },
	{ 0x26b29d32, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1c509832, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x87634664, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "mac80211,qmi_helpers,cfg80211");


MODULE_INFO(srcversion, "472D8DA509592A88CD147DA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
