#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76s_read_pcr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rr, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rmw, "_gpl", "");
KSYMTAB_FUNC(mt76s_write_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_rd_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_hw_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_rx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(mt76s_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76s_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_txrx_worker, "_gpl", "");
KSYMTAB_FUNC(mt76s_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(mt76s_txqs_empty, "_gpl", "");

SYMBOL_CRC(mt76s_read_pcr, 0x6c0b2210, "_gpl");
SYMBOL_CRC(mt76s_rr, 0xa45adba2, "_gpl");
SYMBOL_CRC(mt76s_wr, 0xae4eeec1, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0xe2e799f7, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0xf162057d, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0xe129bd13, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0x31ced7b5, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0x45629fda, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0x3064f5b6, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0x1776af46, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0xa2483488, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0xbf1d95b6, "_gpl");
SYMBOL_CRC(mt76s_init, 0xd6f3b9b3, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0xa4590893, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0x511268f5, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0x61a1445b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0xb1400f6c, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x6c495826, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa460a689, "pskb_expand_head" },
	{ 0x575ec4a, "mt76_tx_status_check" },
	{ 0x1cfda36b, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x66c9257, "__alloc_pages_noprof" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9bebf5fb, "sdio_release_irq" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xd83b953b, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1da58c, "sdio_readsb" },
	{ 0xbc887f72, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe967bc7c, "__SCK__tp_func_dev_irq" },
	{ 0xa1a0a153, "sdio_readl" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5ebcd50, "__put_devmap_managed_folio_refs" },
	{ 0xcc4ef168, "kthread_stop" },
	{ 0xd1f317cf, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9830a8a, "mt76_queue_tx_complete" },
	{ 0x8125918d, "kthread_create_on_node" },
	{ 0xddb695f, "__tracepoint_dev_irq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x808f9e74, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xdd090d49, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x89319966, "sdio_claim_irq" },
	{ 0x3ea8a997, "mt76_skb_adjust_pad" },
	{ 0x7ddb378c, "sdio_enable_func" },
	{ 0x3732e035, "sdio_writesb" },
	{ 0x12f7e884, "skb_add_rx_frag_netmem" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x71a8bf38, "sdio_release_host" },
	{ 0x4fa5f7b0, "sdio_disable_func" },
	{ 0xbc3185cc, "sdio_set_block_size" },
	{ 0x302d5e72, "devm_kmalloc" },
	{ 0x65a4bb69, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a1d0e00, "sdio_claim_host" },
	{ 0xe94f0ced, "consume_skb" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "mt76,mmc_core");


MODULE_INFO(srcversion, "8F6D31492D77669C7908568");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
