#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3771b0ea, "rt2x00usb_disconnect" },
	{ 0xcfb6f997, "rt2x00usb_suspend" },
	{ 0xbf38acaf, "rt2x00usb_resume" },
	{ 0x62ccee34, "rt2x00usb_initialize" },
	{ 0x190981d1, "rt2x00usb_uninitialize" },
	{ 0xad3d0426, "rt2x00usb_clear_entry" },
	{ 0xc8aad29f, "rt2x00usb_watchdog" },
	{ 0x65861761, "rt2x00usb_kick_queue" },
	{ 0xbcfa9f8e, "rt2x00usb_flush_queue" },
	{ 0xf4f2f173, "rt2x00mac_tx" },
	{ 0xc4c989a3, "rt2x00mac_start" },
	{ 0xd778c816, "rt2x00mac_stop" },
	{ 0xf32c970f, "rt2x00mac_add_interface" },
	{ 0xef4546cc, "rt2x00mac_remove_interface" },
	{ 0xdf2e8535, "rt2x00mac_config" },
	{ 0xcc907a3f, "rt2x00mac_bss_info_changed" },
	{ 0x72baf16f, "rt2x00mac_configure_filter" },
	{ 0x3b86f64e, "rt2x00mac_set_tim" },
	{ 0x2a4806cd, "rt2x00mac_set_key" },
	{ 0x5aad9459, "rt2x00mac_sw_scan_start" },
	{ 0xd1c880bb, "rt2x00mac_sw_scan_complete" },
	{ 0xc0f72f9e, "rt2x00mac_get_stats" },
	{ 0x1b63a5b5, "rt2x00mac_conf_tx" },
	{ 0x1bf383ee, "rt2x00mac_rfkill_poll" },
	{ 0xd32c9862, "rt2x00mac_flush" },
	{ 0xc44b4b75, "rt2x00mac_set_antenna" },
	{ 0xe209dfdc, "rt2x00mac_get_antenna" },
	{ 0xc3752506, "rt2x00mac_get_ringparam" },
	{ 0x2953f0b, "rt2x00mac_tx_frames_pending" },
	{ 0xfa3fd6d4, "ieee80211_emulate_add_chanctx" },
	{ 0x81fb393d, "ieee80211_emulate_remove_chanctx" },
	{ 0x743d3a56, "ieee80211_emulate_change_chanctx" },
	{ 0x6f98978d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x64ce5695, "ieee80211_handle_wake_tx_queue" },
	{ 0x9f530828, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9e66d1b5, "usb_register_driver" },
	{ 0xd397c486, "rt2x00usb_probe" },
	{ 0xe2b9e5e0, "skb_trim" },
	{ 0xe94f0ced, "consume_skb" },
	{ 0xc39a65d3, "usb_submit_urb" },
	{ 0xbf9c5026, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x57f7dd8c, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbc887f72, "_dev_err" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x6643ff3b, "rt2x00usb_vendor_request_buff" },
	{ 0xdb448fd4, "rt2x00usb_vendor_request" },
	{ 0xfbe9ebda, "rt2x00lib_set_mac_address" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x62cfdb0, "skb_push" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc8bc36be, "rt2x00usb_disable_radio" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "0234C22C669DF15F609D12B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
