#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cw1200_core_probe, "_gpl", "");
KSYMTAB_FUNC(cw1200_core_release, "_gpl", "");
KSYMTAB_FUNC(cw1200_irq_handler, "_gpl", "");
KSYMTAB_FUNC(cw1200_can_suspend, "_gpl", "");

SYMBOL_CRC(cw1200_core_probe, 0x6395a631, "_gpl");
SYMBOL_CRC(cw1200_core_release, 0xe3734bec, "_gpl");
SYMBOL_CRC(cw1200_irq_handler, 0x11091540, "_gpl");
SYMBOL_CRC(cw1200_can_suspend, 0x33687bbc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x648b965a, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xd9050ff1, "ieee80211_free_hw" },
	{ 0x43ffd081, "ieee80211_probereq_get" },
	{ 0x10907ae1, "request_firmware" },
	{ 0xbfc97bdc, "up" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x9415ec4e, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe4f69f96, "ieee80211_nullfunc_get" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x50f67bd0, "seq_lseek" },
	{ 0xd68bf236, "ieee80211_pspoll_get" },
	{ 0xfee30d13, "ieee80211_register_hw" },
	{ 0x743d3a56, "ieee80211_emulate_change_chanctx" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x2b90f7b3, "param_ops_byte" },
	{ 0x6617dd82, "ieee80211_wake_queue" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb888c0e1, "skb_queue_purge_reason" },
	{ 0xd56821f2, "ieee80211_tx_status_skb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x41d7cafa, "ieee80211_find_sta" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x64ce5695, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x666393e5, "ieee80211_sta_set_buffered" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x8aa5c00c, "cfg80211_put_bss" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0x342be9be, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xbc887f72, "_dev_err" },
	{ 0x7353e202, "simple_open" },
	{ 0xa0277d34, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x32a460e8, "down" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x62cfdb0, "skb_push" },
	{ 0x67fb02d0, "debugfs_remove" },
	{ 0x8a44f0b4, "seq_putc" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x7a9a4feb, "ieee80211_alloc_hw_nm" },
	{ 0xcf191255, "down_trylock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x40c64a72, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0xfa3fd6d4, "ieee80211_emulate_add_chanctx" },
	{ 0xe9e69f1f, "param_ops_charp" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6f98978d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xc45d4e51, "ieee80211_stop_queue" },
	{ 0x1ccc2366, "__netdev_alloc_skb" },
	{ 0xe2b9e5e0, "skb_trim" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8a28db2e, "seq_read" },
	{ 0x90fe9b78, "debugfs_create_file" },
	{ 0xbdf688d5, "ieee80211_scan_completed" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x94f95a6e, "ieee80211_unregister_hw" },
	{ 0xe6cb89c0, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x71ec6518, "seq_printf" },
	{ 0xa781b47f, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x8a9d278d, "ieee80211_cqm_rssi_notify" },
	{ 0xdc96c708, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xe319d657, "param_ops_int" },
	{ 0xa35465f3, "single_open" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x45a58a87, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x81fb393d, "ieee80211_emulate_remove_chanctx" },
	{ 0x622a4a7d, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xa3900d32, "ieee80211_rx_irqsafe" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa48c64cc, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x65a4bb69, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe94f0ced, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "E02ED8CB012C9EEF808790C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
