#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(st21nfca_hci_probe, "", "");
KSYMTAB_FUNC(st21nfca_hci_remove, "", "");
KSYMTAB_FUNC(st21nfca_tm_send_dep_res, "", "");
KSYMTAB_FUNC(st21nfca_dep_event_received, "", "");
KSYMTAB_FUNC(st21nfca_im_send_atr_req, "", "");
KSYMTAB_FUNC(st21nfca_im_send_dep_req, "", "");
KSYMTAB_FUNC(st21nfca_dep_init, "", "");
KSYMTAB_FUNC(st21nfca_dep_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_discover_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_enable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_disable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_se_io, "", "");
KSYMTAB_FUNC(st21nfca_connectivity_event_received, "", "");
KSYMTAB_FUNC(st21nfca_apdu_reader_event_received, "", "");
KSYMTAB_FUNC(st21nfca_se_init, "", "");
KSYMTAB_FUNC(st21nfca_se_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_loopback_event_received, "", "");
KSYMTAB_FUNC(st21nfca_vendor_cmds_init, "", "");

SYMBOL_CRC(st21nfca_hci_probe, 0xd89c3e81, "");
SYMBOL_CRC(st21nfca_hci_remove, 0x1e9d3d8d, "");
SYMBOL_CRC(st21nfca_tm_send_dep_res, 0x6153bcff, "");
SYMBOL_CRC(st21nfca_dep_event_received, 0xb9e2e64c, "");
SYMBOL_CRC(st21nfca_im_send_atr_req, 0xa9691648, "");
SYMBOL_CRC(st21nfca_im_send_dep_req, 0x35323659, "");
SYMBOL_CRC(st21nfca_dep_init, 0x1ecf74d7, "");
SYMBOL_CRC(st21nfca_dep_deinit, 0x928a32c5, "");
SYMBOL_CRC(st21nfca_hci_discover_se, 0x5d05cdd6, "");
SYMBOL_CRC(st21nfca_hci_enable_se, 0x5cce394b, "");
SYMBOL_CRC(st21nfca_hci_disable_se, 0xdb9e2f88, "");
SYMBOL_CRC(st21nfca_hci_se_io, 0x40f41fdd, "");
SYMBOL_CRC(st21nfca_connectivity_event_received, 0xc8933184, "");
SYMBOL_CRC(st21nfca_apdu_reader_event_received, 0x69c9e30d, "");
SYMBOL_CRC(st21nfca_se_init, 0xfc80c17a, "");
SYMBOL_CRC(st21nfca_se_deinit, 0x3228552d, "");
SYMBOL_CRC(st21nfca_hci_loopback_event_received, 0x62db38eb, "");
SYMBOL_CRC(st21nfca_vendor_cmds_init, 0x2d26ce1b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa297b27c, "nfc_hci_free_device" },
	{ 0x697a4e24, "nfc_se_transaction" },
	{ 0x168e47d2, "nfc_get_local_general_bytes" },
	{ 0x23640ba0, "nfc_hci_register_device" },
	{ 0x2bad046c, "nfc_set_remote_general_bytes" },
	{ 0xbc887f72, "_dev_err" },
	{ 0xa0277d34, "skb_pull" },
	{ 0x6bd05613, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x62cfdb0, "skb_push" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x149a8b56, "nfc_hci_send_cmd" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0xe5115045, "nfc_hci_get_clientdata" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe73148eb, "nfc_tm_activated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9b65ccb5, "nfc_hci_allocate_device" },
	{ 0xe2b9e5e0, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x522d8705, "nfc_se_connectivity" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0xa35fbbc6, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x50a0e33f, "nfc_hci_set_param" },
	{ 0x10fa8589, "nfc_dep_link_is_up" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3fe8790d, "nfc_hci_send_event" },
	{ 0xcd906600, "nfc_hci_disconnect_all_gates" },
	{ 0x38293f36, "nfc_hci_disconnect_gate" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcabb5c20, "nfc_hci_set_clientdata" },
	{ 0x302d5e72, "devm_kmalloc" },
	{ 0x976e631c, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x65a4bb69, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf761495, "nfc_hci_get_param" },
	{ 0x4a891377, "nfc_hci_send_cmd_async" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5aec5e63, "nfc_add_se" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b117995, "nfc_llc_stop" },
	{ 0xf5c00414, "nfc_hci_connect_gate" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1aa82e9a, "nfc_tm_data_received" },
	{ 0x5797fa9f, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xdba5c88e, "nfc_hci_unregister_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdd231c55, "nfc_hci_sak_to_protocol" },
	{ 0xd83b953b, "__alloc_skb" },
	{ 0x5e0fea69, "nfc_llc_start" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "hci,nfc");


MODULE_INFO(srcversion, "5EBB7B3E4FC40AA7D0FC977");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
