#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x77799c1d, "__ssam_device_driver_register" },
	{ 0x5ff950f1, "__platform_driver_register" },
	{ 0x2ebf4189, "ssam_device_driver_unregister" },
	{ 0x21e5219a, "platform_driver_unregister" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x369dec8d, "input_allocate_device" },
	{ 0x12dbd441, "input_set_capability" },
	{ 0x89ecd2ce, "input_event" },
	{ 0x35e7e092, "input_register_device" },
	{ 0xd4966a1, "ssam_notifier_register" },
	{ 0xfbaf8a42, "misc_register" },
	{ 0x49a0cf64, "input_unregister_device" },
	{ 0x7e623a74, "input_free_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd922939, "__ssam_notifier_unregister" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0xf0dd1fd4, "misc_deregister" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0x9d189321, "stream_open" },
	{ 0x769ea88c, "ssam_client_bind" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeddd417, "down_read" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x8b6d324a, "kill_fasync" },
	{ 0xbb53856b, "up_read" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0xd7c0c561, "fasync_helper" },
	{ 0x3dc11ea4, "down_read_killable" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x38dd4140, "ssam_request_do_sync_with_buffer" },
	{ 0xb772a543, "ssam_controller_device" },
	{ 0xbc887f72, "_dev_err" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "surface_aggregator");

MODULE_ALIAS("ssam:d01c11t01i00f00");
MODULE_ALIAS("acpi*:MSHW0133:*");

MODULE_INFO(srcversion, "A22538440F03A35BC36682A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
