#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(target_depend_item, "", "");
KSYMTAB_FUNC(target_undepend_item, "", "");
KSYMTAB_FUNC(target_register_template, "", "");
KSYMTAB_FUNC(target_unregister_template, "", "");
KSYMTAB_DATA(sbc_attrib_attrs, "", "");
KSYMTAB_DATA(passthrough_attrib_attrs, "", "");
KSYMTAB_DATA(passthrough_pr_attrib_attrs, "", "");
KSYMTAB_FUNC(transport_lookup_cmd_lun, "", "");
KSYMTAB_FUNC(transport_lookup_tmr_lun, "", "");
KSYMTAB_FUNC(target_lun_is_rdonly, "", "");
KSYMTAB_FUNC(target_nacl_find_deve, "", "");
KSYMTAB_FUNC(target_configure_unmap_from_queue, "", "");
KSYMTAB_FUNC(target_to_linux_sector, "", "");
KSYMTAB_FUNC(passthrough_parse_cdb, "", "");
KSYMTAB_FUNC(transport_backend_register, "", "");
KSYMTAB_FUNC(target_backend_unregister, "", "");
KSYMTAB_FUNC(core_tmr_alloc_req, "", "");
KSYMTAB_FUNC(core_tpg_get_initiator_node_acl, "", "");
KSYMTAB_FUNC(core_allocate_nexus_loss_ua, "", "");
KSYMTAB_FUNC(target_tpg_has_node_acl, "", "");
KSYMTAB_FUNC(core_tpg_check_initiator_node_acl, "", "");
KSYMTAB_FUNC(core_tpg_set_initiator_node_queue_depth, "", "");
KSYMTAB_FUNC(core_tpg_set_initiator_node_tag, "", "");
KSYMTAB_FUNC(core_tpg_register, "", "");
KSYMTAB_FUNC(core_tpg_deregister, "", "");
KSYMTAB_FUNC(target_alloc_cmd_counter, "_gpl", "");
KSYMTAB_FUNC(target_free_cmd_counter, "_gpl", "");
KSYMTAB_FUNC(transport_init_session, "", "");
KSYMTAB_FUNC(transport_alloc_session, "", "");
KSYMTAB_FUNC(transport_alloc_session_tags, "", "");
KSYMTAB_FUNC(__transport_register_session, "", "");
KSYMTAB_FUNC(transport_register_session, "", "");
KSYMTAB_FUNC(target_setup_session, "", "");
KSYMTAB_FUNC(target_show_dynamic_sessions, "", "");
KSYMTAB_FUNC(target_put_nacl, "", "");
KSYMTAB_FUNC(transport_deregister_session_configfs, "", "");
KSYMTAB_FUNC(transport_free_session, "", "");
KSYMTAB_FUNC(transport_deregister_session, "", "");
KSYMTAB_FUNC(target_remove_session, "", "");
KSYMTAB_FUNC(transport_copy_sense_to_cmd, "", "");
KSYMTAB_FUNC(target_complete_cmd_with_sense, "", "");
KSYMTAB_FUNC(target_complete_cmd, "", "");
KSYMTAB_FUNC(target_set_cmd_data_length, "", "");
KSYMTAB_FUNC(target_complete_cmd_with_length, "", "");
KSYMTAB_FUNC(transport_set_vpd_proto_id, "", "");
KSYMTAB_FUNC(transport_set_vpd_assoc, "", "");
KSYMTAB_FUNC(transport_set_vpd_ident_type, "", "");
KSYMTAB_FUNC(transport_set_vpd_ident, "", "");
KSYMTAB_FUNC(__target_init_cmd, "", "");
KSYMTAB_FUNC(target_cmd_init_cdb, "", "");
KSYMTAB_FUNC(target_cmd_parse_cdb, "", "");
KSYMTAB_FUNC(target_init_cmd, "_gpl", "");
KSYMTAB_FUNC(target_submit_prep, "_gpl", "");
KSYMTAB_FUNC(target_submit_cmd, "", "");
KSYMTAB_FUNC(target_submit, "_gpl", "");
KSYMTAB_FUNC(target_submit_tmr, "", "");
KSYMTAB_FUNC(transport_generic_request_failure, "", "");
KSYMTAB_FUNC(target_execute_cmd, "", "");
KSYMTAB_FUNC(target_free_sgl, "", "");
KSYMTAB_FUNC(transport_kmap_data_sg, "", "");
KSYMTAB_FUNC(transport_kunmap_data_sg, "", "");
KSYMTAB_FUNC(target_alloc_sgl, "", "");
KSYMTAB_FUNC(transport_generic_new_cmd, "", "");
KSYMTAB_FUNC(transport_generic_free_cmd, "", "");
KSYMTAB_FUNC(target_get_sess_cmd, "", "");
KSYMTAB_FUNC(target_put_sess_cmd, "", "");
KSYMTAB_FUNC(target_show_cmd, "", "");
KSYMTAB_FUNC(target_stop_cmd_counter, "_gpl", "");
KSYMTAB_FUNC(target_stop_session, "", "");
KSYMTAB_FUNC(target_wait_for_cmds, "_gpl", "");
KSYMTAB_FUNC(target_wait_for_sess_cmds, "", "");
KSYMTAB_FUNC(transport_wait_for_tasks, "", "");
KSYMTAB_FUNC(transport_send_check_condition_and_sense, "", "");
KSYMTAB_FUNC(target_send_busy, "", "");
KSYMTAB_FUNC(transport_generic_handle_tmr, "", "");
KSYMTAB_FUNC(sbc_get_write_same_sectors, "", "");
KSYMTAB_FUNC(sbc_parse_cdb, "", "");
KSYMTAB_FUNC(sbc_get_device_type, "", "");
KSYMTAB_FUNC(sbc_dif_copy_prot, "", "");
KSYMTAB_FUNC(sbc_dif_verify, "", "");
KSYMTAB_FUNC(spc_emulate_inquiry_std, "", "");
KSYMTAB_FUNC(spc_emulate_evpd_83, "", "");
KSYMTAB_FUNC(spc_emulate_report_luns, "", "");
KSYMTAB_FUNC(spc_parse_cdb, "", "");

SYMBOL_CRC(target_depend_item, 0xfffc728b, "");
SYMBOL_CRC(target_undepend_item, 0x2d8d3545, "");
SYMBOL_CRC(target_register_template, 0xf655a40a, "");
SYMBOL_CRC(target_unregister_template, 0xdc17db37, "");
SYMBOL_CRC(sbc_attrib_attrs, 0x21e933b4, "");
SYMBOL_CRC(passthrough_attrib_attrs, 0x8c4fce75, "");
SYMBOL_CRC(passthrough_pr_attrib_attrs, 0x155701f2, "");
SYMBOL_CRC(transport_lookup_cmd_lun, 0x5b0fb090, "");
SYMBOL_CRC(transport_lookup_tmr_lun, 0x798f3238, "");
SYMBOL_CRC(target_lun_is_rdonly, 0x8b5db913, "");
SYMBOL_CRC(target_nacl_find_deve, 0x5faf8780, "");
SYMBOL_CRC(target_configure_unmap_from_queue, 0xef77879f, "");
SYMBOL_CRC(target_to_linux_sector, 0x3b34a0b4, "");
SYMBOL_CRC(passthrough_parse_cdb, 0x082c3e51, "");
SYMBOL_CRC(transport_backend_register, 0xde5b4097, "");
SYMBOL_CRC(target_backend_unregister, 0x57e14998, "");
SYMBOL_CRC(core_tmr_alloc_req, 0x17eb138c, "");
SYMBOL_CRC(core_tpg_get_initiator_node_acl, 0xee4dd9aa, "");
SYMBOL_CRC(core_allocate_nexus_loss_ua, 0x2950592c, "");
SYMBOL_CRC(target_tpg_has_node_acl, 0xd8950b5f, "");
SYMBOL_CRC(core_tpg_check_initiator_node_acl, 0x34672bc3, "");
SYMBOL_CRC(core_tpg_set_initiator_node_queue_depth, 0x947f0567, "");
SYMBOL_CRC(core_tpg_set_initiator_node_tag, 0xa33c362d, "");
SYMBOL_CRC(core_tpg_register, 0xa0690360, "");
SYMBOL_CRC(core_tpg_deregister, 0xa2aad776, "");
SYMBOL_CRC(target_alloc_cmd_counter, 0xa9fb92dd, "_gpl");
SYMBOL_CRC(target_free_cmd_counter, 0xee920235, "_gpl");
SYMBOL_CRC(transport_init_session, 0xbb575d7e, "");
SYMBOL_CRC(transport_alloc_session, 0x12d49b70, "");
SYMBOL_CRC(transport_alloc_session_tags, 0x37d488b9, "");
SYMBOL_CRC(__transport_register_session, 0x6b89211b, "");
SYMBOL_CRC(transport_register_session, 0xfeab2218, "");
SYMBOL_CRC(target_setup_session, 0xbc45a02e, "");
SYMBOL_CRC(target_show_dynamic_sessions, 0xc6afe8e6, "");
SYMBOL_CRC(target_put_nacl, 0x2726dd8d, "");
SYMBOL_CRC(transport_deregister_session_configfs, 0xc247b73d, "");
SYMBOL_CRC(transport_free_session, 0xc463ffa7, "");
SYMBOL_CRC(transport_deregister_session, 0x5bbcd9ae, "");
SYMBOL_CRC(target_remove_session, 0x4096d516, "");
SYMBOL_CRC(transport_copy_sense_to_cmd, 0xc7d4f85e, "");
SYMBOL_CRC(target_complete_cmd_with_sense, 0x2f8d0807, "");
SYMBOL_CRC(target_complete_cmd, 0xe6eabde1, "");
SYMBOL_CRC(target_set_cmd_data_length, 0x76568d64, "");
SYMBOL_CRC(target_complete_cmd_with_length, 0x52af283a, "");
SYMBOL_CRC(transport_set_vpd_proto_id, 0xf3c2dfe0, "");
SYMBOL_CRC(transport_set_vpd_assoc, 0x142072c0, "");
SYMBOL_CRC(transport_set_vpd_ident_type, 0x3a20a9d7, "");
SYMBOL_CRC(transport_set_vpd_ident, 0x0871ffd6, "");
SYMBOL_CRC(__target_init_cmd, 0x2f0a38e0, "");
SYMBOL_CRC(target_cmd_init_cdb, 0xf8c09aba, "");
SYMBOL_CRC(target_cmd_parse_cdb, 0x3ee61992, "");
SYMBOL_CRC(target_init_cmd, 0x845ac24d, "_gpl");
SYMBOL_CRC(target_submit_prep, 0xf64b85e8, "_gpl");
SYMBOL_CRC(target_submit_cmd, 0x25581868, "");
SYMBOL_CRC(target_submit, 0x68dfd207, "_gpl");
SYMBOL_CRC(target_submit_tmr, 0xe073ff57, "");
SYMBOL_CRC(transport_generic_request_failure, 0x0ff6be4d, "");
SYMBOL_CRC(target_execute_cmd, 0x0319f343, "");
SYMBOL_CRC(target_free_sgl, 0x5bdb610a, "");
SYMBOL_CRC(transport_kmap_data_sg, 0x1fbf5560, "");
SYMBOL_CRC(transport_kunmap_data_sg, 0xe3f56248, "");
SYMBOL_CRC(target_alloc_sgl, 0xaefbcacd, "");
SYMBOL_CRC(transport_generic_new_cmd, 0xca51a43b, "");
SYMBOL_CRC(transport_generic_free_cmd, 0x15c2df69, "");
SYMBOL_CRC(target_get_sess_cmd, 0x6a62d9bb, "");
SYMBOL_CRC(target_put_sess_cmd, 0x3dc431e9, "");
SYMBOL_CRC(target_show_cmd, 0x66fb705f, "");
SYMBOL_CRC(target_stop_cmd_counter, 0x20bf61db, "_gpl");
SYMBOL_CRC(target_stop_session, 0x3bf714ac, "");
SYMBOL_CRC(target_wait_for_cmds, 0x4a270586, "_gpl");
SYMBOL_CRC(target_wait_for_sess_cmds, 0x68a34501, "");
SYMBOL_CRC(transport_wait_for_tasks, 0x43fde749, "");
SYMBOL_CRC(transport_send_check_condition_and_sense, 0x141ec3b4, "");
SYMBOL_CRC(target_send_busy, 0xf03c77ab, "");
SYMBOL_CRC(transport_generic_handle_tmr, 0xfbffcccd, "");
SYMBOL_CRC(sbc_get_write_same_sectors, 0x4d2e7c11, "");
SYMBOL_CRC(sbc_parse_cdb, 0xbe377125, "");
SYMBOL_CRC(sbc_get_device_type, 0x93d599f9, "");
SYMBOL_CRC(sbc_dif_copy_prot, 0x4bfcaf7b, "");
SYMBOL_CRC(sbc_dif_verify, 0xd5c6a96d, "");
SYMBOL_CRC(spc_emulate_inquiry_std, 0xf50d4e6a, "");
SYMBOL_CRC(spc_emulate_evpd_83, 0xee8e10d9, "");
SYMBOL_CRC(spc_emulate_report_luns, 0x75c22c42, "");
SYMBOL_CRC(spc_parse_cdb, 0x80820fe2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x591494a2, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe3993513, "filp_open" },
	{ 0xe914e41e, "strcpy" },
	{ 0x424a5563, "try_module_get" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0x7824e0d, "revert_creds" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x642fbfd6, "config_group_init" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5bcea5f1, "sgl_free_n_order" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x460ca301, "trace_raw_output_prep" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xc666a132, "crc_t10dif" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5d658b5e, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xbab72d70, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x842b1e4c, "config_item_get" },
	{ 0xbfc97bdc, "up" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x8095536c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1400f6c, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xec18bf4f, "kmem_cache_create" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x54d98956, "sbitmap_queue_init_node" },
	{ 0xac286ad1, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5a26cca9, "__put_cred" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xb6c75d9c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x2523f670, "config_item_get_unless_zero" },
	{ 0xa916b694, "strnlen" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x2450cd7, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5a4bb8bc, "__free_pages" },
	{ 0x56bab318, "init_task" },
	{ 0xff689ef3, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x948414fd, "bdev_discard_alignment" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x149909c6, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb4e84ae5, "sg_miter_next" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc559074b, "perf_trace_run_bpf_submit" },
	{ 0xdaec7331, "fput" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x513ddd9b, "configfs_register_subsystem" },
	{ 0x4e3567f7, "match_int" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb4b54cf7, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x75083d6c, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x813e2af0, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xe543d0b4, "sg_miter_stop" },
	{ 0x496d275, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x2b3d0642, "vmap" },
	{ 0x97a57333, "crc_t10dif_update" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x72ea7b2d, "scsi_device_type" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x5d16432f, "sg_miter_start" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xceab9502, "idr_alloc_cyclic" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8b5d9c9f, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd3269b70, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x7a4a9d71, "configfs_depend_item" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x85aea03b, "xa_erase" },
	{ 0xc3735255, "override_creds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3abd1692, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x77910083, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd591e36a, "filp_close" },
	{ 0x62e313e8, "config_item_put" },
	{ 0x44e9a829, "match_token" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6b62b9ee, "down_interruptible" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xcd3bc3e0, "alloc_pages_noprof" },
	{ 0xc420c9f5, "configfs_undepend_item" },
	{ 0xefb384a4, "prepare_kernel_cred" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xc2cb862e, "sgl_alloc_order" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x72393119, "kernel_write" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "configfs,scsi_common");


MODULE_INFO(srcversion, "D9D08E4391B7DC018596863");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
