#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x21d78c3b, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x7c965fcc, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0xa8410131, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xe2816db7, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x2776c119, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x7d89baa8, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x762085cf, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x030e621d, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0xdda922d8, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xf1f0b49c, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x0cbaaa32, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x984cb2e5, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x35525b75, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x97c04959, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x86a9f826, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x805b9f52, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x86560303, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0x15c8b842, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0xba184efc, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x44707b81, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0xa73acdbf, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x620498d4, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x9d6cace2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0xcc62e027, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x494f687d, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x6423b3c7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0x2c4ea1ec, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x11006752, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0xc207309c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x966dc549, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x03a3f80b, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0xb2e68260, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x4d63e47e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0xa83c70f7, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0xc8355457, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x17e530a2, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x95c23ecd, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x40f77c2c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x8e7c42f6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x4963c819, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x8007d06c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0xce0e6a02, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x7ea6f034, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x10c85e77, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xf444547a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x200c0d36, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x1504fb9b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x0416c8e8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0xbe42f531, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0xea9e3eaa, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0xdf0d1027, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x5b8fb1e8, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x80a5eebf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0xaf3a4b5c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x4201320e, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0xde9a167f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x6e6ca0c6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg, 0xf0a5b199, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0x61d57f81, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0xde6ccade, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0xce30acff, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg_err, 0x87ed16c4, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x7d1c1877, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0xd86070d2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x603e9b34, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg, 0xa37b1177, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x0b321280, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0xa0c88e29, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0xa5546a73, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg_err, 0xe1bc35e8, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xcff1db9b, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0x205ea458, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0xe39c4953, "_gpl");
SYMBOL_CRC(__SCT__tp_func_fl_getdevinfo, 0x6f27cded, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x7c36cff1, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x501be228, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x7937b6fd, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x865d2a4a, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0xd3298547, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0xb4115e99, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0xcf2b7723, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x6673f1e4, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x5026f858, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x61f99e31, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x2895d8c0, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x2c70c6d7, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0xbfb23ee8, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0xea4d3195, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x28aba5bd, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x0e87c5a2, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0xd5371ccb, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0xdec885fc, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x41adeb76, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x206c1c12, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x0fdc557b, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0xfaf76332, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xefbfacb9, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0xf51ffc1a, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x86b50783, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xad39723a, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x6096da1d, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x51058a7a, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x0c200081, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x954f9f7a, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0xa1806d75, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x002f4721, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x5fcc14cd, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x526e6e21, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0xc19d04e7, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x49a8c9a9, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0xcfdc2e30, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x00279567, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0xa0318264, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x89b24bd1, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x310ff814, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0xff3bd100, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xc046e788, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x91d77dc5, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x761c9f3a, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0xe3586b77, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x70a84e58, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x51d0df69, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0xcf29dda4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd7f1d101, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x5208b026, "nfs_fscache_open_file" },
	{ 0xa035bf11, "from_kgid" },
	{ 0x496d275, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xbbf9f537, "nfs_write_inode" },
	{ 0x2bbdc150, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x6573f300, "ida_free" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x45a18960, "rpc_wake_up_first" },
	{ 0xcbac7fd7, "alloc_nfs_open_context" },
	{ 0xc7f0f5ab, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xc6ba7c78, "vfs_parse_fs_param" },
	{ 0x188b012, "nfs_path" },
	{ 0x970fd0e, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfcaf2492, "nfs_create_rpc_client" },
	{ 0x5ebcd50, "__put_devmap_managed_folio_refs" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa5f4ef22, "register_nfs_version" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe577c6a4, "rpc_sleep_on_timeout" },
	{ 0x9a5692c6, "list_lru_count_one" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdd431d5, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x89e1d855, "rpc_call_start" },
	{ 0x15e703a8, "xprt_setup_backchannel" },
	{ 0x8b5d9c9f, "bpf_trace_run1" },
	{ 0xe5c57c6, "svc_create" },
	{ 0x379a45a2, "rpc_clnt_iterate_for_each_xprt" },
	{ 0xb39891f1, "nfs_file_set_open_context" },
	{ 0xd7438ada, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x73e1fb07, "rpc_call_sync" },
	{ 0x670903d6, "from_kuid" },
	{ 0xe2664be6, "rpc_put_task_async" },
	{ 0x29b7c935, "rpc_prepare_reply_pages" },
	{ 0x1d7fcfd2, "rpc_queue_upcall" },
	{ 0x85c8d0d2, "nfs_free_server" },
	{ 0x43b9554, "fc_mount" },
	{ 0xed714da2, "register_sysctl_sz" },
	{ 0x12bac760, "nfs_setattr" },
	{ 0xfb578fc5, "memset" },
	{ 0xa4e28f84, "xdr_terminate_string" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x492a3d52, "nfs4_fs_type" },
	{ 0xd45fb45, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x46dd122, "rpc_delay" },
	{ 0xdd825e64, "nfs_flock" },
	{ 0xbca3ddaf, "nfs_read_alloc_scratch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8f63cc1, "__list_lru_init" },
	{ 0xd3269b70, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x8e17582b, "svc_generic_init_request" },
	{ 0x3ed233aa, "_atomic_dec_and_lock" },
	{ 0x88b92653, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x1aed8c28, "rpc_exit" },
	{ 0x4a1ae75e, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xfc44bbe3, "rpc_remove_pipe_dir_object" },
	{ 0xf1883222, "nfs_may_open" },
	{ 0x4d36fd2c, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x2262f5e2, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0x355be96, "xdr_reserve_space" },
	{ 0x1fc3f427, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8125918d, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x9d32b616, "nfs_rmdir" },
	{ 0xfccf0ad2, "bpf_trace_run3" },
	{ 0xc3735255, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x62de92e3, "nfs_filemap_write_and_wait_range" },
	{ 0xcc702a76, "rpc_mkpipe_dentry" },
	{ 0x797eaa34, "alloc_file_pseudo" },
	{ 0x78834cd8, "rpc_mkpipe_data" },
	{ 0xf35572b4, "rpc_add_pipe_dir_object" },
	{ 0x7a5c3cf2, "igrab" },
	{ 0x9f5c305d, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x909d4791, "nfs_async_iocounter_wait" },
	{ 0x26b5106a, "nfs_file_read" },
	{ 0x77910083, "trace_event_buffer_reserve" },
	{ 0xc827c3ea, "nfs_alloc_fattr_with_label" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x6230f06, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0x10db0994, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc95cc2ba, "nfs_setattr_update_inode" },
	{ 0x12ef5525, "nfs_instantiate" },
	{ 0xd79fee04, "init_user_ns" },
	{ 0x58a73424, "rpc_uaddr2sockaddr" },
	{ 0x4e87dc0a, "user_read" },
	{ 0x17b6e9af, "rpc_restart_call" },
	{ 0xed45c505, "request_key_tag" },
	{ 0x6011e65d, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x28e92d3b, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x8d7d6c0b, "svc_xprt_destroy_all" },
	{ 0x51462258, "generic_key_instantiate" },
	{ 0xd0541325, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xf0ad1d65, "nfs_link" },
	{ 0xdd090d49, "__folio_put" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf303be91, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x6e82f370, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9425842a, "dput" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0xbc983b61, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7c89853c, "xdr_stream_move_subsegment" },
	{ 0x457fcee4, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x16bdf443, "nfs_post_op_update_inode_force_wcc" },
	{ 0xd2aa29, "nfs_pgheader_init" },
	{ 0xd7d6f0bd, "put_nfs_open_context" },
	{ 0xcd3031e0, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x95f8fb1b, "nfs_show_devname" },
	{ 0x8016e1e1, "nfs_permission" },
	{ 0x54f3b61a, "nfs_initiate_commit" },
	{ 0xe8809a3, "truncate_inode_pages_range" },
	{ 0x83cfa23c, "__put_user_ns" },
	{ 0xcd3bc3e0, "alloc_pages_noprof" },
	{ 0x96732f30, "cred_fscmp" },
	{ 0x18c33bac, "rpc_unlink" },
	{ 0x157f2a44, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x275f9364, "proc_dointvec" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x4c05d763, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x441db5d6, "node_data" },
	{ 0xbd5e7d19, "nfs_probe_server" },
	{ 0x3f8a983, "nfs_setsecurity" },
	{ 0x54efb1d4, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xb5691a7f, "rpc_clnt_test_and_add_xprt" },
	{ 0x9179ba03, "file_ra_state_init" },
	{ 0x1d7e6aba, "nfs_force_lookup_revalidate" },
	{ 0xf21d59ef, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe3807fd1, "rpc_clnt_add_xprt" },
	{ 0x8f585a58, "dget_parent" },
	{ 0x6a3eeb5d, "from_kuid_munged" },
	{ 0xefb384a4, "prepare_kernel_cred" },
	{ 0x42d206c2, "nfs_alloc_server" },
	{ 0x1d2215a4, "rpc_call_async" },
	{ 0x7d5397bd, "security_dentry_init_security" },
	{ 0x57f5d5c2, "filemap_write_and_wait_range" },
	{ 0xb21f94c0, "list_lru_del_obj" },
	{ 0x6fe35653, "nfs_server_insert_lists" },
	{ 0x452b7141, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0xd6855c82, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x161af62e, "rpc_init_pipe_dir_object" },
	{ 0x96684f93, "bpf_trace_run7" },
	{ 0xeb943af6, "nfs_refresh_inode" },
	{ 0x51f7b586, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0xf8148840, "nfs_init_server_rpcclient" },
	{ 0x375df5b6, "__mark_inode_dirty" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x564a643b, "rpc_set_connect_timeout" },
	{ 0x26e4100d, "rpcauth_create" },
	{ 0x428978f8, "xdr_stream_pos" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xf0aecf3c, "key_set_timeout" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0xbb53856b, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x7771c519, "svc_xprt_create" },
	{ 0x39bae2ff, "nfs42_ssc_register" },
	{ 0x6ab06368, "rpc_wait_for_completion_task" },
	{ 0xb5edc781, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1f2aa883, "rpc_num_bc_slots" },
	{ 0x38ee8d89, "nfs_alloc_inode" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6fa5b5b8, "rpc_destroy_wait_queue" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x994213c, "security_inode_listsecurity" },
	{ 0x240441b2, "nfs_fhget" },
	{ 0x539add81, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3a54b304, "locks_copy_lock" },
	{ 0x591494a2, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x79c7ce58, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1ff3cb0b, "nfs_set_verifier" },
	{ 0xf03ef1fc, "proc_dointvec_minmax" },
	{ 0xb46108c3, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x8fe70ebe, "svc_generic_rpcbind_set" },
	{ 0x107a684c, "nfs_clone_server" },
	{ 0x11e5236, "nfs_access_add_cache" },
	{ 0xbd746ccb, "filemap_fdatawrite" },
	{ 0xd298f9b6, "nfs_show_stats" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x613086dd, "nfs_server_remove_lists" },
	{ 0x73aac32b, "shrinker_alloc" },
	{ 0xc2c890ed, "nfs42_ssc_unregister" },
	{ 0x458618ab, "generic_listxattr" },
	{ 0x424a5563, "try_module_get" },
	{ 0x7824e0d, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x2a7b617f, "nfs_writeback_update_inode" },
	{ 0xf1cfc4a0, "clear_inode" },
	{ 0x6593a0f8, "inode_to_bdi" },
	{ 0xeb7041c, "bpf_trace_run4" },
	{ 0x5aa35959, "user_destroy" },
	{ 0xdfb800d9, "idr_find" },
	{ 0xeb21ee08, "param_ops_uint" },
	{ 0xd0e2a618, "user_revoke" },
	{ 0x3d46f162, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5542f485, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0xd5705831, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8425df7d, "rpc_clnt_probe_trunked_xprts" },
	{ 0xfe638f93, "nfs_pageio_reset_read_mds" },
	{ 0x9c73f3f1, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0xe57bc730, "rpc_shutdown_client" },
	{ 0xe32c37b6, "svc_bind" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4c7dfe6, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xffea6c84, "nfs_free_inode" },
	{ 0xc674c3f0, "nfs_access_zap_cache" },
	{ 0xf7972c26, "nfs_sb_deactive" },
	{ 0xe56285a9, "nfs_wb_all" },
	{ 0x30e23ded, "__break_lease" },
	{ 0x7e9255e0, "nfs_pageio_init_write" },
	{ 0xb799a7d4, "svc_recv" },
	{ 0x3c9bcb72, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc1900464, "xdr_inline_decode" },
	{ 0x910778ad, "nfs_pageio_init_read" },
	{ 0x460ca301, "trace_raw_output_prep" },
	{ 0xe13410e, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xf884c46e, "nfs_init_commit" },
	{ 0x4750964d, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5a0ab9cb, "bpf_trace_run6" },
	{ 0x258fb53b, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xf650712a, "rpc_net_ns" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5d658b5e, "__trace_trigger_soft_disabled" },
	{ 0xa4082798, "nfs_mknod" },
	{ 0x952de34e, "nfs_inode_attach_open_context" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xe02dc736, "nfs4_label_alloc" },
	{ 0x34dd52f9, "rpc_localaddr" },
	{ 0x8c003bcb, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xbab72d70, "trace_event_printf" },
	{ 0x4e201cda, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9233c07b, "idr_replace" },
	{ 0xb99fa0ea, "nfs_lock" },
	{ 0xc92bce00, "unregister_key_type" },
	{ 0x21bcf37f, "nfs_client_init_is_complete" },
	{ 0xf4f941aa, "nfs_file_splice_read" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x21ed4fe1, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x8095536c, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x27b11751, "ihold" },
	{ 0x5be3f628, "truncate_pagecache_range" },
	{ 0xca9955ff, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7f9ddc6, "invalidate_inode_pages2_range" },
	{ 0x3f7c1b06, "nfs_post_op_update_inode" },
	{ 0xbb1428fb, "svc_exit_thread" },
	{ 0x376ece3a, "iput" },
	{ 0x12c6a807, "xdr_set_pagelen" },
	{ 0xb1400f6c, "pcpu_hot" },
	{ 0x8dc3ff29, "nfs_pgio_header_free" },
	{ 0x97bc7288, "nfs_request_add_commit_list_locked" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0x60278f0f, "logfc" },
	{ 0x1f5a0876, "nfs_pgio_header_alloc" },
	{ 0xf5ae0cc5, "iter_file_splice_write" },
	{ 0x2be570d9, "rpc_pton" },
	{ 0x66f655a5, "nfs_sb_active" },
	{ 0xc8a20c55, "mod_node_page_state" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xd16e7e9, "rpc_wake_up_queued_task" },
	{ 0xec418c16, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x7e9d0327, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0x9f0e6a84, "rpc_restart_call_prepare" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd3fa507, "_copy_from_pages" },
	{ 0xe18daca7, "__module_get" },
	{ 0xec18bf4f, "kmem_cache_create" },
	{ 0xcfd11735, "rpc_task_release_transport" },
	{ 0x8a493f40, "xdr_page_pos" },
	{ 0x7b487c82, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x19d0d470, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd191075e, "key_instantiate_and_link" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x47cc9e71, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xd735abe, "register_key_type" },
	{ 0x1e06eded, "rpc_sleep_on" },
	{ 0x39488944, "rpc_run_task" },
	{ 0x72d34696, "nfs_pageio_resend" },
	{ 0xd85168bc, "keyring_alloc" },
	{ 0xdd3968f4, "vfs_setpos" },
	{ 0x8ba23be, "nfs_create" },
	{ 0x679a9327, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5a26cca9, "__put_cred" },
	{ 0xd2cd1146, "nfs_update_delegated_mtime" },
	{ 0xa929243a, "nfs_statfs" },
	{ 0x1cfda36b, "wake_up_process" },
	{ 0x3d2ca7f2, "shrinker_free" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xd1cc40db, "splice_file_range" },
	{ 0x7bf431e2, "rpc_max_bc_payload" },
	{ 0xb6c75d9c, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xcf010c7b, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x553b269a, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xb06cd0cc, "nfs_mkdir" },
	{ 0x2f61b41b, "nfs_revalidate_inode" },
	{ 0x5e77f67, "inode_newsize_ok" },
	{ 0x4ace176d, "nfs_file_mmap" },
	{ 0x5b25150f, "nfs_get_lock_context" },
	{ 0x9346bd9d, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0xc99e54d9, "nfs_set_cache_invalid" },
	{ 0x72d4bc00, "rpc_release_client" },
	{ 0x809a3f34, "rpc_clnt_manage_trunked_xprts" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x35b0e09, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe904cb58, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x123f9b19, "unregister_sysctl_table" },
	{ 0x6275daf1, "nfs_generic_pgio" },
	{ 0x49da2ab5, "make_kuid" },
	{ 0x7e8b8a7, "truncate_inode_pages_final" },
	{ 0xfb018ed1, "generic_setlease" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x6e7e0afd, "xprt_destroy_backchannel" },
	{ 0x15c3c9f1, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0xbc1340b4, "nfs_scan_commit_list" },
	{ 0xe56fb9, "xdr_stream_decode_string_dup" },
	{ 0xefb6492c, "nfs_commit_inode" },
	{ 0xb1796f3d, "shrinker_register" },
	{ 0x16b80ab, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x2450cd7, "const_pcpu_hot" },
	{ 0xdac84a11, "rpc_destroy_pipe_data" },
	{ 0x27797a4, "nfs_get_client" },
	{ 0x5a4bb8bc, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x56bab318, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x1a288a4, "nfs_atomic_open" },
	{ 0x4aaee372, "rpc_pipe_generic_upcall" },
	{ 0x2236d8cf, "nfs_file_fsync" },
	{ 0xff689ef3, "module_put" },
	{ 0x3be2539f, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3e80ed4b, "mntput" },
	{ 0x7ab42e81, "nfs_put_lock_context" },
	{ 0x66de6d94, "nfs_rename" },
	{ 0xab9c5d19, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4ecc3416, "nfs_sysfs_link_rpc_client" },
	{ 0x6432927c, "nfs_put_client" },
	{ 0xe64bace3, "nfs_show_options" },
	{ 0xc56a5a39, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0xa156d760, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xbb48d9e3, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x577e87e6, "get_nfs_open_context" },
	{ 0xc559074b, "perf_trace_run_bpf_submit" },
	{ 0x70f99777, "nfs_clear_verifier_delegated" },
	{ 0xfea1d489, "nfs_sysfs_add_server" },
	{ 0xdaec7331, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x77f1df3e, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0xaaa0754a, "nfs_do_submount" },
	{ 0x22e5908e, "vfs_dup_fs_context" },
	{ 0xeed7fd81, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xa3ed0351, "request_key_with_auxdata" },
	{ 0xe9665149, "rpc_clone_client_set_auth" },
	{ 0x84e8a9d, "rpc_clone_client" },
	{ 0x8be54f81, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x467a651d, "nfs_client_init_status" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x1a525062, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x46dac447, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x754dcdf, "put_fs_context" },
	{ 0x3c07c307, "nfs_retry_commit" },
	{ 0x738e480f, "nfs4_dentry_operations" },
	{ 0x156d3ea3, "__module_put_and_kthread_exit" },
	{ 0xb97ea209, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xb7348040, "nfs_client_for_each_server" },
	{ 0x419ed9c5, "nfs_clear_inode" },
	{ 0x367a388c, "rpc_sleep_on_priority" },
	{ 0x25dbb51, "nfs_invalidate_atime" },
	{ 0x2bd0b283, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x6a47a302, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x33f8db60, "nfs_getattr" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x98afc3c8, "nfs_pageio_reset_write_mds" },
	{ 0x813e2af0, "kmem_cache_free" },
	{ 0xa3233016, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0x9d3dc978, "xdr_stream_subsegment" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,dns_resolver");


MODULE_INFO(srcversion, "99E57764650AC79C30CFF48");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
