#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x9ea1fc78, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7aed9680, "fscrypt_set_context" },
	{ 0x49da2ab5, "make_kuid" },
	{ 0x7e8b8a7, "truncate_inode_pages_final" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x35d23a3a, "fs_kobj" },
	{ 0xaa29bdca, "__filemap_set_wb_err" },
	{ 0x8c9dc075, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x60190abf, "fscrypt_file_open" },
	{ 0xb1796f3d, "shrinker_register" },
	{ 0xdc26e87f, "__filemap_get_folio" },
	{ 0x2450cd7, "const_pcpu_hot" },
	{ 0x168e5b0b, "ilookup" },
	{ 0xcefc4f0b, "xattr_full_name" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9932c64e, "ubi_close_volume" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x51bf5533, "inode_init_once" },
	{ 0x459fb05d, "file_write_and_wait_range" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xca38b3e5, "ubi_leb_unmap" },
	{ 0xa156d760, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x6f6e4ee7, "fscrypt_ioctl_get_nonce" },
	{ 0xeed7fd81, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xafb56d1a, "generic_file_read_iter" },
	{ 0xeb756d86, "crypto_shash_setkey" },
	{ 0x3d12f4bb, "key_type_logon" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xebdf84ee, "__wake_up_locked" },
	{ 0x3712a33d, "ubi_leb_read" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0x4528f282, "__fscrypt_prepare_rename" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x2832a4c9, "fscrypt_encrypt_block_inplace" },
	{ 0x66011ab6, "ubi_get_device_info" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x52998ee4, "write_cache_pages" },
	{ 0x30b30ad7, "fscrypt_ioctl_set_policy" },
	{ 0x64ee5da4, "set_nlink" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x87c8caa4, "kmem_cache_alloc_lru_noprof" },
	{ 0x813e2af0, "kmem_cache_free" },
	{ 0x67fb02d0, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x7fb51c26, "security_inode_init_security" },
	{ 0xbd6841d4, "crc16" },
	{ 0xa035bf11, "from_kgid" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0xd2faa5b1, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1702564c, "__fscrypt_encrypt_symlink" },
	{ 0xe0e43bf2, "__fscrypt_prepare_link" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa7fd1e0e, "ubi_leb_write" },
	{ 0x3c469138, "kobject_init_and_add" },
	{ 0x724fcf27, "sget" },
	{ 0xfeb66da6, "crypto_shash_update" },
	{ 0xba226495, "ubi_leb_change" },
	{ 0x909b3595, "write_inode_now" },
	{ 0x9ef1fc7c, "folio_wait_stable" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcc4ef168, "kthread_stop" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc5ba5180, "fscrypt_put_encryption_info" },
	{ 0x87e66d1a, "freezing_slow_path" },
	{ 0x11089ac7, "_ctype" },
	{ 0x67a931c2, "__folio_start_writeback" },
	{ 0xeb003938, "ubi_open_volume_nm" },
	{ 0xbbd21bb0, "folio_end_writeback" },
	{ 0x53233a2e, "fscrypt_d_revalidate" },
	{ 0x670903d6, "from_kuid" },
	{ 0xd382cd1c, "ubi_leb_map" },
	{ 0xfb578fc5, "memset" },
	{ 0xe78c5b0c, "hrtimer_start_range_ns" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x6edc3269, "__insert_inode_hash" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x4a1ae75e, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x91928cd1, "fscrypt_drop_inode" },
	{ 0xd1716922, "hash_algo_name" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x7dfa2072, "down_write_trylock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x9f5567e, "truncate_setsize" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x47305bb1, "nonseekable_open" },
	{ 0x8125918d, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xac8788d6, "__fscrypt_prepare_readdir" },
	{ 0x90fe9b78, "debugfs_create_file" },
	{ 0x822aeaef, "param_set_int" },
	{ 0x999e8297, "vfree" },
	{ 0xac2ac410, "generic_read_dir" },
	{ 0xe6aab639, "kobject_del" },
	{ 0x9950c925, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xd79fee04, "init_user_ns" },
	{ 0x4a8c2a5d, "simple_rename_timestamp" },
	{ 0xed45c505, "request_key_tag" },
	{ 0x87a7eaf8, "fscrypt_ioctl_add_key" },
	{ 0xe091c977, "list_sort" },
	{ 0x64c026df, "fscrypt_fname_disk_to_usr" },
	{ 0x211f0d24, "inode_set_ctime_current" },
	{ 0xd0541325, "inc_nlink" },
	{ 0xe6cb89c0, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0xdd090d49, "__folio_put" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x3e6d6a5a, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0x2715938b, "fscrypt_ioctl_get_policy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x71ec6518, "seq_printf" },
	{ 0xca6a9f56, "ubi_open_volume" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0xf0cb57c4, "deactivate_locked_super" },
	{ 0x5b1349af, "touch_atime" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x5ecdaece, "__folio_lock" },
	{ 0x6ea6c1ed, "hrtimer_cancel" },
	{ 0xaac27cbc, "filemap_dirty_folio" },
	{ 0x47b3ba45, "is_bad_inode" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x40219f0d, "fscrypt_prepare_symlink" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xdc433622, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x86b49c11, "kill_anon_super" },
	{ 0xcd33b845, "writeback_inodes_sb_nr" },
	{ 0xf685fac4, "d_parent_ino" },
	{ 0x81188c30, "match_string" },
	{ 0x4a413171, "hrtimer_active" },
	{ 0xcf6d8ab5, "kset_register" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x5c31d8dc, "fscrypt_prepare_new_inode" },
	{ 0x1698a03f, "param_get_int" },
	{ 0x3888c09, "fscrypt_get_symlink" },
	{ 0x34b5b8cc, "filemap_fault" },
	{ 0x225b1541, "crypto_alloc_shash" },
	{ 0x45a58a87, "debugfs_create_dir" },
	{ 0x375df5b6, "__mark_inode_dirty" },
	{ 0x2f13ba59, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xbef74706, "make_bad_inode" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xbb53856b, "up_read" },
	{ 0xef5c86fc, "set_anon_super" },
	{ 0xb5edc781, "drop_nlink" },
	{ 0x508b73dd, "fscrypt_free_inode" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3e0b82fa, "fscrypt_has_permitted_context" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x422af4c6, "iget_failed" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xd9695b40, "fscrypt_symlink_getattr" },
	{ 0x591494a2, "kmem_cache_destroy" },
	{ 0x2195cdda, "crypto_shash_export" },
	{ 0x9b4e0fd5, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xd90dfcdc, "super_setup_bdi_name" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x5489fdf5, "inode_update_timestamps" },
	{ 0xa2f566b3, "crypto_comp_decompress" },
	{ 0xa2bd6784, "inode_init_owner" },
	{ 0x64e3ad5a, "generic_fillattr" },
	{ 0xe4064d53, "setattr_prepare" },
	{ 0xa987fef1, "filemap_migrate_folio" },
	{ 0x351202ea, "iget_locked" },
	{ 0x73aac32b, "shrinker_alloc" },
	{ 0x7f4cca, "generic_set_sb_d_ops" },
	{ 0xbd157e8e, "clear_nlink" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x145d3ef3, "d_instantiate" },
	{ 0xf1cfc4a0, "clear_inode" },
	{ 0x443431c7, "verify_pkcs7_signature" },
	{ 0xe3a29c40, "crypto_shash_import" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1ca33852, "crypto_alloc_base" },
	{ 0xf5b408de, "empty_aops" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xab12c555, "folio_unlock" },
	{ 0xb01fac25, "fscrypt_ioctl_remove_key_all_users" },
	{ 0xb0e602eb, "memmove" },
	{ 0x1c92614b, "new_inode" },
	{ 0xd3ef4105, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xfcf63362, "filemap_map_pages" },
	{ 0x520979c0, "init_special_inode" },
	{ 0x6eb36ac8, "unregister_filesystem" },
	{ 0x1063751, "__fscrypt_prepare_setattr" },
	{ 0xb4a2e873, "__fscrypt_prepare_lookup" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xd80d9de3, "fscrypt_ioctl_get_key_status" },
	{ 0xa5df7f1a, "d_make_root" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xcaaa3084, "fscrypt_decrypt_block_inplace" },
	{ 0xd75d614, "sync_filesystem" },
	{ 0xdc65cc1, "ubi_is_mapped" },
	{ 0xe8ec57f3, "hrtimer_init" },
	{ 0x490d711f, "folio_redirty_for_writepage" },
	{ 0x21ed4fe1, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xb01979ad, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x27b11751, "ihold" },
	{ 0x37a0cba, "kfree" },
	{ 0xc2eec266, "finish_open" },
	{ 0x376ece3a, "iput" },
	{ 0xd40c95ba, "kset_unregister" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xf5ae0cc5, "iter_file_splice_write" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x42801d20, "ubi_sync" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x8bbc6f5, "generic_file_write_iter" },
	{ 0x7ef8e971, "ubi_open_volume_path" },
	{ 0xc2bc33fc, "register_filesystem" },
	{ 0xb3d8b657, "d_tmpfile" },
	{ 0xec18bf4f, "kmem_cache_create" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0xccb5f4ae, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x3db6c70b, "fscrypt_ioctl_get_policy_ex" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x6a59333a, "crypto_comp_compress" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5f334aa7, "ubi_get_volume_info" },
	{ 0x1cfda36b, "wake_up_process" },
	{ 0x3d2ca7f2, "shrinker_free" },
	{ 0x1d62c20e, "fscrypt_setup_filename" },
	{ 0xbc5c12d3, "crypto_destroy_tfm" },
	{ 0x3504017d, "simple_inode_init_ts" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "ubi");


MODULE_INFO(srcversion, "99FCAB37362F460E953B9CB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
