#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hdac_ext_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_device_remove, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_register, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_int_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_ml_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_link_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_addr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_set_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_clear_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_get, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_put, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_host_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_init_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_clear, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_cstream_assign, "_gpl", "");

SYMBOL_CRC(snd_hdac_ext_bus_init, 0x5ae22b4e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_exit, 0x25af258c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_device_remove, 0xa30c0a93, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_register, 0x32cab638, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_unregister, 0x4a9af52e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_enable, 0x8c1ff623, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_int_enable, 0xba82f3ee, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_ml_capabilities, 0x844b72d2, "_gpl");
SYMBOL_CRC(snd_hdac_ext_link_free_all, 0xc5c5be3b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_addr, 0x3da0c7cc, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_name, 0x0d90ad43, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up, 0x3772e0e8, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down, 0x77cbdfb6, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up_all, 0x09812801, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down_all, 0xf7d89cde, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_set_stream_id, 0xea6773ee, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_clear_stream_id, 0x9c18a736, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_get, 0x228cce27, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_put, 0x5637c2b4, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power, 0x15207694, "_gpl");
SYMBOL_CRC(snd_hdac_ext_host_stream_setup, 0x357d6e6b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_init_all, 0x372ab404, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_free_all, 0x35bd8b70, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple_locked, 0xa705da4b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple, 0xd5dc6471, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_start, 0xbb5aa620, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_clear, 0x3271ef28, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_reset, 0x7229454c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_setup, 0x936e3280, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_assign, 0x380e2893, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_release, 0x7d40e53b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_cstream_assign, 0xe60b5f11, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x83b09a98, "snd_hdac_bus_exit" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc241cbba, "put_device" },
	{ 0x893ac8d3, "snd_hdac_bus_init" },
	{ 0xd9f3d529, "snd_hdac_stream_init" },
	{ 0xbc887f72, "_dev_err" },
	{ 0x9f67e43, "snd_hdac_device_unregister" },
	{ 0x6987cf6e, "snd_hdac_stream_assign" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xe6fc3ad7, "driver_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdeb33928, "snd_hdac_bus_stop_cmd_io" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8c9ef82c, "snd_hdac_bus_init_cmd_io" },
	{ 0x665893e9, "snd_hda_bus_type" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xb2871936, "snd_hdac_stream_setup" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0x99c520e8, "driver_register" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x6826c359, "snd_hdac_stream_release" },
	{ 0xb054c7a, "snd_hdac_stream_release_locked" },
	{ 0xcabcfb08, "snd_hdac_bus_link_power" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core");


MODULE_INFO(srcversion, "180A3C7D21DEA709F6C09A4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
