#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hda_codec_set_name, "_gpl", "");
KSYMTAB_FUNC(__hda_codec_driver_register, "_gpl", "");
KSYMTAB_FUNC(hda_codec_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_configure, "_gpl", "");
KSYMTAB_FUNC(snd_hda_sequence_write, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_conn_list, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hda_override_conn_list, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_conn_index, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_num_devices, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_dev_select, "_gpl", "");
KSYMTAB_FUNC(snd_hda_set_dev_select, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_set_pincfg, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_get_pincfg, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_set_pin_target, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_get_pin_target, "_gpl", "");
KSYMTAB_FUNC(snd_hda_shutup_pins, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_pcm_put, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_pcm_new, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_cleanup_for_unbind, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_register, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_new, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_device_new, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_update_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_setup_stream, "_gpl", "");
KSYMTAB_FUNC(__snd_hda_codec_cleanup_stream, "_gpl", "");
KSYMTAB_FUNC(query_amp_caps, "_gpl", "");
KSYMTAB_FUNC(snd_hda_check_amp_caps, "_gpl", "");
KSYMTAB_FUNC(snd_hda_override_amp_caps, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_amp_update, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_amp_stereo, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_amp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_amp_init_stereo, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_volume_info, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_volume_get, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_volume_put, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_tlv, "_gpl", "");
KSYMTAB_FUNC(snd_hda_set_vmaster_tlv, "_gpl", "");
KSYMTAB_FUNC(snd_hda_find_mixer_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ctl_add, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_nid, "_gpl", "");
KSYMTAB_FUNC(snd_hda_lock_devices, "_gpl", "");
KSYMTAB_FUNC(snd_hda_unlock_devices, "_gpl", "");
KSYMTAB_FUNC(__snd_hda_add_vmaster, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_vmaster_hook, "_gpl", "");
KSYMTAB_FUNC(snd_hda_sync_vmaster_hook, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_switch_info, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_switch_get, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_switch_put, "_gpl", "");
KSYMTAB_FUNC(snd_hda_create_dig_out_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_spdif_out_of_nid, "_gpl", "");
KSYMTAB_FUNC(snd_hda_spdif_ctls_unassign, "_gpl", "");
KSYMTAB_FUNC(snd_hda_spdif_ctls_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hda_create_spdif_share_sw, "_gpl", "");
KSYMTAB_FUNC(snd_hda_create_spdif_in_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_set_power_to_all, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_eapd_power_filter, "_gpl", "");
KSYMTAB_DATA(snd_pcm_2_1_chmaps, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_parse_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_set_power_save, "_gpl", "");
KSYMTAB_FUNC(snd_hda_set_power_save, "_gpl", "");
KSYMTAB_FUNC(snd_hda_check_amp_list_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_input_mux_info, "_gpl", "");
KSYMTAB_FUNC(snd_hda_input_mux_put, "_gpl", "");
KSYMTAB_FUNC(snd_hda_enum_helper_info, "_gpl", "");
KSYMTAB_FUNC(snd_hda_multi_out_dig_open, "_gpl", "");
KSYMTAB_FUNC(snd_hda_multi_out_dig_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hda_multi_out_dig_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hda_multi_out_dig_close, "_gpl", "");
KSYMTAB_FUNC(snd_hda_multi_out_analog_open, "_gpl", "");
KSYMTAB_FUNC(snd_hda_multi_out_analog_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hda_multi_out_analog_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_default_vref, "_gpl", "");
KSYMTAB_FUNC(snd_hda_correct_pin_ctl, "_gpl", "");
KSYMTAB_FUNC(_snd_hda_set_pin_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_imux_item, "_gpl", "");
KSYMTAB_FUNC(snd_print_pcm_bits, "_gpl", "");
KSYMTAB_FUNC(is_jack_detectable, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_tbl_get_mst, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_tbl_get_from_tag, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_set_dirty_all, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_pin_sense, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_detect_state_mst, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_detect_enable_callback_mst, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_detect_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_set_gating_jack, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_bind_keymap, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_set_button_state, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_report_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_add_kctl_mst, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_add_kctls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_unsol_event, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_poll_all, "_gpl", "");
KSYMTAB_FUNC(snd_hda_parse_pin_defcfg, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_input_pin_attr, "_gpl", "");
KSYMTAB_FUNC(hda_get_autocfg_input_label, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_pin_label, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_verbs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_apply_verbs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_apply_pincfgs, "_gpl", "");
KSYMTAB_FUNC(__snd_hda_apply_fixup, "_gpl", "");
KSYMTAB_FUNC(snd_hda_apply_fixup, "_gpl", "");
KSYMTAB_FUNC(snd_hda_pick_pin_fixup, "_gpl", "");
KSYMTAB_FUNC(snd_hda_pick_fixup, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_hint, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_bool_hint, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_int_hint, "_gpl", "");
KSYMTAB_FUNC(snd_hda_load_patch, "_gpl", "");
KSYMTAB_FUNC(azx_get_pos_lpib, "_gpl", "");
KSYMTAB_FUNC(azx_get_pos_posbuf, "_gpl", "");
KSYMTAB_FUNC(azx_get_position, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_load_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_load_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_load_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(azx_init_chip, "_gpl", "");
KSYMTAB_FUNC(azx_stop_all_streams, "_gpl", "");
KSYMTAB_FUNC(azx_stop_chip, "_gpl", "");
KSYMTAB_FUNC(azx_interrupt, "_gpl", "");
KSYMTAB_FUNC(azx_bus_init, "_gpl", "");
KSYMTAB_FUNC(azx_probe_codecs, "_gpl", "");
KSYMTAB_FUNC(azx_codec_configure, "_gpl", "");
KSYMTAB_FUNC(azx_init_streams, "_gpl", "");
KSYMTAB_FUNC(azx_free_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hda_enable_beep_device, "_gpl", "");
KSYMTAB_FUNC(snd_hda_attach_beep_device, "_gpl", "");
KSYMTAB_FUNC(snd_hda_detach_beep_device, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_switch_get_beep, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_switch_put_beep, "_gpl", "");

SYMBOL_CRC(snd_hda_codec_set_name, 0xeda8d116, "_gpl");
SYMBOL_CRC(__hda_codec_driver_register, 0x8584179b, "_gpl");
SYMBOL_CRC(hda_codec_driver_unregister, 0xa88e5b87, "_gpl");
SYMBOL_CRC(snd_hda_codec_configure, 0x625cb0d2, "_gpl");
SYMBOL_CRC(snd_hda_sequence_write, 0x711f3ff4, "_gpl");
SYMBOL_CRC(snd_hda_get_conn_list, 0x99b9fa2f, "_gpl");
SYMBOL_CRC(snd_hda_get_connections, 0x8271353c, "_gpl");
SYMBOL_CRC(snd_hda_override_conn_list, 0x1babe752, "_gpl");
SYMBOL_CRC(snd_hda_get_conn_index, 0xd1d69316, "_gpl");
SYMBOL_CRC(snd_hda_get_num_devices, 0xa12aed2f, "_gpl");
SYMBOL_CRC(snd_hda_get_dev_select, 0x99f0cc49, "_gpl");
SYMBOL_CRC(snd_hda_set_dev_select, 0xe16fc2c0, "_gpl");
SYMBOL_CRC(snd_hda_codec_set_pincfg, 0x5ff94182, "_gpl");
SYMBOL_CRC(snd_hda_codec_get_pincfg, 0x61036413, "_gpl");
SYMBOL_CRC(snd_hda_codec_set_pin_target, 0xe2347783, "_gpl");
SYMBOL_CRC(snd_hda_codec_get_pin_target, 0x208a3841, "_gpl");
SYMBOL_CRC(snd_hda_shutup_pins, 0xe612b014, "_gpl");
SYMBOL_CRC(snd_hda_codec_pcm_put, 0xf76eaf8b, "_gpl");
SYMBOL_CRC(snd_hda_codec_pcm_new, 0xd0388304, "_gpl");
SYMBOL_CRC(snd_hda_codec_cleanup_for_unbind, 0xd4164431, "_gpl");
SYMBOL_CRC(snd_hda_codec_register, 0x85b54d14, "_gpl");
SYMBOL_CRC(snd_hda_codec_unregister, 0x961fe427, "_gpl");
SYMBOL_CRC(snd_hda_codec_device_init, 0x34ec64cd, "_gpl");
SYMBOL_CRC(snd_hda_codec_new, 0x418a9212, "_gpl");
SYMBOL_CRC(snd_hda_codec_device_new, 0x1082ede1, "_gpl");
SYMBOL_CRC(snd_hda_codec_update_widgets, 0x1446ba8c, "_gpl");
SYMBOL_CRC(snd_hda_codec_setup_stream, 0xea9ab4b4, "_gpl");
SYMBOL_CRC(__snd_hda_codec_cleanup_stream, 0x2e5dfae6, "_gpl");
SYMBOL_CRC(query_amp_caps, 0x4ddabb0e, "_gpl");
SYMBOL_CRC(snd_hda_check_amp_caps, 0x707330c7, "_gpl");
SYMBOL_CRC(snd_hda_override_amp_caps, 0xff578fba, "_gpl");
SYMBOL_CRC(snd_hda_codec_amp_update, 0x1d4b2b1e, "_gpl");
SYMBOL_CRC(snd_hda_codec_amp_stereo, 0x3b24870d, "_gpl");
SYMBOL_CRC(snd_hda_codec_amp_init, 0x3b240801, "_gpl");
SYMBOL_CRC(snd_hda_codec_amp_init_stereo, 0x449ee66a, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_volume_info, 0x2fe222fe, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_volume_get, 0xe7cd29c1, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_volume_put, 0x5481528e, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_tlv, 0x68a77cbb, "_gpl");
SYMBOL_CRC(snd_hda_set_vmaster_tlv, 0x640b18e4, "_gpl");
SYMBOL_CRC(snd_hda_find_mixer_ctl, 0xed2a33fd, "_gpl");
SYMBOL_CRC(snd_hda_ctl_add, 0xd3f56bb5, "_gpl");
SYMBOL_CRC(snd_hda_add_nid, 0xa00a539e, "_gpl");
SYMBOL_CRC(snd_hda_lock_devices, 0x1a60901f, "_gpl");
SYMBOL_CRC(snd_hda_unlock_devices, 0xe1829d0d, "_gpl");
SYMBOL_CRC(__snd_hda_add_vmaster, 0x7897b1b3, "_gpl");
SYMBOL_CRC(snd_hda_add_vmaster_hook, 0xe689ae37, "_gpl");
SYMBOL_CRC(snd_hda_sync_vmaster_hook, 0x75ecfbe9, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_switch_info, 0x14372136, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_switch_get, 0xdc182a09, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_switch_put, 0x6f545146, "_gpl");
SYMBOL_CRC(snd_hda_create_dig_out_ctls, 0x77cba095, "_gpl");
SYMBOL_CRC(snd_hda_spdif_out_of_nid, 0x5cc65166, "_gpl");
SYMBOL_CRC(snd_hda_spdif_ctls_unassign, 0xe49748cd, "_gpl");
SYMBOL_CRC(snd_hda_spdif_ctls_assign, 0x6acf6377, "_gpl");
SYMBOL_CRC(snd_hda_create_spdif_share_sw, 0x02086236, "_gpl");
SYMBOL_CRC(snd_hda_create_spdif_in_ctls, 0x1759f79c, "_gpl");
SYMBOL_CRC(snd_hda_codec_set_power_to_all, 0x2c3daa63, "_gpl");
SYMBOL_CRC(snd_hda_codec_eapd_power_filter, 0xf825322f, "_gpl");
SYMBOL_CRC(snd_pcm_2_1_chmaps, 0xe118de5d, "_gpl");
SYMBOL_CRC(snd_hda_codec_build_controls, 0x7d6961ec, "_gpl");
SYMBOL_CRC(snd_hda_codec_prepare, 0x89ecec6b, "_gpl");
SYMBOL_CRC(snd_hda_codec_cleanup, 0x36173d9c, "_gpl");
SYMBOL_CRC(snd_hda_codec_parse_pcms, 0xbabccf57, "_gpl");
SYMBOL_CRC(snd_hda_add_new_ctls, 0xc47e0564, "_gpl");
SYMBOL_CRC(snd_hda_codec_set_power_save, 0x81cfef3c, "_gpl");
SYMBOL_CRC(snd_hda_set_power_save, 0x222eea3b, "_gpl");
SYMBOL_CRC(snd_hda_check_amp_list_power, 0x57660560, "_gpl");
SYMBOL_CRC(snd_hda_input_mux_info, 0xf8dc35ac, "_gpl");
SYMBOL_CRC(snd_hda_input_mux_put, 0x9aa9c55e, "_gpl");
SYMBOL_CRC(snd_hda_enum_helper_info, 0x08d89736, "_gpl");
SYMBOL_CRC(snd_hda_multi_out_dig_open, 0x65503eb9, "_gpl");
SYMBOL_CRC(snd_hda_multi_out_dig_prepare, 0xa33d5353, "_gpl");
SYMBOL_CRC(snd_hda_multi_out_dig_cleanup, 0xaeadcf72, "_gpl");
SYMBOL_CRC(snd_hda_multi_out_dig_close, 0xfd2e2ace, "_gpl");
SYMBOL_CRC(snd_hda_multi_out_analog_open, 0x8cb34760, "_gpl");
SYMBOL_CRC(snd_hda_multi_out_analog_prepare, 0x329277f9, "_gpl");
SYMBOL_CRC(snd_hda_multi_out_analog_cleanup, 0x4cf78a19, "_gpl");
SYMBOL_CRC(snd_hda_get_default_vref, 0x37525d9d, "_gpl");
SYMBOL_CRC(snd_hda_correct_pin_ctl, 0x319e9620, "_gpl");
SYMBOL_CRC(_snd_hda_set_pin_ctl, 0x0907a9ee, "_gpl");
SYMBOL_CRC(snd_hda_add_imux_item, 0x46197c18, "_gpl");
SYMBOL_CRC(snd_print_pcm_bits, 0xeda3a721, "_gpl");
SYMBOL_CRC(is_jack_detectable, 0x2b45ca1a, "_gpl");
SYMBOL_CRC(snd_hda_jack_tbl_get_mst, 0xb86e5fd5, "_gpl");
SYMBOL_CRC(snd_hda_jack_tbl_get_from_tag, 0x7d269bdd, "_gpl");
SYMBOL_CRC(snd_hda_jack_set_dirty_all, 0x6c4e7966, "_gpl");
SYMBOL_CRC(snd_hda_jack_pin_sense, 0x03dc5203, "_gpl");
SYMBOL_CRC(snd_hda_jack_detect_state_mst, 0xcc9a96ac, "_gpl");
SYMBOL_CRC(snd_hda_jack_detect_enable_callback_mst, 0xb04e71f8, "_gpl");
SYMBOL_CRC(snd_hda_jack_detect_enable, 0x231b7a93, "_gpl");
SYMBOL_CRC(snd_hda_jack_set_gating_jack, 0x69f7eace, "_gpl");
SYMBOL_CRC(snd_hda_jack_bind_keymap, 0x200174a0, "_gpl");
SYMBOL_CRC(snd_hda_jack_set_button_state, 0xc937cbc4, "_gpl");
SYMBOL_CRC(snd_hda_jack_report_sync, 0x059adc1b, "_gpl");
SYMBOL_CRC(snd_hda_jack_add_kctl_mst, 0xfb225b5d, "_gpl");
SYMBOL_CRC(snd_hda_jack_add_kctls, 0xa6601b70, "_gpl");
SYMBOL_CRC(snd_hda_jack_unsol_event, 0xe94d68e7, "_gpl");
SYMBOL_CRC(snd_hda_jack_poll_all, 0x3141651e, "_gpl");
SYMBOL_CRC(snd_hda_parse_pin_defcfg, 0xc684893d, "_gpl");
SYMBOL_CRC(snd_hda_get_input_pin_attr, 0x0676f5ac, "_gpl");
SYMBOL_CRC(hda_get_autocfg_input_label, 0xf6b6398d, "_gpl");
SYMBOL_CRC(snd_hda_get_pin_label, 0x490a41a8, "_gpl");
SYMBOL_CRC(snd_hda_add_verbs, 0x6ebc6481, "_gpl");
SYMBOL_CRC(snd_hda_apply_verbs, 0x31a0ceb4, "_gpl");
SYMBOL_CRC(snd_hda_apply_pincfgs, 0xea7e7415, "_gpl");
SYMBOL_CRC(__snd_hda_apply_fixup, 0xb5bff9c2, "_gpl");
SYMBOL_CRC(snd_hda_apply_fixup, 0x16d4d329, "_gpl");
SYMBOL_CRC(snd_hda_pick_pin_fixup, 0x8a3d29af, "_gpl");
SYMBOL_CRC(snd_hda_pick_fixup, 0xf890fcfc, "_gpl");
SYMBOL_CRC(snd_hda_get_hint, 0x4f3c4e51, "_gpl");
SYMBOL_CRC(snd_hda_get_bool_hint, 0x80e37a48, "_gpl");
SYMBOL_CRC(snd_hda_get_int_hint, 0x41177a9a, "_gpl");
SYMBOL_CRC(snd_hda_load_patch, 0x356c17a4, "_gpl");
SYMBOL_CRC(azx_get_pos_lpib, 0xf175f8a3, "_gpl");
SYMBOL_CRC(azx_get_pos_posbuf, 0xd5445dcc, "_gpl");
SYMBOL_CRC(azx_get_position, 0xc684346f, "_gpl");
SYMBOL_CRC(snd_hda_codec_load_dsp_prepare, 0x12138d4e, "_gpl");
SYMBOL_CRC(snd_hda_codec_load_dsp_trigger, 0x12ab19ea, "_gpl");
SYMBOL_CRC(snd_hda_codec_load_dsp_cleanup, 0x6de0ac73, "_gpl");
SYMBOL_CRC(azx_init_chip, 0xd097a6aa, "_gpl");
SYMBOL_CRC(azx_stop_all_streams, 0x7b0950ce, "_gpl");
SYMBOL_CRC(azx_stop_chip, 0xe442d409, "_gpl");
SYMBOL_CRC(azx_interrupt, 0x38ce402b, "_gpl");
SYMBOL_CRC(azx_bus_init, 0xadad7e49, "_gpl");
SYMBOL_CRC(azx_probe_codecs, 0x9f6095bb, "_gpl");
SYMBOL_CRC(azx_codec_configure, 0xc06e3287, "_gpl");
SYMBOL_CRC(azx_init_streams, 0x66dfbc30, "_gpl");
SYMBOL_CRC(azx_free_streams, 0xba5cc0a4, "_gpl");
SYMBOL_CRC(snd_hda_enable_beep_device, 0x2f49df7c, "_gpl");
SYMBOL_CRC(snd_hda_attach_beep_device, 0x07b8c1a5, "_gpl");
SYMBOL_CRC(snd_hda_detach_beep_device, 0x97a0482c, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_switch_get_beep, 0x2a438b17, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_switch_put_beep, 0xfab6eacd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb16e3482, "pm_runtime_enable" },
	{ 0x4e1b99f, "snd_pcm_std_chmaps" },
	{ 0xe0f13a03, "snd_hdac_bus_exec_verb_unlocked" },
	{ 0xba884bd7, "snd_hdac_override_parm" },
	{ 0xa149c77, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x45f63520, "snd_hdac_device_register" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x511f1ee5, "snd_hdac_regmap_update_raw" },
	{ 0x7cd55e80, "snd_ctl_make_virtual_master" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0xe2e9ba9a, "snd_hdac_bus_init_chip" },
	{ 0xce143681, "snd_hdac_stream_stop" },
	{ 0xff689ef3, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x6d28d0f5, "snd_hdac_stream_cleanup" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x893ac8d3, "snd_hdac_bus_init" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2abe9bc9, "snd_ctl_boolean_mono_info" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x8e27e78f, "snd_hdac_read_parm_uncached" },
	{ 0xc559074b, "perf_trace_run_bpf_submit" },
	{ 0x564bfb5e, "snd_ctl_rename_id" },
	{ 0xd9f3d529, "snd_hdac_stream_init" },
	{ 0xbc887f72, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x9f67e43, "snd_hdac_device_unregister" },
	{ 0xcd0fd094, "snd_hdac_device_init" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x6987cf6e, "snd_hdac_stream_assign" },
	{ 0x8db73ad4, "snd_jack_new" },
	{ 0x6d53a6d8, "snd_hwdep_new" },
	{ 0xe70931d4, "snd_hdac_read" },
	{ 0x66df096d, "snd_hdac_stream_setup_periods" },
	{ 0x4532a94c, "device_attach" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x42a31899, "snd_hdac_power_down_pm" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xf324b83a, "snd_hdac_device_set_chip_name" },
	{ 0x496d275, "trace_event_reg" },
	{ 0xe6fc3ad7, "driver_unregister" },
	{ 0x67b4800c, "snd_hdac_codec_link_down" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9a191f78, "snd_pcm_set_ops" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xdeb33928, "snd_hdac_bus_stop_cmd_io" },
	{ 0xb74a288, "snd_hdac_stream_sync" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3434f542, "_snd_ctl_add_follower" },
	{ 0x11089ac7, "_ctype" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xb02ff562, "snd_hdac_regmap_write_raw" },
	{ 0xfd811403, "snd_device_new" },
	{ 0x70a3d813, "snd_pcm_set_managed_buffer_all" },
	{ 0xfb578fc5, "memset" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0x1b0dc6e, "snd_hdac_display_power" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x1101cc27, "snd_hdac_regmap_exit" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x555f4cb2, "snd_hdac_check_power_state" },
	{ 0x8fe14c2d, "snd_jack_set_key" },
	{ 0xc95daa55, "snd_pcm_suspend_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdfb2511b, "snd_hdac_stream_format_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x665893e9, "snd_hda_bus_type" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x36ee76fb, "snd_pcm_hw_constraint_integer" },
	{ 0xfccf0ad2, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdb9fdcc8, "pm_runtime_forbid" },
	{ 0x16ce7121, "snd_hdac_device_exit" },
	{ 0x919f0d11, "pm_runtime_allow" },
	{ 0x77910083, "trace_event_buffer_reserve" },
	{ 0x7ec90882, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb2871936, "snd_hdac_stream_setup" },
	{ 0xcf5d7a31, "snd_hdac_stream_set_params" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa2dec44c, "snd_hdac_get_sub_nodes" },
	{ 0xde9a23c7, "snd_device_disconnect" },
	{ 0x95d45c59, "snd_hdac_bus_handle_stream_irq" },
	{ 0xec69a91b, "pm_runtime_force_resume" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb86955, "snd_pci_quirk_lookup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x71ec6518, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfbebfc1, "snd_hdac_regmap_update_raw_once" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0xbfc95c33, "snd_hdac_spdif_stream_format" },
	{ 0xf8674948, "snd_hdac_stream_sync_trigger" },
	{ 0xcd36b1fd, "snd_device_free" },
	{ 0x3ef547a6, "snd_hdac_stream_reset" },
	{ 0x47401a59, "snd_pcm_period_elapsed" },
	{ 0xe12ee493, "snd_pcm_hw_constraint_step" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x6ce0f871, "device_release_driver" },
	{ 0x6e533ae8, "snd_hdac_dsp_trigger" },
	{ 0x754d539c, "strlen" },
	{ 0x294ddd5, "__pm_runtime_use_autosuspend" },
	{ 0xa071724e, "snd_hdac_codec_read" },
	{ 0xe319d657, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x173af599, "__pm_runtime_disable" },
	{ 0xe56b2e15, "snd_hdac_dsp_cleanup" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe6a2d27a, "pm_runtime_force_suspend" },
	{ 0x99c520e8, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x1ced8a62, "snd_hdac_stop_streams" },
	{ 0x1cd8dec2, "snd_hdac_codec_link_up" },
	{ 0xf9a482f9, "msleep" },
	{ 0x89c76a12, "snd_hdac_stream_start" },
	{ 0x12d792a4, "snd_hdac_regmap_sync" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb092ce9c, "snd_hdac_power_up" },
	{ 0x369dec8d, "input_allocate_device" },
	{ 0x6826c359, "snd_hdac_stream_release" },
	{ 0x57ff6d4, "snd_hdac_get_connections" },
	{ 0x9a3e7e1a, "snd_hdac_power_up_pm" },
	{ 0x424a5563, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xeb7041c, "bpf_trace_run4" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x41be9ce0, "snd_hdac_bus_send_cmd" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xf8fd21b3, "snd_hdac_sync_power_state" },
	{ 0xb170cb7, "snd_ctl_apply_vmaster_followers" },
	{ 0x6bacc886, "snd_ctl_add" },
	{ 0x24bd362f, "snd_hdac_is_supported_format" },
	{ 0xb88d81a2, "snd_hdac_regmap_read_raw" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb0e602eb, "memmove" },
	{ 0xba66e302, "snd_hdac_bus_get_response" },
	{ 0xbabfc2f0, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x63c7cd50, "snd_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x460ca301, "trace_raw_output_prep" },
	{ 0x56e91ce, "snd_hdac_bus_update_rirb" },
	{ 0x96ab8fcf, "snd_hdac_power_down" },
	{ 0x2aa528f4, "snd_pcm_add_chmap_ctls" },
	{ 0x7aba2b9f, "snd_card_register" },
	{ 0x705d3ae7, "pm_runtime_set_autosuspend_delay" },
	{ 0x5d658b5e, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xb24fffaa, "snd_hdac_codec_write" },
	{ 0xbab72d70, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8f9d53c3, "snd_hdac_regmap_init" },
	{ 0x555a2a77, "snd_pcm_hw_constraint_minmax" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0x9da121d3, "snd_hdac_codec_modalias" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x73e87023, "snd_hdac_bus_stop_chip" },
	{ 0x8095536c, "trace_event_raw_init" },
	{ 0x49a0cf64, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1400f6c, "pcpu_hot" },
	{ 0x9d4ff451, "snd_hdac_query_supported_pcm" },
	{ 0x1ddf2384, "snd_card_rw_proc_new" },
	{ 0xc338b664, "snd_ctl_add_vmaster_hook" },
	{ 0x280672bd, "regcache_mark_dirty" },
	{ 0xec418c16, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x90b07427, "snd_hdac_refresh_widgets" },
	{ 0x87455960, "snd_ctl_sync_vmaster" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0x65d4a7b2, "snd_ctl_remove" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xa5f219d6, "snd_ctl_find_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7da4cde4, "snd_hdac_stream_timecounter_init" },
	{ 0xb6c75d9c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7e623a74, "input_free_device" },
	{ 0x39b1faba, "snd_pci_quirk_lookup_id" },
	{ 0x4e512105, "snd_ctl_new1" },
	{ 0xbf04713e, "snd_hdac_dsp_prepare" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xebff11c3, "device_reprobe" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x43fc007, "_snd_hdac_read_parm" },
	{ 0x35e7e092, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc241cbba, "put_device" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-hda-core,snd,snd-hwdep");


MODULE_INFO(srcversion, "F735846013C9392B77AE724");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
