#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_cl_prepare, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(cl_dsp_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_cleanup, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware_iccmax, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_load_library, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ext_man_get_cavs_config_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_hda_position_quirk, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_stream_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_threaded_handler, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_get_position, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_llp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_ldp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_release, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_get_interface_mask, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_is_chain_dma_supported, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_stall_reset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_is_enabled, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_run, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_power_up, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_enable_core, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_reset_power_down, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_disable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc3, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc4, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_idle, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown_dma_flush, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_hw_params_upon_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_get, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_common_enable_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_common, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_ext, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_process_wakeen, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_disable_interrupts, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(hda_dsp_ipc_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_schedule_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_reply, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_msg_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_stream_data_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_irq_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_tx_is_busy, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_get_caps, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_clock_power_gating, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_init_chip, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_ack, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_pointer, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_open, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_close, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dai_config, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_dai_drv_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_dai, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_exit, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_ipc4_intel_dump_telemetry_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(hda_probes_register, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_probes_unregister, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_cl_prepare, 0xe42cc2f5, "");
SYMBOL_CRC(cl_dsp_init, 0x2c31c8cd, "");
SYMBOL_CRC(hda_cl_trigger, 0x79e662d4, "");
SYMBOL_CRC(hda_cl_cleanup, 0x6ad3caad, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware_iccmax, 0x2437c3cf, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware, 0x65bd5e1a, "");
SYMBOL_CRC(hda_dsp_ipc4_load_library, 0x7c7155b4, "");
SYMBOL_CRC(hda_dsp_ext_man_get_cavs_config_data, 0x03ff56c5, "");
SYMBOL_CRC(sof_hda_position_quirk, 0xf2ce560f, "");
SYMBOL_CRC(hda_dsp_stream_hw_free, 0xba99e169, "");
SYMBOL_CRC(hda_dsp_check_stream_irq, 0x04edb1d7, "");
SYMBOL_CRC(hda_dsp_stream_threaded_handler, 0x3bdcdfa9, "");
SYMBOL_CRC(hda_dsp_stream_init, 0x6cd9456e, "");
SYMBOL_CRC(hda_dsp_stream_free, 0xb6d1e18c, "");
SYMBOL_CRC(hda_dsp_stream_get_position, 0x0782ed40, "");
SYMBOL_CRC(hda_dsp_get_stream_llp, 0xbeb36033, "");
SYMBOL_CRC(hda_dsp_get_stream_ldp, 0x3afda65a, "");
SYMBOL_CRC(hda_dsp_trace_init, 0x77efd297, "");
SYMBOL_CRC(hda_dsp_trace_release, 0xc55c7e0a, "");
SYMBOL_CRC(hda_dsp_trace_trigger, 0xff0650bb, "");
SYMBOL_CRC(hda_get_interface_mask, 0x9dfd1a31, "");
SYMBOL_CRC(hda_is_chain_dma_supported, 0xcbfbb511, "");
SYMBOL_CRC(hda_dsp_core_stall_reset, 0xfd523f40, "");
SYMBOL_CRC(hda_dsp_core_is_enabled, 0xf026827b, "");
SYMBOL_CRC(hda_dsp_core_run, 0x3146e098, "");
SYMBOL_CRC(hda_dsp_core_power_up, 0x9b61e25f, "");
SYMBOL_CRC(hda_dsp_enable_core, 0x2901c3de, "");
SYMBOL_CRC(hda_dsp_core_reset_power_down, 0xa7a00677, "");
SYMBOL_CRC(hda_dsp_ipc_int_enable, 0xf3a8e2f9, "");
SYMBOL_CRC(hda_dsp_ipc_int_disable, 0xae1c12fd, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc3, 0xa190e01c, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc4, 0xcbdb8f0b, "");
SYMBOL_CRC(hda_dsp_resume, 0xfe1197d5, "");
SYMBOL_CRC(hda_dsp_runtime_resume, 0x236d5f0f, "");
SYMBOL_CRC(hda_dsp_runtime_idle, 0x678458f4, "");
SYMBOL_CRC(hda_dsp_runtime_suspend, 0x430d7600, "");
SYMBOL_CRC(hda_dsp_suspend, 0xb53b6a79, "");
SYMBOL_CRC(hda_dsp_shutdown_dma_flush, 0xceb7b02a, "");
SYMBOL_CRC(hda_dsp_shutdown, 0x6a3c018e, "");
SYMBOL_CRC(hda_dsp_set_hw_params_upon_resume, 0xb6376505, "");
SYMBOL_CRC(hda_dsp_d0i3_work, 0x2ad078bb, "");
SYMBOL_CRC(hda_dsp_core_get, 0x16e865c9, "");
SYMBOL_CRC(hda_common_enable_sdw_irq, 0x61290435, "");
SYMBOL_CRC(hda_sdw_int_enable, 0xaef2d6bf, "");
SYMBOL_CRC(hda_sdw_check_lcount_common, 0x9de3bbaa, "");
SYMBOL_CRC(hda_sdw_check_lcount_ext, 0x1367df46, "");
SYMBOL_CRC(hda_sdw_check_lcount, 0xd0cf0a76, "");
SYMBOL_CRC(hda_sdw_process_wakeen, 0xfbebfb6c, "");
SYMBOL_CRC(hda_dsp_disable_interrupts, 0x57b297bb, "");
SYMBOL_CRC(hda_dsp_get_state, 0xbac3c240, "");
SYMBOL_CRC(hda_dsp_dump, 0xb4b0f8bc, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_initiated, 0xa33e480c, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_initiated, 0x7e5ab968, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_initiated, 0x8b641ce9, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, 0x35e33813, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_response, 0x053f3ff2, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_response, 0x6347e893, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_response, 0x5dd344ca, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_response, 0x16bbbb91, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq_ipc_check, 0xc4b8df3b, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq_ipc_check, 0x6b329b04, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq_ipc_check, 0x070c458e, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, 0x2b37f935, "");
SYMBOL_CRC(hda_dsp_ipc_send_msg, 0xd6228316, "");
SYMBOL_CRC(hda_dsp_ipc4_schedule_d0i3_work, 0xcb49fd91, "");
SYMBOL_CRC(hda_dsp_ipc4_send_msg, 0x3aa46e77, "");
SYMBOL_CRC(hda_dsp_ipc_get_reply, 0x7f540858, "");
SYMBOL_CRC(hda_dsp_ipc4_irq_thread, 0x6ef62ffb, "");
SYMBOL_CRC(hda_dsp_ipc_irq_thread, 0xa457063a, "");
SYMBOL_CRC(hda_dsp_check_ipc_irq, 0x9c99bac8, "");
SYMBOL_CRC(hda_dsp_ipc_get_mailbox_offset, 0xbfc1fa48, "");
SYMBOL_CRC(hda_dsp_ipc_get_window_offset, 0x8a87cbff, "");
SYMBOL_CRC(hda_ipc_msg_data, 0x24cf2208, "");
SYMBOL_CRC(hda_set_stream_data_offset, 0xeb22beb8, "");
SYMBOL_CRC(hda_ipc4_dsp_dump, 0x542df19b, "");
SYMBOL_CRC(hda_check_ipc_irq, 0x65ff884a, "");
SYMBOL_CRC(hda_ipc_irq_dump, 0xe24a6d54, "");
SYMBOL_CRC(hda_ipc_dump, 0x6edc5436, "");
SYMBOL_CRC(hda_ipc4_dump, 0xde73c894, "");
SYMBOL_CRC(hda_ipc4_tx_is_busy, 0x1c9e6f6a, "");
SYMBOL_CRC(hda_dsp_ctrl_get_caps, 0x81f30653, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_enable, 0x0e79b59c, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_int_enable, 0xe8a3b285, "");
SYMBOL_CRC(hda_dsp_ctrl_clock_power_gating, 0xdb41c386, "");
SYMBOL_CRC(hda_dsp_ctrl_init_chip, 0xea6e5ba4, "");
SYMBOL_CRC(hda_dsp_pcm_hw_params, 0x5cf7840a, "");
SYMBOL_CRC(hda_dsp_pcm_ack, 0x8ff24bdc, "");
SYMBOL_CRC(hda_dsp_pcm_trigger, 0x4d87c989, "");
SYMBOL_CRC(hda_dsp_pcm_pointer, 0x1d506678, "");
SYMBOL_CRC(hda_dsp_pcm_open, 0x3dca3ef7, "");
SYMBOL_CRC(hda_dsp_pcm_close, 0xb04bb150, "");
SYMBOL_CRC(hda_dai_config, 0x76653c56, "");
SYMBOL_CRC(sdw_hda_dai_hw_params, 0x82537241, "");
SYMBOL_CRC(sdw_hda_dai_hw_free, 0x04618f75, "");
SYMBOL_CRC(sdw_hda_dai_trigger, 0x56bcf81d, "");
SYMBOL_CRC(hda_set_dai_drv_ops, 0x048916fc, "");
SYMBOL_CRC(hda_ops_free, 0x012e22a3, "");
SYMBOL_CRC(skl_dai, 0x3dde3bdc, "");
SYMBOL_CRC(sof_hda_bus_init, 0xe0bf9210, "");
SYMBOL_CRC(sof_hda_bus_exit, 0x0947e1cf, "");
SYMBOL_CRC(sof_ipc4_intel_dump_telemetry_state, 0xfeb364e4, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq, 0x3e63d49f, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq, 0x64e4f320, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq, 0x163ff66f, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq, 0x79bb115b, "");
SYMBOL_CRC(hda_probes_register, 0xa16508d4, "");
SYMBOL_CRC(hda_probes_unregister, 0xa4594310, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd3a27874, "__wake_up" },
	{ 0xfcfac5bb, "snd_sgbuf_get_addr" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0x8f787f64, "snd_sgbuf_get_chunk_size" },
	{ 0x36a4f06a, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb6c75d9c, "trace_event_buffer_commit" },
	{ 0x55c465, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xba1e335d, "hda_codec_resume_cmd_io" },
	{ 0x6d3cfbf, "sof_ipc4_find_debug_slot_offset_by_type" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x25af258c, "snd_hdac_ext_bus_exit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3271ef28, "snd_hdac_ext_stream_clear" },
	{ 0x90ab8f93, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0x15207694, "snd_hdac_ext_bus_link_power" },
	{ 0x78c7ffab, "snd_sof_dsp_dbg_dump" },
	{ 0xe678bd45, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x4bada69d, "sof_mailbox_read" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc559074b, "perf_trace_run_bpf_submit" },
	{ 0x4bb7d7aa, "devm_kfree" },
	{ 0xbc887f72, "_dev_err" },
	{ 0xf17b2a0b, "snd_sof_dsp_update_bits_forced" },
	{ 0x7d40e53b, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x55f3c90e, "hdac_bus_eml_sdw_map_stream_ch" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xf9a8c3d2, "sof_client_dev_register" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x496d275, "trace_event_reg" },
	{ 0x1e9d8879, "snd_soc_dpcm_get_substream" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x819b7dad, "snd_sof_dsp_update_bits_unlocked" },
	{ 0x7b9cac12, "sof_print_oops_and_stack" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc5395b3d, "hda_bus_ml_reset_losidv" },
	{ 0x936e3280, "snd_hdac_ext_stream_setup" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0x3a8450d0, "snd_sof_ipc_get_reply" },
	{ 0xb496c981, "snd_sof_dsp_update_bits" },
	{ 0x70cdea72, "pci_restore_state" },
	{ 0xb68b0e0a, "snd_sof_pci_update_bits" },
	{ 0x5de96e90, "hdac_bus_eml_ssp_get_hlink" },
	{ 0xe9f36f42, "hdac_bus_eml_dmic_get_hlink" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0x1b0dc6e, "snd_hdac_display_power" },
	{ 0xce7349be, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xdfb2511b, "snd_hdac_stream_format_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x36ee76fb, "snd_pcm_hw_constraint_integer" },
	{ 0xfccf0ad2, "bpf_trace_run3" },
	{ 0x10dc2d0c, "hda_codec_rirb_status_clear" },
	{ 0xa66d268d, "hda_codec_suspend_cmd_io" },
	{ 0xaef1db91, "snd_sof_ipc_reply" },
	{ 0xa790f2be, "hda_codec_init_cmd_io" },
	{ 0x840585f5, "hda_codec_stop_cmd_io" },
	{ 0x2ffc1b00, "hda_codec_detect_mask" },
	{ 0x77910083, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x9f530828, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6fc313dd, "sof_ipc_tx_message" },
	{ 0x4e690a13, "snd_sof_dsp_panic" },
	{ 0xd90ad43, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0xcce2700d, "snd_sof_suspend" },
	{ 0xea6773ee, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xdcb61650, "snd_hdac_stream_format" },
	{ 0xe12ee493, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0xe319d657, "param_ops_int" },
	{ 0xacd10d87, "intel_nhlt_init" },
	{ 0x5e79b3ae, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x46155443, "sof_client_dev_unregister" },
	{ 0x81356af1, "hda_codec_check_rirb_status" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x7229454c, "snd_hdac_ext_stream_reset" },
	{ 0xd4e17670, "hdac_bus_eml_get_count" },
	{ 0x9c18a736, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0xae9cbe77, "sof_io_write" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6c1b0c43, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x4a885c45, "hda_codec_jack_check" },
	{ 0x9364e4c1, "hda_bus_ml_suspend" },
	{ 0xc84f01d1, "pci_save_state" },
	{ 0xb669d867, "sof_block_read" },
	{ 0xb25153a1, "hda_codec_i915_display_power" },
	{ 0xeb7041c, "bpf_trace_run4" },
	{ 0x35c7cc5f, "snd_dma_alloc_dir_pages" },
	{ 0x302d5e72, "devm_kmalloc" },
	{ 0x41be9ce0, "snd_hdac_bus_send_cmd" },
	{ 0x49a9db21, "hda_bus_ml_resume" },
	{ 0xba66e302, "snd_hdac_bus_get_response" },
	{ 0xbb5aa620, "snd_hdac_ext_stream_start" },
	{ 0x65b45cb, "complete" },
	{ 0x460ca301, "trace_raw_output_prep" },
	{ 0xeed5f0e2, "hdac_bus_eml_sdw_get_hlink" },
	{ 0x4bedb0d9, "hda_codec_set_codec_wakeup" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5d658b5e, "__trace_trigger_soft_disabled" },
	{ 0xa705da4b, "snd_hdac_ext_stream_decouple_locked" },
	{ 0xbab72d70, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x555a2a77, "snd_pcm_hw_constraint_minmax" },
	{ 0xa2693716, "hda_codec_jack_wake_enable" },
	{ 0x8095536c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5ae22b4e, "snd_hdac_ext_bus_init" },
	{ 0xb1400f6c, "pcpu_hot" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x734434ac, "sof_ipc4_set_pipeline_state" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xec418c16, "bpf_trace_run2" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-soc-hdac-hda,snd-sof-intel-hda,snd-sof,snd-hda-ext-core,snd-sof-intel-hda-mlink,snd-soc-core,snd-intel-dspcfg,snd-hda-core");


MODULE_INFO(srcversion, "D8660879600BE6EC0922FA1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
