#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78de8736, "iscsi_create_endpoint" },
	{ 0x4aa0047f, "ib_dereg_mr_user" },
	{ 0xc6f0b42c, "iscsi_suspend_queue" },
	{ 0x5401ecbd, "iscsi_eh_cmd_timed_out" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0xec18bf4f, "kmem_cache_create" },
	{ 0xd7effe8b, "ib_query_qp" },
	{ 0x64590c8b, "iscsi_conn_failure" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x276ce409, "iscsi_complete_pdu" },
	{ 0x6397c53b, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8a7edc47, "dev_driver_string" },
	{ 0x5efa7d35, "iscsi_prep_data_out_pdu" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x7881026f, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x45e43af4, "iscsi_eh_device_reset" },
	{ 0x2d0be7f7, "iscsi_register_transport" },
	{ 0xbc3dbcff, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x80e62ff7, "__rdma_create_kernel_id" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x9a2a08c, "ib_register_event_handler" },
	{ 0x32329358, "rdma_resolve_route" },
	{ 0x812dc092, "ib_unregister_event_handler" },
	{ 0x6d498486, "iscsi_set_param" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4d5229a0, "rdma_create_qp" },
	{ 0xe6992299, "ib_map_mr_sg" },
	{ 0x88914c6, "__dma_sync_single_for_cpu" },
	{ 0xaa04c29d, "ib_alloc_mr_integrity" },
	{ 0xaa57954f, "init_net" },
	{ 0x241c002, "ib_cq_pool_put" },
	{ 0x2d502996, "iscsi_destroy_endpoint" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x813e2af0, "kmem_cache_free" },
	{ 0x4682be57, "iscsi_conn_get_param" },
	{ 0xb4000381, "iscsi_host_free" },
	{ 0x3a9edbb2, "iscsi_put_task" },
	{ 0xea5833da, "iscsi_conn_teardown" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0xcf82f3dd, "iscsi_host_set_param" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4c26c86a, "iscsi_session_get_param" },
	{ 0xa3183999, "iscsi_conn_send_pdu" },
	{ 0xf9a1a95d, "rdma_destroy_qp" },
	{ 0xd5e588f, "ib_check_mr_status" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x44b2b911, "iscsi_conn_start" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x1419b56c, "iscsi_conn_unbind" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x9306374f, "scsi_is_host_device" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x50e164a9, "ib_alloc_mr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd3269b70, "kmem_cache_alloc_noprof" },
	{ 0x56b1e23e, "ib_cq_pool_get" },
	{ 0x261fdd53, "rdma_connect_locked" },
	{ 0x7c694dbe, "iscsi_itt_to_ctask" },
	{ 0xf8c67678, "iscsi_lookup_endpoint" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0xe78edf0e, "iscsi_host_alloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc38cfe43, "iscsi_host_add" },
	{ 0x2d33716f, "ib_dma_virt_map_sg" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9f530828, "param_ops_bool" },
	{ 0x7e784bb9, "rdma_destroy_id" },
	{ 0xa400b1f5, "iscsi_session_teardown" },
	{ 0xfae060d9, "__dma_sync_single_for_device" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x671ec00a, "iscsi_unregister_transport" },
	{ 0x660c8b5f, "iscsi_eh_recover_target" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3fb76892, "iscsi_conn_stop" },
	{ 0x1ff4ded, "iscsi_queuecommand" },
	{ 0x453806e3, "ib_drain_qp" },
	{ 0x789dabb6, "ib_dealloc_pd_user" },
	{ 0xe0809770, "dma_unmap_sg_attrs" },
	{ 0xe319d657, "param_ops_int" },
	{ 0x15fc9e2a, "iscsi_host_remove" },
	{ 0x758db287, "scsi_change_queue_depth" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x591494a2, "kmem_cache_destroy" },
	{ 0x604140cb, "dma_map_sg_attrs" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcb5bd9e5, "iscsi_conn_setup" },
	{ 0xab236e0b, "iscsi_session_recovery_timedout" },
	{ 0x1c7e1622, "rdma_reject_msg" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb906b1e2, "iscsi_put_endpoint" },
	{ 0x8df47228, "iscsi_target_alloc" },
	{ 0xb22e6243, "iscsi_conn_bind" },
	{ 0x22bbf8a, "__ib_alloc_pd" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xb914d38, "iscsi_host_get_param" },
	{ 0x3dca1b96, "dma_unmap_page_attrs" },
	{ 0x35a8ce2, "iscsi_session_setup" },
	{ 0xc90fa75a, "rdma_resolve_addr" },
	{ 0xa173ba98, "ib_map_mr_sg_pi" },
	{ 0xfce3ba8f, "param_set_uint" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xde77b2a5, "iscsi_eh_abort" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,ib_core,libiscsi,rdma_cm,scsi_mod");


MODULE_INFO(srcversion, "A5CE640984986BAA0EB2117");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
