#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cx18_ext_init, "", "");
KSYMTAB_FUNC(cx18_reset_ir_gpio, "", "");
KSYMTAB_FUNC(cx18_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_stop_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_claim_stream, "", "");
KSYMTAB_FUNC(cx18_release_stream, "", "");

SYMBOL_CRC(cx18_ext_init, 0x49001a0d, "");
SYMBOL_CRC(cx18_reset_ir_gpio, 0x2cdea06d, "");
SYMBOL_CRC(cx18_start_v4l2_encode_stream, 0x65a32a62, "");
SYMBOL_CRC(cx18_stop_v4l2_encode_stream, 0xfe5c25ac, "");
SYMBOL_CRC(cx18_claim_stream, 0xda590631, "");
SYMBOL_CRC(cx18_release_stream, 0xfd4d078e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88931b27, "v4l2_ctrl_handler_setup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x767a6112, "video_devdata" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x695db569, "i2c_new_scanned_device" },
	{ 0xcd0aad7d, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x2450cd7, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbe7b3663, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6f5e79ef, "__v4l2_ctrl_s_ctrl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x88914c6, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x23f2ed16, "vb2_ioctl_dqbuf" },
	{ 0xb2fb0569, "dvb_dmx_release" },
	{ 0xd964d49c, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x988e7c4e, "tveeprom_read" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf5195104, "vb2_ioctl_prepare_buf" },
	{ 0x77f9fb7b, "v4l2_fh_is_singular" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x2ea15aec, "pci_read_config_word" },
	{ 0xe38a16c4, "vb2_buffer_done" },
	{ 0x350b0643, "vb2_plane_vaddr" },
	{ 0xb54a5a97, "v4l2_ctrl_subscribe_event" },
	{ 0xf7b87c38, "v4l2_fh_init" },
	{ 0x80404b55, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd5f01dd5, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb9043e18, "dvb_dmx_swfilter" },
	{ 0xee8d3bb0, "video_unregister_device" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xad26720a, "dvb_dmxdev_release" },
	{ 0x38605480, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x50b2d91c, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6e832fb3, "param_ops_short" },
	{ 0x4efe57ca, "vb2_vmalloc_memops" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe70ed525, "vb2_fop_read" },
	{ 0xd5f4b58d, "__v4l2_device_register_subdev" },
	{ 0xe2980ab7, "v4l2_device_register" },
	{ 0x86834177, "dvb_frontend_detach" },
	{ 0x7e9f1075, "param_ops_string" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8d93823, "dvb_net_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4c4521d4, "__video_register_device" },
	{ 0xfae060d9, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3bb4465c, "dvb_unregister_frontend" },
	{ 0x817bbfd8, "pci_write_config_byte" },
	{ 0xdc4f7064, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x2bd2afdf, "vb2_ioctl_streamon" },
	{ 0xc847abc8, "vb2_fop_poll" },
	{ 0x5f31b593, "v4l2_ctrl_new_std" },
	{ 0x699cba92, "v4l2_ctrl_g_ctrl" },
	{ 0xb12d7565, "cx2341x_handler_init" },
	{ 0xa4370ccb, "cx2341x_handler_set_50hz" },
	{ 0x5d2835a2, "v4l2_ctrl_handler_free" },
	{ 0xd6320d9f, "v4l2_device_unregister" },
	{ 0x24d09dc9, "pci_disable_device" },
	{ 0xe29ca6bf, "dvb_register_frontend" },
	{ 0xe5ea1c59, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x8bf9e4cb, "v4l2_subdev_call_wrappers" },
	{ 0xf1981936, "v4l2_i2c_new_subdev" },
	{ 0xe202e3b0, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x77358855, "iomem_resource" },
	{ 0x554dd086, "dvb_unregister_adapter" },
	{ 0xbdaa4c63, "dvb_dmx_init" },
	{ 0xe319d657, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0x6c0219f6, "pci_write_config_word" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x44e1ed2, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x77ca75b8, "v4l2_event_unsubscribe" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd21cccf1, "vb2_ioctl_reqbufs" },
	{ 0xdce4967b, "vb2_queue_init" },
	{ 0xe7d9e77a, "v4l2_fh_exit" },
	{ 0x58b0f5cb, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf4037b14, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa8f80e4e, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe53d9468, "vb2_queue_release" },
	{ 0x51891a1b, "pci_enable_device" },
	{ 0xaeac2e38, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xf2409e4d, "i2c_bit_add_bus" },
	{ 0x8effa36b, "v4l2_fh_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xc31e29aa, "v4l2_fh_add" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x3dca1b96, "dma_unmap_page_attrs" },
	{ 0xf5671b31, "vb2_ops_wait_finish" },
	{ 0x10907ae1, "request_firmware" },
	{ 0x8b0a4b64, "__pci_register_driver" },
	{ 0x629a3a4c, "v4l2_ctrl_handler_init_class" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x9415ec4e, "param_array_ops" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x338a7f99, "vb2_ioctl_querybuf" },
	{ 0x51019fa3, "v4l2_subdev_init" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x20a88591, "vb2_video_unregister_device" },
	{ 0xd8c9bc20, "pci_unregister_driver" },
	{ 0x5b7037a4, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8a7edc47, "dev_driver_string" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x7881026f, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x15f4d431, "v4l2_ctrl_handler_log_status" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,videobuf2-v4l2,dvb-core,tveeprom,videobuf2-common,videobuf2-vmalloc,i2c-algo-bit");

MODULE_ALIAS("pci:v000014F1d00005B7Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "569B9AFE1F87819F6323A64");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
