#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0x86e793ae, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0xf1c0ab3d, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0x0151f446, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0xebc90d36, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0x05039810, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0xa7efc78d, "_gpl");
SYMBOL_CRC(is_fw_load, 0x4d474869, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0x0bf92d74, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0x8cf0ccfb, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0x5a733416, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0xb768e482, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0x86aebc79, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0x98aebc57, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0xfcb0136b, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0xa3fada7b, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0xcf21abf1, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0xa489b7e8, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0x48b9f76c, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0x71caaf0e, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0x8c3a52e2, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0xc2cb73df, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0xf02cb17d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xc2c20ec8, "usb_clear_halt" },
	{ 0x181d1dca, "usb_put_dev" },
	{ 0x335f1713, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x767a6112, "video_devdata" },
	{ 0x944fbd7a, "vb2_fop_release" },
	{ 0xcd0aad7d, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xa82749e4, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc39a65d3, "usb_submit_urb" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0xbe7b3663, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9a9b79a, "media_device_register_entity" },
	{ 0x8e027168, "media_device_cleanup" },
	{ 0x23f2ed16, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xbc887f72, "_dev_err" },
	{ 0x5f7af300, "i2c_unregister_device" },
	{ 0xa11254bc, "usb_free_coherent" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x934e239f, "usb_control_msg" },
	{ 0xe38a16c4, "vb2_buffer_done" },
	{ 0x350b0643, "vb2_plane_vaddr" },
	{ 0xb54a5a97, "v4l2_ctrl_subscribe_event" },
	{ 0x6a46db0a, "usb_set_interface" },
	{ 0x2f3bb09c, "media_entity_pads_init" },
	{ 0xee8d3bb0, "video_unregister_device" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x625dd31b, "i2c_new_client_device" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0xbf9c5026, "usb_deregister" },
	{ 0x38605480, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x50b2d91c, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xd8bb2d71, "v4l2_s_ctrl" },
	{ 0xcda83e3f, "i2c_mux_alloc" },
	{ 0x4efe57ca, "vb2_vmalloc_memops" },
	{ 0xfb578fc5, "memset" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe70ed525, "vb2_fop_read" },
	{ 0xe2980ab7, "v4l2_device_register" },
	{ 0x1e722006, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x943e82c, "rc_allocate_device" },
	{ 0x815cec85, "pv_ops" },
	{ 0x6cc676c, "usb_unlink_urb" },
	{ 0x6112fcd3, "media_entity_setup_link" },
	{ 0x999e8297, "vfree" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x4c4521d4, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdc4f7064, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0xa15e26e7, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x2bd2afdf, "vb2_ioctl_streamon" },
	{ 0xace17025, "v4l2_mc_create_media_graph" },
	{ 0xc847abc8, "vb2_fop_poll" },
	{ 0xb12d7565, "cx2341x_handler_init" },
	{ 0xa4370ccb, "cx2341x_handler_set_50hz" },
	{ 0xab81cb85, "__media_device_usb_init" },
	{ 0x5d2835a2, "v4l2_ctrl_handler_free" },
	{ 0x5f1529df, "i2c_transfer" },
	{ 0xd6320d9f, "v4l2_device_unregister" },
	{ 0xac91ba96, "usb_reset_endpoint" },
	{ 0x3907ab8b, "i2c_mux_del_adapters" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x8bf9e4cb, "v4l2_subdev_call_wrappers" },
	{ 0xc5b86972, "v4l2_ctrl_log_status" },
	{ 0xf1981936, "v4l2_i2c_new_subdev" },
	{ 0xe319d657, "param_ops_int" },
	{ 0x44e1ed2, "video_device_release_empty" },
	{ 0x34dd7d32, "i2c_mux_add_adapter" },
	{ 0x667aeb1e, "_vb2_fop_release" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0x77ca75b8, "v4l2_event_unsubscribe" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd21cccf1, "vb2_ioctl_reqbufs" },
	{ 0xdce4967b, "vb2_queue_init" },
	{ 0x555a6ccb, "usb_alloc_urb" },
	{ 0xc363f9bb, "v4l2_ctrl_poll" },
	{ 0xa8f80e4e, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xddbc8a67, "media_device_unregister" },
	{ 0x3f6e0371, "usb_free_urb" },
	{ 0x302d5e72, "devm_kmalloc" },
	{ 0xaeac2e38, "vb2_ioctl_streamoff" },
	{ 0x27f2d944, "v4l2_ctrl_radio_filter" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x26d27717, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1139a29c, "v4l2_ctrl_add_handler" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x10907ae1, "request_firmware" },
	{ 0xf5671b31, "vb2_ops_wait_finish" },
	{ 0x9e66d1b5, "usb_register_driver" },
	{ 0x629a3a4c, "v4l2_ctrl_handler_init_class" },
	{ 0x9415ec4e, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xad6aee40, "__media_device_register" },
	{ 0x338a7f99, "vb2_ioctl_querybuf" },
	{ 0xfee00608, "i2c_transfer_buffer_flags" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x366aa337, "v4l2_fh_open" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-v4l2,cx2341x,mc,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "B08B6CDBAF0D4E5F4D985D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
