#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v4l2_fwnode_endpoint_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_alloc_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_parse_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_put_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_add_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_device_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev_sensor, "_gpl", "");

SYMBOL_CRC(v4l2_fwnode_endpoint_parse, 0x56093e86, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_free, 0xca1d2e37, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_alloc_parse, 0x3f856854, "_gpl");
SYMBOL_CRC(v4l2_fwnode_parse_link, 0x56594668, "_gpl");
SYMBOL_CRC(v4l2_fwnode_put_link, 0x7ba88cd2, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_free, 0x612ddce5, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_parse, 0x01c7286e, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_add_link, 0xfb62bac3, "_gpl");
SYMBOL_CRC(v4l2_fwnode_device_parse, 0x27c1f93e, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev_sensor, 0x17ca4114, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5e65171b, "fwnode_property_read_u32_array" },
	{ 0x183aad82, "fwnode_property_present" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0xbef4e26d, "fwnode_graph_parse_endpoint" },
	{ 0x37a0cba, "kfree" },
	{ 0xb0a89a75, "fwnode_property_read_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x27d6aff3, "__dev_fwnode" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0x29ff9e2a, "fwnode_property_get_reference_args" },
	{ 0x54a50c99, "fwnode_get_next_child_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x33dd260e, "fwnode_property_read_u64_array" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0x7d306f6d, "v4l2_async_subdev_nf_init" },
	{ 0xa0b5659a, "v4l2_subdev_get_privacy_led" },
	{ 0xe067f1c5, "is_acpi_device_node" },
	{ 0x7f3052f6, "__v4l2_async_nf_add_fwnode" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf2f496ba, "v4l2_subdev_put_privacy_led" },
	{ 0x3e89cfc, "v4l2_async_nf_cleanup" },
	{ 0x452f93ae, "is_acpi_data_node" },
	{ 0x6463c810, "v4l2_async_nf_register" },
	{ 0x6170febf, "__v4l2_async_register_subdev" },
	{ 0x9397708c, "v4l2_async_nf_unregister" },
	{ 0xb63fd52d, "fwnode_graph_get_port_parent" },
	{ 0x35779541, "fwnode_get_name" },
	{ 0x79133aba, "fwnode_graph_get_remote_port_parent" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x5269f0cd, "fwnode_graph_get_remote_endpoint" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "v4l2-async,videodev");


MODULE_INFO(srcversion, "1118A6A1EB4212D5621572D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
