#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x315a161b, "netdev_printk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x302d5e72, "devm_kmalloc" },
	{ 0x51891a1b, "pci_enable_device" },
	{ 0x3e5a87a9, "pci_request_regions" },
	{ 0x43620e80, "pci_iomap" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0x16a1c569, "dmam_alloc_attrs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc4a6884, "pci_set_master" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x5ace96a9, "alloc_candev_mqs" },
	{ 0x9bd7b43f, "pci_clear_master" },
	{ 0xbb3df215, "pci_alloc_irq_vectors" },
	{ 0x568b82de, "pci_irq_vector" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf9d1888c, "register_candev" },
	{ 0xbc887f72, "_dev_err" },
	{ 0xd8c9bc20, "pci_unregister_driver" },
	{ 0x98c178d2, "completion_done" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x75deddbf, "close_candev" },
	{ 0x27543c70, "netdev_err" },
	{ 0x87226637, "netif_tx_wake_queue" },
	{ 0x20ae8499, "open_candev" },
	{ 0x184b04cb, "can_bus_off" },
	{ 0x239dcab4, "alloc_canfd_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0xbe108ec9, "netif_rx" },
	{ 0x65b45cb, "complete" },
	{ 0xb31097de, "can_get_echo_skb" },
	{ 0x153a04, "alloc_can_err_skb" },
	{ 0xac3b6eb7, "can_change_state" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9b369c89, "alloc_can_skb" },
	{ 0xbb973244, "__dynamic_netdev_dbg" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4707c9ac, "netdev_warn" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0x2eb90943, "can_ethtool_op_get_ts_info_hwts" },
	{ 0xc19294a2, "can_eth_ioctl_hwts" },
	{ 0xda62dc5f, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8b0a4b64, "__pci_register_driver" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x28cfcf6c, "unregister_candev" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xfacbf18c, "free_candev" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf8a22483, "pci_free_irq_vectors" },
	{ 0x941d007f, "pci_iounmap" },
	{ 0x3b01554e, "pci_release_regions" },
	{ 0x24d09dc9, "pci_disable_device" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6bd05613, "sk_skb_reason_drop" },
	{ 0x9ce77d49, "can_dropped_invalid_skb" },
	{ 0x6d632093, "can_put_echo_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "can-dev");

MODULE_ALIAS("pci:v00001A07d0000000Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A07d0000000Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A07d0000000Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A07d00000010sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A07d00000011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A07d00000012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A07d00000013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A07d00000014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A07d00000015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A07d00000016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A07d00000017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A07d00000019sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "473E4E22F5FF6FD4E9889F7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
