#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4cc72eb8, "ksz_switch_alloc" },
	{ 0xc4064c85, "device_get_match_data" },
	{ 0xbf257369, "__devm_regmap_init_spi" },
	{ 0xdb910eb0, "spi_setup" },
	{ 0x85a02e56, "ksz_switch_register" },
	{ 0x831bff89, "dev_err_probe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6fc3ad7, "driver_unregister" },
	{ 0xc9673a05, "ksz_switch_chips" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x99174fdf, "__spi_register_driver" },
	{ 0x1a2007e3, "ksz_switch_shutdown" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6fa508ef, "ksz_switch_remove" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "ksz_switch,regmap-spi");

MODULE_ALIAS("spi:ksz8765");
MODULE_ALIAS("spi:ksz8794");
MODULE_ALIAS("spi:ksz8795");
MODULE_ALIAS("spi:ksz8863");
MODULE_ALIAS("spi:ksz8873");
MODULE_ALIAS("spi:ksz9477");
MODULE_ALIAS("spi:ksz9896");
MODULE_ALIAS("spi:ksz9897");
MODULE_ALIAS("spi:ksz9893");
MODULE_ALIAS("spi:ksz9563");
MODULE_ALIAS("spi:ksz8563");
MODULE_ALIAS("spi:ksz8567");
MODULE_ALIAS("spi:ksz9567");
MODULE_ALIAS("spi:lan9370");
MODULE_ALIAS("spi:lan9371");
MODULE_ALIAS("spi:lan9372");
MODULE_ALIAS("spi:lan9373");
MODULE_ALIAS("spi:lan9374");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8765");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8765C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8794");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8794C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8795");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8795C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8863");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8863C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8873");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8873C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9477");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9477C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9896");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9896C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9897");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9897C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9893");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9893C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9563");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9563C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8563");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8563C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8567");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8567C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9567");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9567C*");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9370");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9370C*");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9371");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9371C*");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9372");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9372C*");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9373");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9373C*");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9374");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9374C*");

MODULE_INFO(srcversion, "53C13F29F86682C98875718");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
