#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pdsc_get_pf_struct, "_gpl", "");
KSYMTAB_FUNC(pds_client_register, "_gpl", "");
KSYMTAB_FUNC(pds_client_unregister, "_gpl", "");
KSYMTAB_FUNC(pds_client_adminq_cmd, "_gpl", "");
KSYMTAB_FUNC(pdsc_adminq_post, "_gpl", "");
KSYMTAB_FUNC(pdsc_register_notify, "_gpl", "");
KSYMTAB_FUNC(pdsc_unregister_notify, "_gpl", "");

SYMBOL_CRC(pdsc_get_pf_struct, 0x0c5d3dfe, "_gpl");
SYMBOL_CRC(pds_client_register, 0x81c50f4f, "_gpl");
SYMBOL_CRC(pds_client_unregister, 0x831e1935, "_gpl");
SYMBOL_CRC(pds_client_adminq_cmd, 0xfe38d479, "_gpl");
SYMBOL_CRC(pdsc_adminq_post, 0xa2ca896d, "_gpl");
SYMBOL_CRC(pdsc_register_notify, 0x45b87b4f, "_gpl");
SYMBOL_CRC(pdsc_unregister_notify, 0xce714617, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x73341c2f, "devl_lock" },
	{ 0xa4b49425, "pci_dev_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x237df7cc, "debugfs_create_u16" },
	{ 0x8b0a4b64, "__pci_register_driver" },
	{ 0xc8419a1, "devlink_params_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x3e5a87a9, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x37a0cba, "kfree" },
	{ 0x20f98d83, "devlink_alloc_ns" },
	{ 0xf0c15150, "pci_sriov_get_totalvfs" },
	{ 0x50f67bd0, "seq_lseek" },
	{ 0xf6983085, "pci_reset_function_locked" },
	{ 0xf93d8f9f, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x568b82de, "pci_irq_vector" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0xd8c9bc20, "pci_unregister_driver" },
	{ 0x4e04f5a0, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x863b6a18, "devlink_flash_update_status_notify" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xe909889a, "priv_to_devlink" },
	{ 0x3df132f1, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc2e87c89, "debugfs_create_x64" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xc241cbba, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x2450cd7, "const_pcpu_hot" },
	{ 0xed28bc78, "debugfs_create_regset32" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x999dc67b, "devl_health_reporter_create" },
	{ 0xff1adda6, "pci_iov_vf_id" },
	{ 0xfa19f066, "debugfs_lookup" },
	{ 0xe5024a50, "pci_iomap_range" },
	{ 0x8147bdc2, "devlink_flash_update_timeout_notify" },
	{ 0xbc887f72, "_dev_err" },
	{ 0xaa57954f, "init_net" },
	{ 0x8292bb07, "debugfs_create_bool" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x8c16982d, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x26b29d32, "dma_alloc_attrs" },
	{ 0x67fb02d0, "debugfs_remove" },
	{ 0x8a44f0b4, "seq_putc" },
	{ 0x6573f300, "ida_free" },
	{ 0x1958d219, "devl_params_register" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe17f3ae1, "debugfs_create_ulong" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x941d007f, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x3ced8f19, "device_del" },
	{ 0xb19b445, "ioread8" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xbc4a6884, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x46f830af, "debugfs_create_u32" },
	{ 0x2e87b913, "devl_params_unregister" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x424fb2cd, "pci_reset_function" },
	{ 0x8a0960d9, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe3b8daa6, "dma_set_coherent_mask" },
	{ 0x8a28db2e, "seq_read" },
	{ 0x90fe9b78, "debugfs_create_file" },
	{ 0xdd605405, "blocking_notifier_chain_unregister" },
	{ 0x204b8eb5, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x95631d9f, "debugfs_create_x32" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3b01554e, "pci_release_regions" },
	{ 0xc38a5e1c, "pcie_print_link_status" },
	{ 0xbb926967, "pci_dev_get" },
	{ 0xe6cb89c0, "seq_write" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x71ec6518, "seq_printf" },
	{ 0x468587c6, "devlink_priv" },
	{ 0x1951e36c, "pci_disable_sriov" },
	{ 0x24d09dc9, "pci_disable_device" },
	{ 0xdc96c708, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xe5ea1c59, "dma_set_mask" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xa35465f3, "single_open" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x4e17b7a9, "devl_register" },
	{ 0x45a58a87, "debugfs_create_dir" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0xf8a22483, "pci_free_irq_vectors" },
	{ 0x77423567, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0x13e87f29, "pci_iov_get_pf_drvdata" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x5bb4aa73, "devl_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x51891a1b, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa4bb4db5, "auxiliary_device_init" },
	{ 0x43620e80, "pci_iomap" },
	{ 0xbb3df215, "pci_alloc_irq_vectors" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001DD8d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001DD8d0000100Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "D05855D197C55F9489926AF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
