#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc559074b, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x5cb1d8a7, "devlink_port_unregister" },
	{ 0xbc887f72, "_dev_err" },
	{ 0xaa57954f, "init_net" },
	{ 0xe919bdad, "softnet_data" },
	{ 0x261e6257, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x3d31b5c0, "fun_release_irqs" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6525f34, "netif_set_real_num_tx_queues" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x738f1f1c, "netif_set_real_num_rx_queues" },
	{ 0x2bd0b283, "bpf_trace_run5" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x26b29d32, "dma_alloc_attrs" },
	{ 0x1c509832, "napi_enable" },
	{ 0x95d5f846, "register_netdev" },
	{ 0x496d275, "trace_event_reg" },
	{ 0xd55cae3c, "fun_reserve_irqs" },
	{ 0x452061, "fun_res_destroy" },
	{ 0xe98392ae, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x19f2e26f, "ethtool_op_get_link" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x19f6ccaf, "__SCK__tp_func_xdp_exception" },
	{ 0x87226637, "netif_tx_wake_queue" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0x375dc296, "__kmalloc_cache_node_noprof" },
	{ 0xe5ebf5c3, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0xef339026, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xfe22f616, "fun_sq_create" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf6de9499, "fun_serv_stop" },
	{ 0x204b8eb5, "dma_free_attrs" },
	{ 0x77910083, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x4dc74f8a, "fun_alloc_ring_mem" },
	{ 0xfae060d9, "__dma_sync_single_for_device" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xf5d073e8, "xa_find" },
	{ 0x5e0413a4, "xdp_rxq_info_unreg" },
	{ 0x864c6c80, "napi_build_skb" },
	{ 0x91d413e7, "__xdp_rxq_info_reg" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfacaaa08, "netif_carrier_off" },
	{ 0x468587c6, "devlink_priv" },
	{ 0xa908ad7c, "devlink_port_register_with_ops" },
	{ 0x1951e36c, "pci_disable_sriov" },
	{ 0x5c3db398, "netif_carrier_on" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x8ba9fba9, "tls_encrypt_skb" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x4498e2b0, "fun_serv_sched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0x87a2d574, "xdp_master_redirect" },
	{ 0xe8cf8441, "fun_cq_create" },
	{ 0x3583d61a, "tls_validate_xmit_skb" },
	{ 0x5116e1e3, "tls_offload_tx_resync_request" },
	{ 0x909f5c6, "__napi_schedule_irqoff" },
	{ 0x1441b311, "napi_schedule_prep" },
	{ 0xbdd8010, "napi_consume_skb" },
	{ 0xdf1cc32b, "napi_disable" },
	{ 0xf9b40cd9, "dev_kfree_skb_any_reason" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb459c5c0, "fun_dev_enable" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x630330c7, "fun_bind" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x77423567, "pci_enable_sriov" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x4596a252, "netdev_info" },
	{ 0xe6a15506, "fun_dev_disable" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xca4bb135, "__tracepoint_xdp_exception" },
	{ 0xdcf46ce8, "fun_serv_restart" },
	{ 0xa73eb71f, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x22073e1e, "napi_gro_frags" },
	{ 0xefc99b92, "bpf_prog_put" },
	{ 0xeb7041c, "bpf_trace_run4" },
	{ 0x94c4142c, "devlink_unregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf136ad46, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x66ab016d, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x89f41344, "pci_vfs_assigned" },
	{ 0x460ca301, "trace_raw_output_prep" },
	{ 0xf8175f06, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x29633eaf, "unregister_netdev" },
	{ 0x1b739be, "napi_get_frags" },
	{ 0xb0844d3e, "xdp_convert_zc_to_xdp_frame" },
	{ 0xcae0d49b, "xdp_features_set_redirect_target" },
	{ 0x5d658b5e, "__trace_trigger_soft_disabled" },
	{ 0x3dca1b96, "dma_unmap_page_attrs" },
	{ 0xbab72d70, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8b0a4b64, "__pci_register_driver" },
	{ 0x874dc941, "fun_free_ring_mem" },
	{ 0xbad15532, "devlink_port_attrs_set" },
	{ 0x8095536c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x20f98d83, "devlink_alloc_ns" },
	{ 0x81647e16, "fun_submit_admin_sync_cmd" },
	{ 0x9adfcccb, "devlink_register" },
	{ 0xb1400f6c, "pcpu_hot" },
	{ 0x88088f55, "xdp_do_redirect" },
	{ 0xf93d8f9f, "devlink_free" },
	{ 0x624821b2, "eth_validate_addr" },
	{ 0x568b82de, "pci_irq_vector" },
	{ 0x31cd1367, "__netif_napi_del" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xd8c9bc20, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x27543c70, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8a7edc47, "dev_driver_string" },
	{ 0xb6c75d9c, "trace_event_buffer_commit" },
	{ 0x307105b0, "dev_addr_mod" },
	{ 0x205bd252, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x2455adfe, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x7881026f, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0x4f36b6c1, "napi_complete_done" },
	{ 0x66c9257, "__alloc_pages_noprof" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe909889a, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x5a4bb8bc, "__free_pages" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0xcc717385, "napi_gro_receive" },
	{ 0xf1e4bf69, "xdp_features_clear_redirect_target" },
	{ 0x6c6ef437, "fun_get_res_count" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x88914c6, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "funcore,tls");

MODULE_ALIAS("pci:v00001DADd00000101sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001DADd00000181sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "7FF94D832FE7E64BBA507FF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
