#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlxsw_pci_driver_register, "", "");
KSYMTAB_FUNC(mlxsw_pci_driver_unregister, "", "");

SYMBOL_CRC(mlxsw_pci_driver_register, 0x1951e537, "");
SYMBOL_CRC(mlxsw_pci_driver_unregister, 0x32b52e81, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbc887f72, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5cf3dd79, "mlxsw_core_bus_device_unregister" },
	{ 0x26b29d32, "dma_alloc_attrs" },
	{ 0x1c509832, "napi_enable" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xe98392ae, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2b2af429, "page_pool_put_unrefed_netmem" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x3e814908, "mlxsw_core_skb_receive" },
	{ 0xcdeb3e49, "mlxsw_core_resources_query" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x70cdea72, "pci_restore_state" },
	{ 0x194c2deb, "page_pool_create" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xda059a79, "mlxsw_core_ptp_transmitted" },
	{ 0xbc4a6884, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf3362edf, "__pskb_pull_tail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe3b8daa6, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2e47a299, "alloc_netdev_dummy" },
	{ 0x204b8eb5, "dma_free_attrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x3b01554e, "pci_release_regions" },
	{ 0x41299e98, "page_pool_alloc_pages" },
	{ 0x864c6c80, "napi_build_skb" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x24d09dc9, "pci_disable_device" },
	{ 0xe5ea1c59, "dma_set_mask" },
	{ 0x12f7e884, "skb_add_rx_frag_netmem" },
	{ 0xf89280a3, "mlxsw_core_kvd_sizes_get" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x1441b311, "napi_schedule_prep" },
	{ 0xbdd8010, "napi_consume_skb" },
	{ 0xdf1cc32b, "napi_disable" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xed06130, "mlxsw_core_res_valid" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf8a22483, "pci_free_irq_vectors" },
	{ 0x5c73d5a4, "mlxsw_core_sdq_supports_cqe_v2" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8854d198, "mlxsw_reg_write" },
	{ 0xc84f01d1, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x694d022a, "pci_cfg_access_unlock" },
	{ 0x51891a1b, "pci_enable_device" },
	{ 0x65a4bb69, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbb3df215, "pci_alloc_irq_vectors" },
	{ 0x66ab016d, "netif_napi_add_weight" },
	{ 0xa7765e88, "mlxsw_reg_query" },
	{ 0x3dca1b96, "dma_unmap_page_attrs" },
	{ 0x8b0a4b64, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x3e5a87a9, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbd871593, "page_pool_destroy" },
	{ 0x568b82de, "pci_irq_vector" },
	{ 0x31cd1367, "__netif_napi_del" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x844ae6af, "mlxsw_core_res_get" },
	{ 0x484489a4, "mlxsw_cmd_exec" },
	{ 0xd8c9bc20, "pci_unregister_driver" },
	{ 0x802d4faa, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x831f3e9a, "mlxsw_core_bus_device_register" },
	{ 0x8a7edc47, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x7881026f, "dma_map_page_attrs" },
	{ 0x4f36b6c1, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x2dc5a382, "__napi_schedule" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x82612910, "dev_set_threaded" },
	{ 0x2611da01, "__pci_reset_function_locked" },
	{ 0x88914c6, "__dma_sync_single_for_cpu" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "mlxsw_core");


MODULE_INFO(srcversion, "7FF019A6D3D4E4E43DCDF80");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
