#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qed_get_eth_ops, "", "");
KSYMTAB_FUNC(qed_put_eth_ops, "", "");
KSYMTAB_FUNC(qed_get_fcoe_ops, "", "");
KSYMTAB_FUNC(qed_put_fcoe_ops, "", "");
KSYMTAB_FUNC(qed_get_iscsi_ops, "", "");
KSYMTAB_FUNC(qed_put_iscsi_ops, "", "");
KSYMTAB_FUNC(qed_get_rdma_ops, "", "");

SYMBOL_CRC(qed_get_eth_ops, 0xbd7247da, "");
SYMBOL_CRC(qed_put_eth_ops, 0x9eeeef48, "");
SYMBOL_CRC(qed_get_fcoe_ops, 0xc17aaa91, "");
SYMBOL_CRC(qed_put_fcoe_ops, 0x992e03d0, "");
SYMBOL_CRC(qed_get_iscsi_ops, 0x3c583239, "");
SYMBOL_CRC(qed_put_iscsi_ops, 0x4f264472, "");
SYMBOL_CRC(qed_get_rdma_ops, 0x254f533b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xbc4a6884, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe3b8daa6, "dma_set_coherent_mask" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x204b8eb5, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xf5e53327, "devlink_params_register" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3b01554e, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x4ec87fb9, "pcie_capability_read_dword" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2009e400, "devlink_info_board_serial_number_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x468587c6, "devlink_priv" },
	{ 0x1951e36c, "pci_disable_sriov" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x7dba0123, "pci_disable_msix" },
	{ 0x24d09dc9, "pci_disable_device" },
	{ 0xe5ea1c59, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xe202e3b0, "pci_read_config_byte" },
	{ 0x754d539c, "strlen" },
	{ 0xf9b40cd9, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x77423567, "pci_enable_sriov" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc84f01d1, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x3aebc2a6, "pci_find_ext_capability" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x94c4142c, "devlink_unregister" },
	{ 0xe2da41a3, "skb_copy_bits" },
	{ 0x51891a1b, "pci_enable_device" },
	{ 0x65a4bb69, "skb_put" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x3dca1b96, "dma_unmap_page_attrs" },
	{ 0x10907ae1, "request_firmware" },
	{ 0x4615afa6, "devlink_health_reporter_create" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc8419a1, "devlink_params_unregister" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xedc03953, "iounmap" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x5b26a40, "pci_disable_msi" },
	{ 0x3e5a87a9, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x20f98d83, "devlink_alloc_ns" },
	{ 0x9adfcccb, "devlink_register" },
	{ 0xf93d8f9f, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x148653, "vsnprintf" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xa755ef0f, "pci_ioremap_bar" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8a7edc47, "dev_driver_string" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x3e97511f, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x7881026f, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xdb372aba, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x25c1e982, "pci_enable_msi" },
	{ 0xaa57954f, "init_net" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x26b29d32, "dma_alloc_attrs" },
	{ 0x2ea15aec, "pci_read_config_word" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x7c9dd1fd, "slab_build_skb" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "crc8");


MODULE_INFO(srcversion, "FDE91D2B926A19084A8B51D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
