#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xba024cd5, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x99db8293, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xa5303b59, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0xa332b199, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x9b228cda, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf73438c9, "eth_header_parse" },
	{ 0x61ac32df, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xd761977b, "eth_header_cache_update" },
	{ 0x3865898a, "nf_register_net_hooks" },
	{ 0xfc9f8894, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x425d2e4c, "ip_route_input_noref" },
	{ 0x71949d1f, "__dev_get_by_index" },
	{ 0x6f8a7b77, "rtnl_link_unregister" },
	{ 0xa0277d34, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6bd05613, "sk_skb_reason_drop" },
	{ 0xa282c1b1, "netif_stacked_transfer_operstate" },
	{ 0xf7c0418c, "netdev_upper_dev_unlink" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x6573f300, "ida_free" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc121eb7d, "ns_capable" },
	{ 0xbbe5d93c, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x19f2e26f, "ethtool_op_get_link" },
	{ 0x9fb80bbf, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf527fc22, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf3362edf, "__pskb_pull_tail" },
	{ 0xbe108ec9, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x6e9d18e4, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x930634b4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x48a296ff, "vlan_vid_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x42e7e73d, "call_netdevice_notifiers" },
	{ 0x88d5a0da, "vlan_vid_del" },
	{ 0x5071d8a4, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xcd0cc68a, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x3e14da64, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x381e9d6a, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x37ccce46, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x7bc779c4, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xf84cee5c, "dev_mc_unsync" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xc4adb6f, "dev_change_flags" },
	{ 0x45242eeb, "netdev_core_stats_inc" },
	{ 0x3dd13daa, "dev_forward_skb" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x361d6fde, "register_netdevice" },
	{ 0x2c2e5a72, "__do_once_done" },
	{ 0x6c009439, "ip6_route_input_lookup" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x4f51d8b7, "dev_pre_changeaddr_notify" },
	{ 0x6e44c286, "dev_mc_sync" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x73aa6f4c, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfddeec08, "netdev_update_features" },
	{ 0xe94f0ced, "consume_skb" },
	{ 0x6723706e, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf9435ae7, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfa41aacd, "rtnl_link_register" },
	{ 0xffadb932, "netif_inherit_tso_max" },
	{ 0x63217d59, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1400f6c, "pcpu_hot" },
	{ 0x1511d16b, "ip_route_output_flow" },
	{ 0x954888cf, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7a7e38cb, "dev_uc_unsync" },
	{ 0x59bedd36, "ether_setup" },
	{ 0x27543c70, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4a2f0cb1, "netdev_upper_dev_link" },
	{ 0x3d3be84e, "register_pernet_subsys" },
	{ 0x307105b0, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A817537E82AF1F004482E0B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
