#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rndis_status, "_gpl", "");
KSYMTAB_FUNC(rndis_command, "_gpl", "");
KSYMTAB_FUNC(generic_rndis_bind, "_gpl", "");
KSYMTAB_FUNC(rndis_unbind, "_gpl", "");
KSYMTAB_FUNC(rndis_rx_fixup, "_gpl", "");
KSYMTAB_FUNC(rndis_tx_fixup, "_gpl", "");

SYMBOL_CRC(rndis_status, 0xec635da0, "_gpl");
SYMBOL_CRC(rndis_command, 0xf170b3ae, "_gpl");
SYMBOL_CRC(generic_rndis_bind, 0x40e78961, "_gpl");
SYMBOL_CRC(rndis_unbind, 0x4a97ae6e, "_gpl");
SYMBOL_CRC(rndis_rx_fixup, 0x3eff3ba4, "_gpl");
SYMBOL_CRC(rndis_tx_fixup, 0x5537b616, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x934e239f, "usb_control_msg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6bc39d61, "usb_interrupt_msg" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0xbc887f72, "_dev_err" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0x3feb52ef, "usbnet_generic_cdc_bind" },
	{ 0x3b0d9b3f, "usb_driver_release_interface" },
	{ 0x37a0cba, "kfree" },
	{ 0xbb973244, "__dynamic_netdev_dbg" },
	{ 0x307105b0, "dev_addr_mod" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0xa0277d34, "skb_pull" },
	{ 0xe2b9e5e0, "skb_trim" },
	{ 0x7e72bb43, "usbnet_cdc_zte_rx_fixup" },
	{ 0xcd0cc68a, "skb_clone" },
	{ 0xdfd5563d, "usbnet_skb_return" },
	{ 0xe8e38683, "skb_copy_expand" },
	{ 0xf9b40cd9, "dev_kfree_skb_any_reason" },
	{ 0xb0e602eb, "memmove" },
	{ 0x9e66d1b5, "usb_register_driver" },
	{ 0xbf9c5026, "usb_deregister" },
	{ 0x332d17ff, "usbnet_cdc_unbind" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbe0aa511, "usbnet_probe" },
	{ 0xd7fe441b, "usbnet_disconnect" },
	{ 0xe6b6a52f, "usbnet_suspend" },
	{ 0x19e5aa47, "usbnet_resume" },
	{ 0x6c706814, "usbnet_open" },
	{ 0x2789aaa1, "usbnet_stop" },
	{ 0xb9f6ad01, "usbnet_start_xmit" },
	{ 0xb08051d5, "eth_mac_addr" },
	{ 0x624821b2, "eth_validate_addr" },
	{ 0xecc0daaf, "usbnet_tx_timeout" },
	{ 0x964335af, "dev_get_tstats64" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "usbcore,cdc_ether,usbnet");

MODULE_ALIAS("usb:v1630p0042d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v238Bp*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc04ip01in*");

MODULE_INFO(srcversion, "3B05777579B45683A4B889E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
