#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7881026f, "dma_map_page_attrs" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xe3b37516, "ieee80211_free_txskb" },
	{ 0xc45d4e51, "ieee80211_stop_queue" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8a7edc47, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3dca1b96, "dma_unmap_page_attrs" },
	{ 0xe94f0ced, "consume_skb" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5e79b3ae, "_dev_printk" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x51891a1b, "pci_enable_device" },
	{ 0x3e97511f, "pci_read_config_dword" },
	{ 0x3e5a87a9, "pci_request_regions" },
	{ 0xe5ea1c59, "dma_set_mask" },
	{ 0xe3b8daa6, "dma_set_coherent_mask" },
	{ 0xbc4a6884, "pci_set_master" },
	{ 0x7a9a4feb, "ieee80211_alloc_hw_nm" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x43620e80, "pci_iomap" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x26b29d32, "dma_alloc_attrs" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0x92997ed8, "_printk" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfee30d13, "ieee80211_register_hw" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1ccc2366, "__netdev_alloc_skb" },
	{ 0xc5e10be0, "pci_set_mwi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe202e3b0, "pci_read_config_byte" },
	{ 0xbc887f72, "_dev_err" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x1b18d96a, "ieee80211_tx_status_irqsafe" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x65a4bb69, "skb_put" },
	{ 0xa3900d32, "ieee80211_rx_irqsafe" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfae060d9, "__dma_sync_single_for_device" },
	{ 0x88914c6, "__dma_sync_single_for_cpu" },
	{ 0x6617dd82, "ieee80211_wake_queue" },
	{ 0xfa3fd6d4, "ieee80211_emulate_add_chanctx" },
	{ 0x81fb393d, "ieee80211_emulate_remove_chanctx" },
	{ 0x743d3a56, "ieee80211_emulate_change_chanctx" },
	{ 0x6f98978d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x64ce5695, "ieee80211_handle_wake_tx_queue" },
	{ 0xeb21ee08, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8b0a4b64, "__pci_register_driver" },
	{ 0x94f95a6e, "ieee80211_unregister_hw" },
	{ 0x204b8eb5, "dma_free_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0x941d007f, "pci_iounmap" },
	{ 0x3b01554e, "pci_release_regions" },
	{ 0x24d09dc9, "pci_disable_device" },
	{ 0xd9050ff1, "ieee80211_free_hw" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd8c9bc20, "pci_unregister_driver" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa0277d34, "skb_pull" },
	{ 0x62cfdb0, "skb_push" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,eeprom_93cx6");

MODULE_ALIAS("pci:v000010B7d00006000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001200d00008201sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001317d00008201sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001317d00008211sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "9D82139EE82CA040BCE8AFC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
