#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(libipw_networks_age, "", "");
KSYMTAB_FUNC(alloc_libipw, "", "");
KSYMTAB_FUNC(free_libipw, "", "");
KSYMTAB_DATA(libipw_debug_level, "_gpl", "");
KSYMTAB_FUNC(libipw_xmit, "", "");
KSYMTAB_FUNC(libipw_txb_free, "", "");
KSYMTAB_FUNC(libipw_rx_any, "_gpl", "");
KSYMTAB_FUNC(libipw_rx_mgt, "", "");
KSYMTAB_FUNC(libipw_rx, "", "");
KSYMTAB_FUNC(libipw_wx_set_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_scan, "", "");
KSYMTAB_FUNC(libipw_wx_set_encode, "", "");
KSYMTAB_FUNC(libipw_wx_get_encode, "", "");
KSYMTAB_FUNC(libipw_get_channel, "", "");
KSYMTAB_FUNC(libipw_get_channel_flags, "", "");
KSYMTAB_FUNC(libipw_is_valid_channel, "", "");
KSYMTAB_FUNC(libipw_freq_to_channel, "", "");
KSYMTAB_FUNC(libipw_channel_to_freq, "", "");
KSYMTAB_FUNC(libipw_channel_to_index, "", "");
KSYMTAB_FUNC(libipw_set_geo, "", "");
KSYMTAB_FUNC(libipw_get_geo, "", "");

SYMBOL_CRC(libipw_networks_age, 0x3f1cfc75, "");
SYMBOL_CRC(alloc_libipw, 0x9c42a042, "");
SYMBOL_CRC(free_libipw, 0x56299688, "");
SYMBOL_CRC(libipw_debug_level, 0x498e4f1a, "_gpl");
SYMBOL_CRC(libipw_xmit, 0x615d22e1, "");
SYMBOL_CRC(libipw_txb_free, 0x5bc24109, "");
SYMBOL_CRC(libipw_rx_any, 0x89615ff9, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0x953246bc, "");
SYMBOL_CRC(libipw_rx, 0x6459fad8, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0x45ae56be, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0x01de625e, "");
SYMBOL_CRC(libipw_wx_get_scan, 0xfc76d142, "");
SYMBOL_CRC(libipw_wx_set_encode, 0xa86e6ddf, "");
SYMBOL_CRC(libipw_wx_get_encode, 0x8e47bb72, "");
SYMBOL_CRC(libipw_get_channel, 0xe8ccd30d, "");
SYMBOL_CRC(libipw_get_channel_flags, 0x25033c8b, "");
SYMBOL_CRC(libipw_is_valid_channel, 0xb562895d, "");
SYMBOL_CRC(libipw_freq_to_channel, 0xe7c00467, "");
SYMBOL_CRC(libipw_channel_to_freq, 0xf345b4b1, "");
SYMBOL_CRC(libipw_channel_to_index, 0x49a96d9f, "");
SYMBOL_CRC(libipw_set_geo, 0xeb9c5d31, "");
SYMBOL_CRC(libipw_get_geo, 0x4f6cf9e1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x50f67bd0, "seq_lseek" },
	{ 0x1d44530d, "dev_kfree_skb_irq_reason" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2455adfe, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xf2c6011, "wiphy_new_nm" },
	{ 0x6c42a99b, "lib80211_crypt_info_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x893479f6, "lib80211_get_crypto_ops" },
	{ 0xaa57954f, "init_net" },
	{ 0xa0277d34, "skb_pull" },
	{ 0x62cfdb0, "skb_push" },
	{ 0xe98392ae, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x275723db, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x60c6c565, "wireless_spy_update" },
	{ 0xbe108ec9, "netif_rx" },
	{ 0x1ccc2366, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8a28db2e, "seq_read" },
	{ 0xa9a64f4e, "lib80211_crypt_info_free" },
	{ 0xd93178de, "remove_proc_entry" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x71ec6518, "seq_printf" },
	{ 0xc711685b, "lib80211_crypt_delayed_deinit" },
	{ 0xdc96c708, "single_release" },
	{ 0xf9b40cd9, "dev_kfree_skb_any_reason" },
	{ 0xe319d657, "param_ops_int" },
	{ 0xa35465f3, "single_open" },
	{ 0xe792301c, "wiphy_free" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa73eb71f, "alloc_etherdev_mqs" },
	{ 0x424a5563, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x65a4bb69, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6e0d3ed7, "proc_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,lib80211");


MODULE_INFO(srcversion, "83CCA53845AB0673CF4F071");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
