#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__mt76u_vendor_request, "_gpl", "");
KSYMTAB_FUNC(mt76u_vendor_request, "_gpl", "");
KSYMTAB_FUNC(___mt76u_rr, "_gpl", "");
KSYMTAB_FUNC(___mt76u_wr, "_gpl", "");
KSYMTAB_FUNC(mt76u_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76u_single_wr, "_gpl", "");
KSYMTAB_FUNC(mt76u_alloc_mcu_queue, "_gpl", "");
KSYMTAB_FUNC(mt76u_stop_rx, "_gpl", "");
KSYMTAB_FUNC(mt76u_resume_rx, "_gpl", "");
KSYMTAB_FUNC(mt76u_stop_tx, "_gpl", "");
KSYMTAB_FUNC(mt76u_queues_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76u_alloc_queues, "_gpl", "");
KSYMTAB_FUNC(__mt76u_init, "_gpl", "");
KSYMTAB_FUNC(mt76u_init, "_gpl", "");

SYMBOL_CRC(__mt76u_vendor_request, 0xf2d8310d, "_gpl");
SYMBOL_CRC(mt76u_vendor_request, 0x62f4012a, "_gpl");
SYMBOL_CRC(___mt76u_rr, 0xca17a984, "_gpl");
SYMBOL_CRC(___mt76u_wr, 0x35a4f3fb, "_gpl");
SYMBOL_CRC(mt76u_read_copy, 0xac7e0912, "_gpl");
SYMBOL_CRC(mt76u_single_wr, 0x3e9499a1, "_gpl");
SYMBOL_CRC(mt76u_alloc_mcu_queue, 0xd36ef0cf, "_gpl");
SYMBOL_CRC(mt76u_stop_rx, 0x4bef5dfd, "_gpl");
SYMBOL_CRC(mt76u_resume_rx, 0x08ab8fc7, "_gpl");
SYMBOL_CRC(mt76u_stop_tx, 0xb557f6d5, "_gpl");
SYMBOL_CRC(mt76u_queues_deinit, 0x2cb17b20, "_gpl");
SYMBOL_CRC(mt76u_alloc_queues, 0x182c825b, "_gpl");
SYMBOL_CRC(__mt76u_init, 0xe4144a4b, "_gpl");
SYMBOL_CRC(mt76u_init, 0xc6406d54, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1400f6c, "pcpu_hot" },
	{ 0xbd871593, "page_pool_destroy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xec418c16, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x129f8abf, "kthread_park" },
	{ 0x6c495826, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x575ec4a, "mt76_tx_status_check" },
	{ 0x1cfda36b, "wake_up_process" },
	{ 0xb6c75d9c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xd83b953b, "__alloc_skb" },
	{ 0xc39a65d3, "usb_submit_urb" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x84c0ad3f, "kthread_unpark" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe28674f7, "build_skb" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc559074b, "perf_trace_run_bpf_submit" },
	{ 0xbc887f72, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x934e239f, "usb_control_msg" },
	{ 0x5a5eb7e, "usb_poison_urb" },
	{ 0x496d275, "trace_event_reg" },
	{ 0x2c34bedd, "usb_unpoison_urb" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2b2af429, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcc4ef168, "kthread_stop" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9830a8a, "mt76_queue_tx_complete" },
	{ 0x8125918d, "kthread_create_on_node" },
	{ 0xfccf0ad2, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x808f9e74, "mt76_rx_poll_complete" },
	{ 0x77910083, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9f530828, "param_ops_bool" },
	{ 0xa15e26e7, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xa2db6356, "usb_init_urb" },
	{ 0x12f7e884, "skb_add_rx_frag_netmem" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x47349003, "mt76_create_page_pool" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x7aed95fd, "skb_to_sgvec" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3f6e0371, "usb_free_urb" },
	{ 0x302d5e72, "devm_kmalloc" },
	{ 0x65a4bb69, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5c5b4ebb, "page_pool_alloc_frag" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x460ca301, "trace_raw_output_prep" },
	{ 0x5d658b5e, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xbab72d70, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8095536c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe98a4b1e, "mt76_has_tx_pending" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "mt76,usbcore");


MODULE_INFO(srcversion, "135D9876FC9445087BF5174");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
