#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7615_dma_reset, "_gpl", "");

SYMBOL_CRC(mt7615_dma_reset, 0xb2ca77db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1400f6c, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3f92067c, "pci_set_power_state" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x173acfb8, "mt76_connac_tx_complete_skb" },
	{ 0x9519dd79, "mt7615_mac_sta_add" },
	{ 0x129f8abf, "kthread_park" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0x89ff22cb, "mt76_dma_cleanup" },
	{ 0xd8c9bc20, "pci_unregister_driver" },
	{ 0xf774aed5, "mt7615_init_txpower" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8033d089, "mt76_alloc_device" },
	{ 0x575ec4a, "mt76_tx_status_check" },
	{ 0x1cfda36b, "wake_up_process" },
	{ 0xe8b2bf7b, "mt76_connac_power_save_sched" },
	{ 0x90bb5927, "mt7615_tx_token_put" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x4f36b6c1, "napi_complete_done" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x2dc92a22, "devm_free_irq" },
	{ 0x2dc5a382, "__napi_schedule" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0xae17fc71, "mt76_pci_disable_aspm" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf381f1d2, "mt7615_mcu_init" },
	{ 0x45eca642, "mt76_free_device" },
	{ 0x2df11b4, "mt7615_reg_map" },
	{ 0x84c0ad3f, "kthread_unpark" },
	{ 0xf909420e, "mt7615_wait_for_mcu_init" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xeb76b5cd, "mt76_init_queue" },
	{ 0x897b2f5a, "mt7615_mac_sta_remove" },
	{ 0xc68e5f18, "pcim_iomap_regions" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4051d39d, "ieee80211_queue_delayed_work" },
	{ 0x59d91de3, "devm_kmemdup" },
	{ 0x307640aa, "mt7615_init_work" },
	{ 0xbc887f72, "_dev_err" },
	{ 0x52e33e4a, "mt76_register_device" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0xe967bc7c, "__SCK__tp_func_dev_irq" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xd0ff4f42, "mt7615_led_set_brightness" },
	{ 0x82a9ff72, "mt7615_thermal_init" },
	{ 0x1c509832, "napi_enable" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x9dfce976, "mt76_mmio_init" },
	{ 0x96e35e57, "ieee80211_wake_queues" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6244fdc7, "mt76_unregister_device" },
	{ 0x70cdea72, "pci_restore_state" },
	{ 0x873c0044, "mt76_set_irq_mask" },
	{ 0x3591ba6b, "mt7622_trigger_hif_int" },
	{ 0x1f4cf0cd, "mt7615_register_ext_phy" },
	{ 0xeffac8a4, "mt7615_ops" },
	{ 0x60def29a, "mt7615_led_set_blink" },
	{ 0xbc4a6884, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1fb9451, "mt7615_queue_rx_skb" },
	{ 0x6c3e21a0, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xddb695f, "__tracepoint_dev_irq" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x49b3ae37, "pci_enable_wake" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x590ad1f6, "mt76_txq_schedule_all" },
	{ 0x25562fad, "____mt76_poll_msec" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd039d3a7, "mt7615_mac_write_txwi" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xd2104ebe, "mt7615_update_channel" },
	{ 0xe5ea1c59, "dma_set_mask" },
	{ 0x12178087, "mt76_connac_mcu_set_hif_suspend" },
	{ 0x5fc58bc9, "mt7615_unregister_ext_phy" },
	{ 0xc794ec6, "pcim_iomap_table" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdba25b99, "mt7615_rx_check" },
	{ 0x4fd679d9, "ieee80211_queue_work" },
	{ 0xb593baa6, "mt7615_init_debugfs" },
	{ 0x1441b311, "napi_schedule_prep" },
	{ 0xdf1cc32b, "napi_disable" },
	{ 0xa14974ae, "mt7615_mcu_exit" },
	{ 0xad57e993, "__mt76_poll" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xecfeea22, "pcim_enable_device" },
	{ 0xa16f1d5e, "mt7615_mac_set_rates" },
	{ 0xd9054026, "mt76_dma_attach" },
	{ 0xf8a22483, "pci_free_irq_vectors" },
	{ 0x2731c89b, "mt7615_init_device" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc84f01d1, "pci_save_state" },
	{ 0x73fc28f2, "mt76_dma_rx_poll" },
	{ 0xe0435d5f, "ieee80211_iterate_interfaces" },
	{ 0x9dc5283a, "devm_request_threaded_irq" },
	{ 0xbb3df215, "pci_alloc_irq_vectors" },
	{ 0x66ab016d, "netif_napi_add_weight" },
	{ 0x8ffa24b0, "pci_choose_state" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x285d82bd, "mt76_connac_init_tx_queues" },
	{ 0xcdec7c17, "mt7615_eeprom_init" },
	{ 0x94152aa9, "mt76_tx_status_skb_add" },
	{ 0x8b0a4b64, "__pci_register_driver" },
	{ 0xe1c222be, "mt76_connac_pm_wake" },
	{ 0xfe0c4b3f, "mt76_connac_write_hw_txp" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mt7615-common,mt76,mac80211");

MODULE_ALIAS("pci:v000014C3d00007615sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007663sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007611sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "41E972041C13491E915F2BB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
