#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0x8041952d, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0xd42e4bba, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x94ee9c26, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0xb6530183, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0x4a3a5958, "_gpl");
SYMBOL_CRC(mt76x0_config, 0x69d66da7, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0x51cc95f3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1c8a1ec6, "mt76x02_mac_shared_key_setup" },
	{ 0x2517ef0a, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x85e6a280, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0xa304e8f3, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x4051d39d, "ieee80211_queue_delayed_work" },
	{ 0x2a548020, "mt76_eeprom_init" },
	{ 0xbc887f72, "_dev_err" },
	{ 0xc5a99ed, "mt76x02_mac_setaddr" },
	{ 0x52e33e4a, "mt76_register_device" },
	{ 0x1695face, "mt76x02_phy_set_bw" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x940acc4, "mt76x02_phy_set_band" },
	{ 0xdc32e2, "mt76_set_channel" },
	{ 0x3d8dcb24, "mt76x02_init_device" },
	{ 0x96e35e57, "ieee80211_wake_queues" },
	{ 0x4eb0d56e, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x902fccb4, "mt76x02_phy_set_rxpath" },
	{ 0x6af1b592, "mt76x02_edcca_init" },
	{ 0x4697bdb8, "mt76_eeprom_override" },
	{ 0x3daeb354, "mt76x02_get_lna_gain" },
	{ 0x3bf5cabe, "mt76x02_init_debugfs" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6c3e21a0, "ieee80211_stop_queues" },
	{ 0xf6bf635a, "mt76x02_mac_cc_reset" },
	{ 0xababe032, "mt76x02_init_agc_gain" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x590ad1f6, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x25562fad, "____mt76_poll_msec" },
	{ 0xc91ac4ae, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd1e5c3e1, "mt76x02_config_mac_addr_list" },
	{ 0x9d5c5c3b, "mt76_get_sar_power" },
	{ 0x953fc600, "mt76x02_eeprom_copy" },
	{ 0xb5fd8310, "mt76x02_mcu_calibrate" },
	{ 0x7554fae9, "mt76x02_mcu_function_select" },
	{ 0xec98bfe0, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x1ab85bde, "mt76x02_mac_wcid_setup" },
	{ 0xad57e993, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x85f2b777, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x8e89212b, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2e928ab, "mt76_init_sar_power" },
	{ 0xbc750658, "mt76x02_phy_adjust_vga_gain" },
	{ 0x15aa750a, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "CE2DD35AF09A8753CBEF0D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
