#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt792x_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_stop, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_link_bss_remove, "_gpl", "");
KSYMTAB_FUNC(mt792x_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt792x_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_tsf, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_tsf, "_gpl", "");
KSYMTAB_FUNC(mt792x_tx_worker, "_gpl", "");
KSYMTAB_FUNC(mt792x_roc_timer, "_gpl", "");
KSYMTAB_FUNC(mt792x_flush, "_gpl", "");
KSYMTAB_FUNC(mt792x_assign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt792x_unassign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_wakeup, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_strings, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_sset_count, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_sta_statistics, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_wiphy, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_mac80211_ops, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_wcid, "_gpl", "");
KSYMTAB_FUNC(mt792x_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792x_mcu_fw_pmctrl, "_gpl", "");
KSYMTAB_FUNC(__mt792xe_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792xe_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792xe_mcu_fw_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792x_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_work, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_set_timeing, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_update_mib_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_rx_get_wcid, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_assoc_rssi, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt792x_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt792x_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_init_band, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_wake_work, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_power_save_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_lp_event, "_gpl", "");
KSYMTAB_FUNC(__traceiter_lp_event, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_lp_event, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_lp_event, "_gpl", "");
KSYMTAB_FUNC(mt792x_tx_stats_show, "_gpl", "");
KSYMTAB_FUNC(mt792x_queues_acq, "_gpl", "");
KSYMTAB_FUNC(mt792x_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_idle_timeout_set, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_idle_timeout_get, "_gpl", "");
KSYMTAB_FUNC(mt792x_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt792x_irq_tasklet, "_gpl", "");
KSYMTAB_FUNC(mt792x_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_enable, "_gpl", "");
KSYMTAB_FUNC(mt792x_wpdma_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_wpdma_reinit_cond, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt792x_poll_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_poll_rx, "_gpl", "");
KSYMTAB_FUNC(mt792x_wfsys_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_acpi_sar, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_acpi_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt792x_acpi_get_flags, "_gpl", "");
KSYMTAB_FUNC(mt792x_acpi_get_mtcl_conf, "_gpl", "");

SYMBOL_CRC(mt792x_tx, 0x01c19bb1, "_gpl");
SYMBOL_CRC(mt792x_stop, 0x88f1358f, "_gpl");
SYMBOL_CRC(mt792x_mac_link_bss_remove, 0x9aa79514, "_gpl");
SYMBOL_CRC(mt792x_remove_interface, 0x332f5420, "_gpl");
SYMBOL_CRC(mt792x_conf_tx, 0xcc54690b, "_gpl");
SYMBOL_CRC(mt792x_get_stats, 0x1cad40c4, "_gpl");
SYMBOL_CRC(mt792x_get_tsf, 0x5605c5b4, "_gpl");
SYMBOL_CRC(mt792x_set_tsf, 0xb85f07e5, "_gpl");
SYMBOL_CRC(mt792x_tx_worker, 0x3a05dd65, "_gpl");
SYMBOL_CRC(mt792x_roc_timer, 0x9c06d4d5, "_gpl");
SYMBOL_CRC(mt792x_flush, 0xe421a94c, "_gpl");
SYMBOL_CRC(mt792x_assign_vif_chanctx, 0xeabe4a93, "_gpl");
SYMBOL_CRC(mt792x_unassign_vif_chanctx, 0x166cb228, "_gpl");
SYMBOL_CRC(mt792x_set_wakeup, 0x6d5114a9, "_gpl");
SYMBOL_CRC(mt792x_get_et_strings, 0x748c3273, "_gpl");
SYMBOL_CRC(mt792x_get_et_sset_count, 0x1b24529d, "_gpl");
SYMBOL_CRC(mt792x_get_et_stats, 0x646d2edf, "_gpl");
SYMBOL_CRC(mt792x_sta_statistics, 0xb34b182a, "_gpl");
SYMBOL_CRC(mt792x_set_coverage_class, 0xa4d47243, "_gpl");
SYMBOL_CRC(mt792x_init_wiphy, 0x964c1a42, "_gpl");
SYMBOL_CRC(mt792x_get_mac80211_ops, 0x02368373, "_gpl");
SYMBOL_CRC(mt792x_init_wcid, 0x2f0336da, "_gpl");
SYMBOL_CRC(mt792x_mcu_drv_pmctrl, 0x0e81e1bb, "_gpl");
SYMBOL_CRC(mt792x_mcu_fw_pmctrl, 0x406e54fc, "_gpl");
SYMBOL_CRC(__mt792xe_mcu_drv_pmctrl, 0x63d46f2d, "_gpl");
SYMBOL_CRC(mt792xe_mcu_drv_pmctrl, 0xcb4a4c88, "_gpl");
SYMBOL_CRC(mt792xe_mcu_fw_pmctrl, 0x31f8d944, "_gpl");
SYMBOL_CRC(mt792x_load_firmware, 0xe4cdc417, "_gpl");
SYMBOL_CRC(mt792x_mac_work, 0xe731fec5, "_gpl");
SYMBOL_CRC(mt792x_mac_set_timeing, 0x4dfc900c, "_gpl");
SYMBOL_CRC(mt792x_mac_update_mib_stats, 0xbdaa6572, "_gpl");
SYMBOL_CRC(mt792x_rx_get_wcid, 0xe0274c46, "_gpl");
SYMBOL_CRC(mt792x_mac_assoc_rssi, 0x2c8d29d4, "_gpl");
SYMBOL_CRC(mt792x_mac_reset_counters, 0x907f5c72, "_gpl");
SYMBOL_CRC(mt792x_update_channel, 0x7debcf6d, "_gpl");
SYMBOL_CRC(mt792x_reset, 0x8e3acb94, "_gpl");
SYMBOL_CRC(mt792x_mac_init_band, 0xe9a9b209, "_gpl");
SYMBOL_CRC(mt792x_pm_wake_work, 0x0df73a34, "_gpl");
SYMBOL_CRC(mt792x_pm_power_save_work, 0xe4ccb149, "_gpl");
SYMBOL_CRC(__tracepoint_lp_event, 0x84218ef2, "_gpl");
SYMBOL_CRC(__traceiter_lp_event, 0xacf5f423, "_gpl");
SYMBOL_CRC(__SCK__tp_func_lp_event, 0x26a24355, "_gpl");
SYMBOL_CRC(__SCT__tp_func_lp_event, 0xabff3e0f, "_gpl");
SYMBOL_CRC(mt792x_tx_stats_show, 0x823f61a4, "_gpl");
SYMBOL_CRC(mt792x_queues_acq, 0xd5a559da, "_gpl");
SYMBOL_CRC(mt792x_queues_read, 0xe3a130f7, "_gpl");
SYMBOL_CRC(mt792x_pm_stats, 0x9e18bda8, "_gpl");
SYMBOL_CRC(mt792x_pm_idle_timeout_set, 0x5a7b5c38, "_gpl");
SYMBOL_CRC(mt792x_pm_idle_timeout_get, 0xc3a0fb62, "_gpl");
SYMBOL_CRC(mt792x_irq_handler, 0xbd22e98c, "_gpl");
SYMBOL_CRC(mt792x_irq_tasklet, 0x8e471e29, "_gpl");
SYMBOL_CRC(mt792x_rx_poll_complete, 0xb733afea, "_gpl");
SYMBOL_CRC(mt792x_dma_enable, 0x5eea9f24, "_gpl");
SYMBOL_CRC(mt792x_wpdma_reset, 0xf5d1d25f, "_gpl");
SYMBOL_CRC(mt792x_wpdma_reinit_cond, 0x7155f1fa, "_gpl");
SYMBOL_CRC(mt792x_dma_disable, 0xc279069d, "_gpl");
SYMBOL_CRC(mt792x_dma_cleanup, 0xe852eb92, "_gpl");
SYMBOL_CRC(mt792x_poll_tx, 0xe8d1340e, "_gpl");
SYMBOL_CRC(mt792x_poll_rx, 0x70beeea2, "_gpl");
SYMBOL_CRC(mt792x_wfsys_reset, 0x3080c78c, "_gpl");
SYMBOL_CRC(mt792x_init_acpi_sar, 0x3921b07e, "_gpl");
SYMBOL_CRC(mt792x_init_acpi_sar_power, 0xcbec1655, "_gpl");
SYMBOL_CRC(mt792x_acpi_get_flags, 0x9c7f7660, "_gpl");
SYMBOL_CRC(mt792x_acpi_get_mtcl_conf, 0x4ce3ada7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x302d5e72, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x460ca301, "trace_raw_output_prep" },
	{ 0x5d658b5e, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xb4b0dd78, "mt76_connac_mcu_uni_add_dev" },
	{ 0x10907ae1, "request_firmware" },
	{ 0xbab72d70, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x559d8ba3, "ieee80211_iterate_stations_atomic" },
	{ 0xe1c222be, "mt76_connac_pm_wake" },
	{ 0x8095536c, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xe98a4b1e, "mt76_has_tx_pending" },
	{ 0xb1400f6c, "pcpu_hot" },
	{ 0x743d3a56, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xec418c16, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0x89ff22cb, "mt76_dma_cleanup" },
	{ 0x833a2682, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x575ec4a, "mt76_tx_status_check" },
	{ 0x1cfda36b, "wake_up_process" },
	{ 0xdc3f768, "mt76_connac_free_pending_tx_skbs" },
	{ 0xe8b2bf7b, "mt76_connac_power_save_sched" },
	{ 0xb6c75d9c, "trace_event_buffer_commit" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4f36b6c1, "napi_complete_done" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xde510284, "mt76_tx" },
	{ 0x2dc5a382, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0x31d8d3c0, "mt76_connac_mcu_set_mac_enable" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4051d39d, "ieee80211_queue_delayed_work" },
	{ 0x59d91de3, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc559074b, "perf_trace_run_bpf_submit" },
	{ 0x4bb7d7aa, "devm_kfree" },
	{ 0xbc887f72, "_dev_err" },
	{ 0xd3c0c5da, "mt76_connac2_load_ram" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe967bc7c, "__SCK__tp_func_dev_irq" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x8a44f0b4, "seq_putc" },
	{ 0x496d275, "trace_event_reg" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0xd4fdf9e4, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x96e35e57, "ieee80211_wake_queues" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x873c0044, "mt76_set_irq_mask" },
	{ 0xc7497a0c, "mt76_connac_pm_dequeue_skbs" },
	{ 0xfa3fd6d4, "ieee80211_emulate_add_chanctx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6f98978d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x45e87e7, "mt76_ethtool_page_pool_stats" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xddb695f, "__tracepoint_dev_irq" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x77910083, "trace_event_buffer_reserve" },
	{ 0xb905ac06, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x590ad1f6, "mt76_txq_schedule_all" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1306a6df, "mt76_connac2_load_patch" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xe6cb89c0, "seq_write" },
	{ 0x25562fad, "____mt76_poll_msec" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x71ec6518, "seq_printf" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xcefa6a37, "mt76_wcid_cleanup" },
	{ 0x4fd679d9, "ieee80211_queue_work" },
	{ 0x1441b311, "napi_schedule_prep" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x81fb393d, "ieee80211_emulate_remove_chanctx" },
	{ 0xab9d88b8, "mt76_ethtool_worker" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7c40b351, "device_set_wakeup_enable" },
	{ 0x73fc28f2, "mt76_dma_rx_poll" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe067f1c5, "is_acpi_device_node" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mac80211,mt76");


MODULE_INFO(srcversion, "65DFE86868F1823F479FBF1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
