#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qtnf_core_attach, "_gpl", "");
KSYMTAB_FUNC(qtnf_core_detach, "_gpl", "");
KSYMTAB_FUNC(qtnf_classify_skb, "_gpl", "");
KSYMTAB_FUNC(qtnf_wake_all_queues, "_gpl", "");
KSYMTAB_FUNC(qtnf_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(qtnf_trans_handle_rx_ctl_packet, "_gpl", "");
KSYMTAB_FUNC(qtnf_chipid_to_string, "_gpl", "");

SYMBOL_CRC(qtnf_core_attach, 0xf1b14d93, "_gpl");
SYMBOL_CRC(qtnf_core_detach, 0x36c2e147, "_gpl");
SYMBOL_CRC(qtnf_classify_skb, 0x9eb9cb53, "_gpl");
SYMBOL_CRC(qtnf_wake_all_queues, 0xfa2ff07f, "_gpl");
SYMBOL_CRC(qtnf_get_debugfs_dir, 0xb05979fc, "_gpl");
SYMBOL_CRC(qtnf_trans_handle_rx_ctl_packet, 0x549f2dfd, "_gpl");
SYMBOL_CRC(qtnf_chipid_to_string, 0x31fab83c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf58da716, "alloc_netdev_mqs" },
	{ 0xf2c6011, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xac677cea, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x8aa5c00c, "cfg80211_put_bss" },
	{ 0xbad28743, "cfg80211_ch_switch_notify" },
	{ 0x342be9be, "skb_queue_tail" },
	{ 0x4dcfe5d0, "ieee80211_get_channel_khz" },
	{ 0xc52e079c, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbbd0a64a, "__cfg80211_radar_event" },
	{ 0x7bb7132a, "cfg80211_get_drvinfo" },
	{ 0xaa57954f, "init_net" },
	{ 0x209d5377, "platform_device_unregister" },
	{ 0xda73366c, "cfg80211_michael_mic_failure" },
	{ 0x72f5a952, "wiphy_apply_custom_regulatory" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x67fb02d0, "debugfs_remove" },
	{ 0x90f4303b, "cfg80211_del_sta_sinfo" },
	{ 0xcc586174, "cfg80211_update_owe_info_event" },
	{ 0xc60fc351, "wiphy_unregister" },
	{ 0xe98392ae, "free_netdev" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0xfbad70e5, "netif_tx_stop_all_queues" },
	{ 0x87226637, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xc2588088, "wdev_chandef" },
	{ 0x1ccc2366, "__netdev_alloc_skb" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x56030560, "cfg80211_unregister_wdev" },
	{ 0x24abb67f, "platform_device_register_full" },
	{ 0x6db392f3, "cfg80211_rx_mgmt_ext" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9f530828, "param_ops_bool" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfacaaa08, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5c3db398, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x437b451f, "netdev_walk_all_lower_dev" },
	{ 0x5425dadf, "cfg80211_inform_bss_data" },
	{ 0x77379901, "cfg80211_shutdown_all_interfaces" },
	{ 0xf9b40cd9, "dev_kfree_skb_any_reason" },
	{ 0xa9fd3551, "regulatory_set_wiphy_regd" },
	{ 0x349cba85, "strchr" },
	{ 0x45a58a87, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xa70d7dca, "cfg80211_connect_done" },
	{ 0x622a4a7d, "__cfg80211_get_bss" },
	{ 0xe792301c, "wiphy_free" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x7c40b351, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb08051d5, "eth_mac_addr" },
	{ 0x65a4bb69, "skb_put" },
	{ 0x35c0fe47, "cfg80211_scan_done" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe94f0ced, "consume_skb" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4641618b, "cfg80211_cac_event" },
	{ 0x648b965a, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x8bf43bb7, "cfg80211_register_netdevice" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7fa7266f, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x8ece1348, "cfg80211_external_auth_request" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x143798b5, "cfg80211_new_sta" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbc8ae040, "cfg80211_disconnected" },
	{ 0x59bedd36, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf153f588, "netdev_port_same_parent_id" },
	{ 0x307105b0, "dev_addr_mod" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "95C50ED0AF0F008EB2C23B4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
