#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_disable_lps_deep_mode, "", "");
KSYMTAB_DATA(rtw_debug_mask, "", "");
KSYMTAB_FUNC(rtw_dump_fw, "", "");
KSYMTAB_FUNC(rtw_dump_reg, "", "");
KSYMTAB_FUNC(rtw_set_rx_freq_band, "", "");
KSYMTAB_FUNC(rtw_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw_core_init, "", "");
KSYMTAB_FUNC(rtw_core_deinit, "", "");
KSYMTAB_FUNC(rtw_register_hw, "", "");
KSYMTAB_FUNC(rtw_unregister_hw, "", "");
KSYMTAB_DATA(rtw_ops, "", "");
KSYMTAB_FUNC(check_hw_ready, "", "");
KSYMTAB_FUNC(rtw_restore_reg, "", "");
KSYMTAB_FUNC(rtw_dbg, "", "");
KSYMTAB_FUNC(rtw_tx_fill_tx_desc, "", "");
KSYMTAB_FUNC(rtw_tx_report_enqueue, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_rsvd_page_get, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_h2c_get, "", "");
KSYMTAB_FUNC(rtw_tx_ac_to_hwq, "", "");
KSYMTAB_FUNC(rtw_tx_queue_mapping, "", "");
KSYMTAB_FUNC(rtw_rx_stats, "", "");
KSYMTAB_FUNC(rtw_rx_fill_rx_status, "", "");
KSYMTAB_FUNC(rtw_set_channel_mac, "", "");
KSYMTAB_DATA(rtw_rate_section, "", "");
KSYMTAB_DATA(rtw_rate_size, "", "");
KSYMTAB_FUNC(rtw_phy_set_edcca_th, "", "");
KSYMTAB_FUNC(rtw_phy_init, "", "");
KSYMTAB_FUNC(rtw_phy_parsing_cfo, "", "");
KSYMTAB_FUNC(rtw_phy_rf_power_2_rssi, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_mix, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_phy_cond, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_bb_pg, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_txpwr_lmt, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_mac, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_agc, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_bb, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_rf, "", "");
KSYMTAB_FUNC(rtw_phy_load_tables, "", "");
KSYMTAB_FUNC(rtw_phy_get_tx_power_index, "", "");
KSYMTAB_FUNC(rtw_phy_set_tx_power_level, "", "");
KSYMTAB_FUNC(rtw_phy_config_swing_table, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_avg, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_thermal_changed, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_delta, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_pwridx, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_lck, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_iqk, "", "");
KSYMTAB_FUNC(rtw_coex_write_scbd, "", "");
KSYMTAB_FUNC(rtw_coex_read_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_coex_write_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_read8_physical_efuse, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_rx_irqsafe, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_isr, "", "");
KSYMTAB_FUNC(rtw_fw_do_iqk, "", "");
KSYMTAB_FUNC(rtw_fw_inform_rfk_status, "", "");
KSYMTAB_FUNC(rtw_power_mode_change, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_set_gid_table, "", "");
KSYMTAB_FUNC(rtw_bf_phy_init, "", "");
KSYMTAB_FUNC(rtw_bf_cfg_csi_rate, "", "");
KSYMTAB_FUNC(rtw_regd_get, "", "");
KSYMTAB_FUNC(rtw_regd_srrc, "", "");

SYMBOL_CRC(rtw_disable_lps_deep_mode, 0x36c5bfca, "");
SYMBOL_CRC(rtw_debug_mask, 0x33b3f3c0, "");
SYMBOL_CRC(rtw_dump_fw, 0x9a229dfe, "");
SYMBOL_CRC(rtw_dump_reg, 0x99e48108, "");
SYMBOL_CRC(rtw_set_rx_freq_band, 0xf8fc795b, "");
SYMBOL_CRC(rtw_chip_info_setup, 0x8e0866b8, "");
SYMBOL_CRC(rtw_core_init, 0x51c9af42, "");
SYMBOL_CRC(rtw_core_deinit, 0x0d088feb, "");
SYMBOL_CRC(rtw_register_hw, 0xdaabf6ea, "");
SYMBOL_CRC(rtw_unregister_hw, 0xfb973cd0, "");
SYMBOL_CRC(rtw_ops, 0xcf847009, "");
SYMBOL_CRC(check_hw_ready, 0xf8efa7c7, "");
SYMBOL_CRC(rtw_restore_reg, 0xcc257e00, "");
SYMBOL_CRC(rtw_dbg, 0x9c452f30, "");
SYMBOL_CRC(rtw_tx_fill_tx_desc, 0x89d2b197, "");
SYMBOL_CRC(rtw_tx_report_enqueue, 0x67caa5b7, "");
SYMBOL_CRC(rtw_tx_write_data_rsvd_page_get, 0x5430eb5b, "");
SYMBOL_CRC(rtw_tx_write_data_h2c_get, 0x52f0901d, "");
SYMBOL_CRC(rtw_tx_ac_to_hwq, 0x1dc2d072, "");
SYMBOL_CRC(rtw_tx_queue_mapping, 0x3c3c03c5, "");
SYMBOL_CRC(rtw_rx_stats, 0xbcb19a1d, "");
SYMBOL_CRC(rtw_rx_fill_rx_status, 0x994dbc82, "");
SYMBOL_CRC(rtw_set_channel_mac, 0xaa868cd8, "");
SYMBOL_CRC(rtw_rate_section, 0x58210e60, "");
SYMBOL_CRC(rtw_rate_size, 0x519c8ba9, "");
SYMBOL_CRC(rtw_phy_set_edcca_th, 0xc419f2c4, "");
SYMBOL_CRC(rtw_phy_init, 0xcdf83ad2, "");
SYMBOL_CRC(rtw_phy_parsing_cfo, 0xc0ad7e90, "");
SYMBOL_CRC(rtw_phy_rf_power_2_rssi, 0x440b7589, "");
SYMBOL_CRC(rtw_phy_read_rf, 0xc4422230, "");
SYMBOL_CRC(rtw_phy_read_rf_sipi, 0x28934559, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_sipi, 0x0d628e46, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_mix, 0x3ffe7bfc, "");
SYMBOL_CRC(rtw_parse_tbl_phy_cond, 0x3e66cace, "");
SYMBOL_CRC(rtw_parse_tbl_bb_pg, 0x7c60fb64, "");
SYMBOL_CRC(rtw_parse_tbl_txpwr_lmt, 0xc4c88dd1, "");
SYMBOL_CRC(rtw_phy_cfg_mac, 0xe67ec888, "");
SYMBOL_CRC(rtw_phy_cfg_agc, 0xb7a126b2, "");
SYMBOL_CRC(rtw_phy_cfg_bb, 0x6f93b29f, "");
SYMBOL_CRC(rtw_phy_cfg_rf, 0xae3f263c, "");
SYMBOL_CRC(rtw_phy_load_tables, 0x0f847abd, "");
SYMBOL_CRC(rtw_phy_get_tx_power_index, 0xf3372421, "");
SYMBOL_CRC(rtw_phy_set_tx_power_level, 0x1738cebb, "");
SYMBOL_CRC(rtw_phy_config_swing_table, 0x8a161216, "");
SYMBOL_CRC(rtw_phy_pwrtrack_avg, 0x6e76c526, "");
SYMBOL_CRC(rtw_phy_pwrtrack_thermal_changed, 0xe4f48f75, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_delta, 0x7064cfe9, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_pwridx, 0x7a8a5f08, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_lck, 0x7781353d, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_iqk, 0x5819641c, "");
SYMBOL_CRC(rtw_coex_write_scbd, 0x3317adc2, "");
SYMBOL_CRC(rtw_coex_read_indirect_reg, 0xa931e0cc, "");
SYMBOL_CRC(rtw_coex_write_indirect_reg, 0xa5929749, "");
SYMBOL_CRC(rtw_read8_physical_efuse, 0x669c3d1c, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_rx_irqsafe, 0xeb4a18d4, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_isr, 0xb37e4708, "");
SYMBOL_CRC(rtw_fw_do_iqk, 0xa0b6acff, "");
SYMBOL_CRC(rtw_fw_inform_rfk_status, 0xb77ebb28, "");
SYMBOL_CRC(rtw_power_mode_change, 0x59159233, "");
SYMBOL_CRC(rtw_bf_enable_bfee_su, 0x276edb45, "");
SYMBOL_CRC(rtw_bf_enable_bfee_mu, 0xa16c2b77, "");
SYMBOL_CRC(rtw_bf_remove_bfee_su, 0x967b6ee9, "");
SYMBOL_CRC(rtw_bf_remove_bfee_mu, 0xb07782d4, "");
SYMBOL_CRC(rtw_bf_set_gid_table, 0xd0a0470b, "");
SYMBOL_CRC(rtw_bf_phy_init, 0x513a4cb9, "");
SYMBOL_CRC(rtw_bf_cfg_csi_rate, 0xa5799596, "");
SYMBOL_CRC(rtw_regd_get, 0xffee8e4f, "");
SYMBOL_CRC(rtw_regd_srrc, 0x0b2e5738, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb6afc2b3, "ieee80211_proberesp_get" },
	{ 0xbc887f72, "_dev_err" },
	{ 0xbe6ded89, "request_firmware_nowait" },
	{ 0x7353e202, "simple_open" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6bd05613, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf214eb55, "ieee80211_find_sta_by_ifaddr" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x62cfdb0, "skb_push" },
	{ 0x8a44f0b4, "seq_putc" },
	{ 0x96e35e57, "ieee80211_wake_queues" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x685c76bf, "ieee80211_iter_keys_rcu" },
	{ 0xe3b37516, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4368048b, "dev_coredumpv" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xed208c51, "ieee80211_tx_dequeue" },
	{ 0xfb578fc5, "memset" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0xf9ca2eb4, "kstrtoint_from_user" },
	{ 0xfa3fd6d4, "ieee80211_emulate_add_chanctx" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6f98978d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x1ccc2366, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x6c3e21a0, "ieee80211_stop_queues" },
	{ 0x4fd7c1f5, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8a28db2e, "seq_read" },
	{ 0x90fe9b78, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xbdf688d5, "ieee80211_scan_completed" },
	{ 0xb905ac06, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9f530828, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x94f95a6e, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe6cb89c0, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x71ec6518, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xa781b47f, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb3508af1, "skb_copy" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x8a9d278d, "ieee80211_cqm_rssi_notify" },
	{ 0xdc96c708, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5abf40c4, "ieee80211_request_smps" },
	{ 0x4fd679d9, "ieee80211_queue_work" },
	{ 0xf9b40cd9, "dev_kfree_skb_any_reason" },
	{ 0x5e79b3ae, "_dev_printk" },
	{ 0xa35465f3, "single_open" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x45a58a87, "debugfs_create_dir" },
	{ 0x81fb393d, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x7c40b351, "device_set_wakeup_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xa48c64cc, "ieee80211_connection_loss" },
	{ 0xb1f8c3c1, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6e9e60f2, "ieee80211_txq_get_depth" },
	{ 0xeb21ee08, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x65a4bb69, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe94f0ced, "consume_skb" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x648b965a, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x43ffd081, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x559d8ba3, "ieee80211_iterate_stations_atomic" },
	{ 0x52d5148, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7fa7266f, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xe4f69f96, "ieee80211_nullfunc_get" },
	{ 0xd68bf236, "ieee80211_pspoll_get" },
	{ 0x50f67bd0, "seq_lseek" },
	{ 0xfee30d13, "ieee80211_register_hw" },
	{ 0x743d3a56, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3715908, "ieee80211_restart_hw" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb888c0e1, "skb_queue_purge_reason" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x41d7cafa, "ieee80211_find_sta" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x76d68ca4, "ieee80211_iter_keys" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1b18d96a, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xd83b953b, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x342be9be, "skb_queue_tail" },
	{ 0xeffe38b, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0xbf087030, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4051d39d, "ieee80211_queue_delayed_work" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "D6E56AA1C5F04ED3E7538F8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
