#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v2, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_check_quirks, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v2, "", "");
KSYMTAB_DATA(rtw89_mac_gen_be, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsb, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_set_phy_regs, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_pre_ntfy_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_tssi_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_iqk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dpk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_txgapk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dack_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_rxdck_and_wait, "", "");
KSYMTAB_FUNC(rtw89_rfk_chan_lookup, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_get_kpath, "", "");
KSYMTAB_FUNC(rtw89_phy_get_syn_sel, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_DATA(rtw89_phy_gen_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_dmac_tbl_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_efuse_read_fw_secure_be, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");
KSYMTAB_FUNC(rtw89_linear_2_db, "", "");
KSYMTAB_FUNC(rtw89_db_2_linear, "", "");
KSYMTAB_DATA(rtw89_debug_mask, "", "");
KSYMTAB_FUNC(rtw89_debug, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x2218180f, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0xe5cd2c64, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v2, 0x5be69133, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0xdc2a51ce, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v2, 0x6201ec99, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0x3a3dcfdf, "");
SYMBOL_CRC(rtw89_core_query_rxdesc_v2, 0x5694eba1, "");
SYMBOL_CRC(rtw89_core_rx, 0x844beea9, "");
SYMBOL_CRC(rtw89_core_napi_start, 0xa8d9d501, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0xd70151c5, "");
SYMBOL_CRC(rtw89_core_napi_init, 0xea62b20f, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0xb27c6bf0, "");
SYMBOL_CRC(rtw89_check_quirks, 0x23dee0f3, "");
SYMBOL_CRC(rtw89_core_init, 0x02f87580, "");
SYMBOL_CRC(rtw89_core_deinit, 0xe13f7e0b, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0x07fb5fca, "");
SYMBOL_CRC(rtw89_core_register, 0x6e12faae, "");
SYMBOL_CRC(rtw89_core_unregister, 0xb156ca8c, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x7a982e81, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0xa950605c, "");
SYMBOL_CRC(rtw89_ops, 0x0a144571, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0x2af685e8, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0x90a3fbfe, "");
SYMBOL_CRC(rtw89_mac_size, 0x3e3298fc, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0x4ea98f1b, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0x7cf4f077, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0xf5ebbb28, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x1d7f12f1, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0x16fb30f0, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0xe704fb54, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0xce4a704a, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0x3a1b4e6a, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x46ead333, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0x4730e984, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0x357e4699, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0xf27e9ec9, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0x90b769b6, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v2, 0x2186e4d7, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v2, 0x966564b5, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v2, 0xc3f5a004, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v2, 0x56802ebf, "");
SYMBOL_CRC(rtw89_mac_gen_be, 0x8274326a, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0x3532a69f, "");
SYMBOL_CRC(rtw89_phy_get_txsb, 0x25d182d1, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0x5d3f4f8f, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x876af8b3, "");
SYMBOL_CRC(rtw89_phy_read_rf_v2, 0x4d0806be, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0x6947b8f9, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0x0f686c19, "");
SYMBOL_CRC(rtw89_phy_write_rf_v2, 0xe07e7261, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0x576c5eb4, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0xefff0716, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0x534d9ca1, "");
SYMBOL_CRC(rtw89_phy_set_phy_regs, 0x73fe0c87, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0x5d67a696, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0xc11a996f, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0x3ce9818a, "");
SYMBOL_CRC(rtw89_phy_rfk_pre_ntfy_and_wait, 0x6f2deb0e, "");
SYMBOL_CRC(rtw89_phy_rfk_tssi_and_wait, 0xf530bfd3, "");
SYMBOL_CRC(rtw89_phy_rfk_iqk_and_wait, 0x695d0aaf, "");
SYMBOL_CRC(rtw89_phy_rfk_dpk_and_wait, 0x535e8875, "");
SYMBOL_CRC(rtw89_phy_rfk_txgapk_and_wait, 0xdaca239d, "");
SYMBOL_CRC(rtw89_phy_rfk_dack_and_wait, 0x97712fd3, "");
SYMBOL_CRC(rtw89_phy_rfk_rxdck_and_wait, 0x4e6b91f4, "");
SYMBOL_CRC(rtw89_rfk_chan_lookup, 0x90cfabe6, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x844c0813, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x5a86aa59, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x69427b31, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x58f9a1e6, "");
SYMBOL_CRC(rtw89_phy_get_kpath, 0x6917b601, "");
SYMBOL_CRC(rtw89_phy_get_syn_sel, 0x7ae2fa48, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x4c085ff4, "");
SYMBOL_CRC(rtw89_phy_gen_be, 0x1ca117ed, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0x8b1d8cc3, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v2, 0xf0be5a9b, "");
SYMBOL_CRC(rtw89_fw_h2c_default_dmac_tbl_v2, 0x05beb1f0, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam, 0x1770bec3, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam_v1, 0xd63e6d8b, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl, 0x9722ce34, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl_g7, 0xffd43426, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl, 0xaaa1a95a, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl_g7, 0x1d3ba3d4, "");
SYMBOL_CRC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, 0x44713265, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon, 0x2065a44c, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon_be, 0x6c9c2c61, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0x041dcda2, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0x75360d9e, "");
SYMBOL_CRC(rtw89_efuse_read_fw_secure_be, 0xdf8f38e6, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x17b697b7, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0x9a353f16, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0xeb4ad273, "");
SYMBOL_CRC(rtw89_ser_notify, 0xcf6ee409, "");
SYMBOL_CRC(rtw89_linear_2_db, 0x8b2996f1, "");
SYMBOL_CRC(rtw89_db_2_linear, 0xe44a7282, "");
SYMBOL_CRC(rtw89_debug_mask, 0xe3f57b04, "");
SYMBOL_CRC(rtw89_debug, 0x5d2a4787, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c3e21a0, "ieee80211_stop_queues" },
	{ 0xe2b9e5e0, "skb_trim" },
	{ 0x4fd7c1f5, "skb_unlink" },
	{ 0x8a28db2e, "seq_read" },
	{ 0x90fe9b78, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2e47a299, "alloc_netdev_dummy" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xbdf688d5, "ieee80211_scan_completed" },
	{ 0xb905ac06, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9f530828, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x94f95a6e, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe6cb89c0, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x71ec6518, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xa781b47f, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb3508af1, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x8a9d278d, "ieee80211_cqm_rssi_notify" },
	{ 0xdc96c708, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4fd679d9, "ieee80211_queue_work" },
	{ 0x1441b311, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xdf1cc32b, "napi_disable" },
	{ 0xf9b40cd9, "dev_kfree_skb_any_reason" },
	{ 0x5e79b3ae, "_dev_printk" },
	{ 0xa35465f3, "single_open" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x45a58a87, "debugfs_create_dir" },
	{ 0x81fb393d, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf88f3660, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb282212b, "ieee80211_stop_tx_ba_session" },
	{ 0xde44d5f2, "ieee80211_gtk_rekey_notify" },
	{ 0x7c40b351, "device_set_wakeup_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xa48c64cc, "ieee80211_connection_loss" },
	{ 0xb1f8c3c1, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe067f1c5, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x825ba731, "__ieee80211_schedule_txq" },
	{ 0x6e9e60f2, "ieee80211_txq_get_depth" },
	{ 0xeb21ee08, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x4e1d8ee0, "cfg80211_bss_iter" },
	{ 0x65a4bb69, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe94f0ced, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x66ab016d, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd9050ff1, "ieee80211_free_hw" },
	{ 0x43ffd081, "ieee80211_probereq_get" },
	{ 0x943c4473, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x10907ae1, "request_firmware" },
	{ 0x559d8ba3, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x52d5148, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7fa7266f, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xe4f69f96, "ieee80211_nullfunc_get" },
	{ 0xb1400f6c, "pcpu_hot" },
	{ 0x50f67bd0, "seq_lseek" },
	{ 0xd68bf236, "ieee80211_pspoll_get" },
	{ 0xfee30d13, "ieee80211_register_hw" },
	{ 0x743d3a56, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3715908, "ieee80211_restart_hw" },
	{ 0x31cd1367, "__netif_napi_del" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa460a689, "pskb_expand_head" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x41d7cafa, "ieee80211_find_sta" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x2dc5a382, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x1dab0efe, "ieee80211_set_key_rx_seq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x342be9be, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xeffe38b, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xbf087030, "wiphy_to_ieee80211_hw" },
	{ 0x264ad967, "ieee80211_gtk_rekey_add" },
	{ 0x4051d39d, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xbc887f72, "_dev_err" },
	{ 0x7353e202, "simple_open" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6bd05613, "sk_skb_reason_drop" },
	{ 0xfc610b2f, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x376457e4, "ieee80211_remain_on_channel_expired" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x62cfdb0, "skb_push" },
	{ 0x1c509832, "napi_enable" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x8a44f0b4, "seq_putc" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x96e35e57, "ieee80211_wake_queues" },
	{ 0xe98392ae, "free_netdev" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x685c76bf, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe3b37516, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4368048b, "dev_coredumpv" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x7a9a4feb, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xed208c51, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfa3fd6d4, "ieee80211_emulate_add_chanctx" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6f98978d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x1ccc2366, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xd5b7628b, "ieee80211_ready_on_channel" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "F8D9D6D239D95E7760BCDA6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
