#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x716265c7, "debugfs_initialized" },
	{ 0xd8c9bc20, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3e97511f, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xdce9feef, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdb372aba, "pci_enable_msix_range" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0xaecdee17, "pci_select_bars" },
	{ 0x25c1e982, "pci_enable_msi" },
	{ 0xbc887f72, "_dev_err" },
	{ 0x7353e202, "simple_open" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x67fb02d0, "debugfs_remove" },
	{ 0x2ea15aec, "pci_read_config_word" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x941d007f, "pci_iounmap" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0x375dc296, "__kmalloc_cache_node_noprof" },
	{ 0xbc4a6884, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe3b8daa6, "dma_set_coherent_mask" },
	{ 0x5e00987c, "ntb_register_device" },
	{ 0x90fe9b78, "debugfs_create_file" },
	{ 0x3b01554e, "pci_release_regions" },
	{ 0x817bbfd8, "pci_write_config_byte" },
	{ 0x7dba0123, "pci_disable_msix" },
	{ 0x24d09dc9, "pci_disable_device" },
	{ 0xe5ea1c59, "dma_set_mask" },
	{ 0xe202e3b0, "pci_read_config_byte" },
	{ 0x4ea5e793, "ntb_unregister_device" },
	{ 0xe319d657, "param_ops_int" },
	{ 0x45a58a87, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x871d386, "param_ops_ullong" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe6f4e5e, "ntb_link_event" },
	{ 0xebb7c0f1, "ntb_db_event" },
	{ 0xeb21ee08, "param_ops_uint" },
	{ 0x51891a1b, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x43620e80, "pci_iomap" },
	{ 0xd21c5139, "iowrite64_lo_hi" },
	{ 0x1de52269, "__kmalloc_node_noprof" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x8b0a4b64, "__pci_register_driver" },
	{ 0x5b26a40, "pci_disable_msi" },
	{ 0x3e5a87a9, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "ntb");

MODULE_ALIAS("pci:v00008086d00003725sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003C0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000E0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002F0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00006F0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003726sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003C0Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000E0Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002F0Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00006F0Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003C0Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000E0Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002F0Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00006F0Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000201Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000347Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DB4sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "908794A4C2E184F0A8F1DF5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
