#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pwrseq_device_register, "_gpl", "");
KSYMTAB_FUNC(pwrseq_device_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_pwrseq_device_register, "_gpl", "");
KSYMTAB_FUNC(pwrseq_device_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(pwrseq_get, "_gpl", "");
KSYMTAB_FUNC(pwrseq_put, "_gpl", "");
KSYMTAB_FUNC(devm_pwrseq_get, "_gpl", "");
KSYMTAB_FUNC(pwrseq_power_on, "_gpl", "");
KSYMTAB_FUNC(pwrseq_power_off, "_gpl", "");

SYMBOL_CRC(pwrseq_device_register, 0x7dbbebe8, "_gpl");
SYMBOL_CRC(pwrseq_device_unregister, 0x74730198, "_gpl");
SYMBOL_CRC(devm_pwrseq_device_register, 0x0313ab92, "_gpl");
SYMBOL_CRC(pwrseq_device_get_drvdata, 0xc6650d5c, "_gpl");
SYMBOL_CRC(pwrseq_get, 0xdf5a3c0d, "_gpl");
SYMBOL_CRC(pwrseq_put, 0xdb61449c, "_gpl");
SYMBOL_CRC(devm_pwrseq_get, 0xb8c4f5bf, "_gpl");
SYMBOL_CRC(pwrseq_power_on, 0x809bb19b, "_gpl");
SYMBOL_CRC(pwrseq_power_off, 0xca3fe8c9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc241cbba, "put_device" },
	{ 0x11042016, "bus_for_each_dev" },
	{ 0xff689ef3, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x9f27c5e8, "radix_tree_delete" },
	{ 0xb61cab8b, "bus_unregister" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xbc887f72, "_dev_err" },
	{ 0xeed7fd81, "up_write" },
	{ 0xf9aab787, "bus_find_device" },
	{ 0x5dbaf085, "device_add" },
	{ 0x1c8b089a, "radix_tree_next_chunk" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x67fb02d0, "debugfs_remove" },
	{ 0x6573f300, "ida_free" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x3ced8f19, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x8a28db2e, "seq_read" },
	{ 0x90fe9b78, "debugfs_create_file" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe6cb89c0, "seq_write" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x71ec6518, "seq_printf" },
	{ 0xb4f5c18, "device_match_any" },
	{ 0xa234418b, "seq_open" },
	{ 0x2c8ed44c, "__devm_add_action" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xbb53856b, "up_read" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x27d6aff3, "__dev_fwnode" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x11816e3b, "bus_register" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x424a5563, "try_module_get" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x4acb51b, "radix_tree_insert" },
	{ 0xc2fe40bf, "dev_set_name" },
	{ 0xfc9bb0c9, "seq_release" },
	{ 0x5fc9d3f0, "radix_tree_lookup" },
	{ 0x2a39f879, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x50f67bd0, "seq_lseek" },
	{ 0x1a2ec218, "get_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xce35e9d, "device_set_node" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C5E8E63B0329A24A5B9E22C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
