#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rpmsg_class, "", "");
KSYMTAB_FUNC(rpmsg_create_channel, "", "");
KSYMTAB_FUNC(rpmsg_release_channel, "", "");
KSYMTAB_FUNC(rpmsg_create_ept, "", "");
KSYMTAB_FUNC(rpmsg_destroy_ept, "", "");
KSYMTAB_FUNC(rpmsg_send, "", "");
KSYMTAB_FUNC(rpmsg_sendto, "", "");
KSYMTAB_FUNC(rpmsg_send_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_trysend, "", "");
KSYMTAB_FUNC(rpmsg_trysendto, "", "");
KSYMTAB_FUNC(rpmsg_poll, "", "");
KSYMTAB_FUNC(rpmsg_trysend_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_set_flow_control, "_gpl", "");
KSYMTAB_FUNC(rpmsg_get_mtu, "", "");
KSYMTAB_FUNC(rpmsg_find_device, "", "");
KSYMTAB_FUNC(rpmsg_register_device_override, "", "");
KSYMTAB_FUNC(rpmsg_register_device, "", "");
KSYMTAB_FUNC(rpmsg_unregister_device, "", "");
KSYMTAB_FUNC(__register_rpmsg_driver, "", "");
KSYMTAB_FUNC(unregister_rpmsg_driver, "", "");

SYMBOL_CRC(rpmsg_class, 0xaab33762, "");
SYMBOL_CRC(rpmsg_create_channel, 0xd49964e6, "");
SYMBOL_CRC(rpmsg_release_channel, 0x4f5f3859, "");
SYMBOL_CRC(rpmsg_create_ept, 0x95582610, "");
SYMBOL_CRC(rpmsg_destroy_ept, 0x12dd999b, "");
SYMBOL_CRC(rpmsg_send, 0xb819cbd9, "");
SYMBOL_CRC(rpmsg_sendto, 0x38c7ab34, "");
SYMBOL_CRC(rpmsg_send_offchannel, 0xdddf8349, "");
SYMBOL_CRC(rpmsg_trysend, 0xcd3c3254, "");
SYMBOL_CRC(rpmsg_trysendto, 0x674cbf0f, "");
SYMBOL_CRC(rpmsg_poll, 0xf2eb7e20, "");
SYMBOL_CRC(rpmsg_trysend_offchannel, 0xb9de68d8, "");
SYMBOL_CRC(rpmsg_set_flow_control, 0x6a428f78, "_gpl");
SYMBOL_CRC(rpmsg_get_mtu, 0xdc177e18, "");
SYMBOL_CRC(rpmsg_find_device, 0xbd3b5c03, "");
SYMBOL_CRC(rpmsg_register_device_override, 0xa0365b13, "");
SYMBOL_CRC(rpmsg_register_device, 0xca6f78ec, "");
SYMBOL_CRC(rpmsg_unregister_device, 0x3eb4869a, "");
SYMBOL_CRC(__register_rpmsg_driver, 0xe4d493b1, "");
SYMBOL_CRC(unregister_rpmsg_driver, 0xf30428e9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbc887f72, "_dev_err" },
	{ 0x16eefa5b, "device_find_child" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5a921311, "strncmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x754d539c, "strlen" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc2fe40bf, "dev_set_name" },
	{ 0x2a39f879, "device_initialize" },
	{ 0x31a17d3d, "driver_set_override" },
	{ 0x5dbaf085, "device_add" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc241cbba, "put_device" },
	{ 0xee8df42c, "device_unregister" },
	{ 0x99c520e8, "driver_register" },
	{ 0xe6fc3ad7, "driver_unregister" },
	{ 0x8245f17c, "class_register" },
	{ 0x92997ed8, "_printk" },
	{ 0x11816e3b, "bus_register" },
	{ 0x2906b96, "class_destroy" },
	{ 0xb61cab8b, "bus_unregister" },
	{ 0x8d6fc4e9, "dev_pm_domain_attach" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcb6c041a, "dev_pm_domain_detach" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6B950788EA1B7C82C3DBF18");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
