#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x89319966, "sdio_claim_irq" },
	{ 0x7ddb378c, "sdio_enable_func" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x754d539c, "strlen" },
	{ 0x225b1541, "crypto_alloc_shash" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x4596a252, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6fc7c20c, "sdio_readb" },
	{ 0x7edf3528, "sdio_writeb" },
	{ 0xa73eb71f, "alloc_etherdev_mqs" },
	{ 0x71a8bf38, "sdio_release_host" },
	{ 0x4fa5f7b0, "sdio_disable_func" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbc3185cc, "sdio_set_block_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x65a4bb69, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6a1d0e00, "sdio_claim_host" },
	{ 0xcbb17ef2, "sdio_memcpy_fromio" },
	{ 0xe94f0ced, "consume_skb" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x29633eaf, "unregister_netdev" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x10907ae1, "request_firmware" },
	{ 0x2163eef0, "dev_alloc_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1400f6c, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xca78f0db, "sdio_memcpy_toio" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x27543c70, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x307105b0, "dev_addr_mod" },
	{ 0xbc5c12d3, "crypto_destroy_tfm" },
	{ 0x2455adfe, "eth_type_trans" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9bebf5fb, "sdio_release_irq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x533a404e, "sdio_unregister_driver" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xbc887f72, "_dev_err" },
	{ 0xeb756d86, "crypto_shash_setkey" },
	{ 0x24d273d1, "add_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x78af7c76, "wireless_send_event" },
	{ 0x95d5f846, "register_netdev" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xe98392ae, "free_netdev" },
	{ 0xfeb66da6, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x87226637, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x92d46ce7, "__sdio_register_driver" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xbe108ec9, "netif_rx" },
	{ 0x1ccc2366, "__netdev_alloc_skb" },
	{ 0xbb973244, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x37aef423, "crypto_shash_finup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfacaaa08, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x5c3db398, "netif_carrier_on" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");

MODULE_ALIAS("sdio:c*v005Bd7910*");
MODULE_ALIAS("sdio:c*v0023d7910*");

MODULE_INFO(srcversion, "FEC3D83C3C31D600792C8F7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
