#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__tb_ring_enqueue, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll_complete, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_rx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_start, "_gpl", "");
KSYMTAB_FUNC(tb_ring_stop, "_gpl", "");
KSYMTAB_FUNC(tb_ring_free, "_gpl", "");
KSYMTAB_FUNC(tb_property_create_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_free_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_immediate, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_data, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_text, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_remove, "_gpl", "");
KSYMTAB_FUNC(tb_property_find, "_gpl", "");
KSYMTAB_FUNC(tb_property_get_next, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_response, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_request, "_gpl", "");
KSYMTAB_FUNC(tb_register_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_register_service_driver, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_service_driver, "_gpl", "");
KSYMTAB_DATA(tb_service_type, "_gpl", "");
KSYMTAB_DATA(tb_xdomain_type, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_enable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_disable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_enable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_disable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_uuid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_route, "_gpl", "");
KSYMTAB_FUNC(tb_register_property_dir, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_property_dir, "_gpl", "");

SYMBOL_CRC(__tb_ring_enqueue, 0x331906c1, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0x88c9a6e6, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0x15d1d73c, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0x1732353f, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0x0560f5b3, "_gpl");
SYMBOL_CRC(tb_ring_start, 0x1a0c7d71, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0x0189ee46, "_gpl");
SYMBOL_CRC(tb_ring_free, 0xc64738f4, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x01d23ee1, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0x393b4f2f, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0x658e3d97, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xa3d2b403, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0xb7c7cdce, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0x8b62f95e, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x785eb82c, "_gpl");
SYMBOL_CRC(tb_property_find, 0x4e5064a7, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x73ad2acb, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0x22afd77a, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0xc8aa9ef7, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x4e64bdfd, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0xf76028c7, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0xb3cd27cb, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0x4740c6b3, "_gpl");
SYMBOL_CRC(tb_service_type, 0xcff43ff3, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0x21abd5c6, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0x5f6f5450, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0x615569c0, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0xcbc41601, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0x713c8d4f, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0x86467a6e, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0xac7c73ea, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0x0155c095, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0xc3d0d375, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0xc78718fb, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0xb235ca66, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xf1cfd1ff, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0x603249ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xe3b8daa6, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8a28db2e, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc6d42e32, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xdb9fdcc8, "pm_runtime_forbid" },
	{ 0x90fe9b78, "debugfs_create_file" },
	{ 0x204b8eb5, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x919f0d11, "pm_runtime_allow" },
	{ 0x77910083, "trace_event_buffer_reserve" },
	{ 0x7ec90882, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x82d80560, "acpi_fetch_acpi_dev" },
	{ 0x9f530828, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0xe6cb89c0, "seq_write" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x71ec6518, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd38f523b, "kobject_uevent" },
	{ 0x927dc6fe, "device_iommu_capable" },
	{ 0xdc96c708, "single_release" },
	{ 0xe5ea1c59, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbe174d2d, "pci_walk_bus" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x831bff89, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x1fba43b3, "nvmem_register" },
	{ 0xc794ec6, "pcim_iomap_table" },
	{ 0x37ba6385, "__pm_runtime_suspend" },
	{ 0x62e4450e, "component_add" },
	{ 0x754d539c, "strlen" },
	{ 0x294ddd5, "__pm_runtime_use_autosuspend" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa35465f3, "single_open" },
	{ 0xecfeea22, "pcim_enable_device" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x173af599, "__pm_runtime_disable" },
	{ 0x225b1541, "crypto_alloc_shash" },
	{ 0x45a58a87, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xce2001fd, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x99c520e8, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xd8f17e57, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x27d6aff3, "__dev_fwnode" },
	{ 0x9985ff13, "pci_bus_type" },
	{ 0xdac18ea, "pci_write_config_dword" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x11816e3b, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3aebc2a6, "pci_find_ext_capability" },
	{ 0xe067f1c5, "is_acpi_device_node" },
	{ 0xc6f1f94f, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xeb7041c, "bpf_trace_run4" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x9dc5283a, "devm_request_threaded_irq" },
	{ 0xeb21ee08, "param_ops_uint" },
	{ 0xd30a391a, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x302d5e72, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xc2fe40bf, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xbb3df215, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x460ca301, "trace_raw_output_prep" },
	{ 0xee8df42c, "device_unregister" },
	{ 0x705d3ae7, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5d658b5e, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xb2c60048, "nvmem_unregister" },
	{ 0xbab72d70, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8b0a4b64, "__pci_register_driver" },
	{ 0x2a39f879, "device_initialize" },
	{ 0x8095536c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xef7205f0, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1400f6c, "pcpu_hot" },
	{ 0x50f67bd0, "seq_lseek" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0x7f12aae6, "acpi_find_child_by_adr" },
	{ 0xb71705eb, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x568b82de, "pci_irq_vector" },
	{ 0x1a2ec218, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xd8c9bc20, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x23c37ad3, "trace_seq_puts" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x8a7edc47, "dev_driver_string" },
	{ 0xb6c75d9c, "trace_event_buffer_commit" },
	{ 0xbc5c12d3, "crypto_destroy_tfm" },
	{ 0x3e97511f, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb19e3f7e, "__pm_runtime_set_status" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xb4390695, "pm_wakeup_dev_event" },
	{ 0x5c2a117e, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0xd2cc05ac, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdea56e0a, "debugfs_lookup_and_remove" },
	{ 0xc241cbba, "put_device" },
	{ 0x2dc92a22, "devm_free_irq" },
	{ 0xb16e3482, "pm_runtime_enable" },
	{ 0xf87aaeac, "device_for_each_child_reverse" },
	{ 0xa916b694, "strnlen" },
	{ 0x2450cd7, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x11042016, "bus_for_each_dev" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0x92c50254, "sysfs_create_link" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xc68e5f18, "pcim_iomap_regions" },
	{ 0xd9712eeb, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc559074b, "perf_trace_run_bpf_submit" },
	{ 0xb61cab8b, "bus_unregister" },
	{ 0xbc887f72, "_dev_err" },
	{ 0x11f3950b, "device_wakeup_enable" },
	{ 0xeb756d86, "crypto_shash_setkey" },
	{ 0xf9aab787, "bus_find_device" },
	{ 0x5dbaf085, "device_add" },
	{ 0xc098ec51, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x75d3cc29, "device_property_read_u8_array" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2bd0b283, "bpf_trace_run5" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x6a045dc, "pci_device_is_present" },
	{ 0x26b29d32, "dma_alloc_attrs" },
	{ 0x67fb02d0, "debugfs_remove" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x8a44f0b4, "seq_putc" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x496d275, "trace_event_reg" },
	{ 0xac96dded, "crypto_shash_digest" },
	{ 0x6573f300, "ida_free" },
	{ 0xe6fc3ad7, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x16eefa5b, "device_find_child" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xf23d5faa, "device_register" },
	{ 0x3ced8f19, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0x87ebd530, "unregister_acpi_bus_type" },
	{ 0xbd1a03f3, "acpi_get_first_physical_node" },
	{ 0xbc4a6884, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xba1008c8, "__crc32c_le" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x4f0a12f8, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A833sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A834sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "64B6BD4FEDA6A5FCF1BBD46");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
