#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xhci_run, "_gpl", "");
KSYMTAB_FUNC(xhci_stop, "_gpl", "");
KSYMTAB_FUNC(xhci_shutdown, "_gpl", "");
KSYMTAB_FUNC(xhci_suspend, "_gpl", "");
KSYMTAB_FUNC(xhci_resume, "_gpl", "");
KSYMTAB_FUNC(xhci_get_endpoint_index, "_gpl", "");
KSYMTAB_FUNC(xhci_drop_endpoint, "_gpl", "");
KSYMTAB_FUNC(xhci_add_endpoint, "_gpl", "");
KSYMTAB_FUNC(xhci_check_bandwidth, "_gpl", "");
KSYMTAB_FUNC(xhci_reset_bandwidth, "_gpl", "");
KSYMTAB_FUNC(xhci_update_hub_device, "_gpl", "");
KSYMTAB_FUNC(xhci_gen_setup, "_gpl", "");
KSYMTAB_FUNC(xhci_init_driver, "_gpl", "");
KSYMTAB_FUNC(xhci_initialize_ring_info, "_gpl", "");
KSYMTAB_FUNC(xhci_get_ep_ctx, "_gpl", "");
KSYMTAB_FUNC(xhci_remove_secondary_interrupter, "_gpl", "");
KSYMTAB_FUNC(xhci_create_secondary_interrupter, "_gpl", "");
KSYMTAB_FUNC(xhci_ext_cap_init, "_gpl", "");
KSYMTAB_FUNC(xhci_msi_irq, "_gpl", "");
KSYMTAB_FUNC(xhci_port_state_to_neutral, "_gpl", "");
KSYMTAB_FUNC(xhci_hub_control, "_gpl", "");
KSYMTAB_FUNC(xhci_dbg_trace, "_gpl", "");
KSYMTAB_DATA(__tracepoint_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_FUNC(__traceiter_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_DATA(__tracepoint_xhci_dbg_init, "_gpl", "");
KSYMTAB_FUNC(__traceiter_xhci_dbg_init, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_xhci_dbg_init, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_xhci_dbg_init, "_gpl", "");

SYMBOL_CRC(xhci_run, 0xd84c06eb, "_gpl");
SYMBOL_CRC(xhci_stop, 0xf264ec30, "_gpl");
SYMBOL_CRC(xhci_shutdown, 0xdb860d14, "_gpl");
SYMBOL_CRC(xhci_suspend, 0x6cd69c26, "_gpl");
SYMBOL_CRC(xhci_resume, 0xe8be7f70, "_gpl");
SYMBOL_CRC(xhci_get_endpoint_index, 0x57d4050a, "_gpl");
SYMBOL_CRC(xhci_drop_endpoint, 0xcfe3f217, "_gpl");
SYMBOL_CRC(xhci_add_endpoint, 0xbadc2c05, "_gpl");
SYMBOL_CRC(xhci_check_bandwidth, 0xd427bca8, "_gpl");
SYMBOL_CRC(xhci_reset_bandwidth, 0x3d362579, "_gpl");
SYMBOL_CRC(xhci_update_hub_device, 0x0c9c51e2, "_gpl");
SYMBOL_CRC(xhci_gen_setup, 0x6c4f28c8, "_gpl");
SYMBOL_CRC(xhci_init_driver, 0xd5e5607d, "_gpl");
SYMBOL_CRC(xhci_initialize_ring_info, 0x7b84aa15, "_gpl");
SYMBOL_CRC(xhci_get_ep_ctx, 0x13b43bcf, "_gpl");
SYMBOL_CRC(xhci_remove_secondary_interrupter, 0x3461eed5, "_gpl");
SYMBOL_CRC(xhci_create_secondary_interrupter, 0x0511e8aa, "_gpl");
SYMBOL_CRC(xhci_ext_cap_init, 0xd6bc2fff, "_gpl");
SYMBOL_CRC(xhci_msi_irq, 0x88fac4e8, "_gpl");
SYMBOL_CRC(xhci_port_state_to_neutral, 0x1cdd0605, "_gpl");
SYMBOL_CRC(xhci_hub_control, 0x963849a6, "_gpl");
SYMBOL_CRC(xhci_dbg_trace, 0x9f9c3322, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_quirks, 0x7e9e2cfc, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_quirks, 0x4c549b36, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_quirks, 0xf47f16aa, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_quirks, 0xabf03fc3, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_init, 0x3a02fb63, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_init, 0xa2402218, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_init, 0x77f93e70, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_init, 0x8a5c1029, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed28bc78, "debugfs_create_regset32" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x82056311, "platform_device_add_resources" },
	{ 0x66f8b6b7, "usb_hcd_check_unlink_urb" },
	{ 0xd1108a5b, "iommu_get_domain_for_dev" },
	{ 0x9f27c5e8, "radix_tree_delete" },
	{ 0xe289fd1e, "device_create_managed_software_node" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc559074b, "perf_trace_run_bpf_submit" },
	{ 0xbc887f72, "_dev_err" },
	{ 0xc368ac1e, "usb_hcd_end_port_resume" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x209d5377, "platform_device_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x26b29d32, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x67fb02d0, "debugfs_remove" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xb8201446, "platform_device_add" },
	{ 0x496d275, "trace_event_reg" },
	{ 0x193ff690, "platform_device_alloc" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x8b5d9c9f, "bpf_trace_run1" },
	{ 0xe5f68c12, "usb_hcd_link_urb_to_ep" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0x375dc296, "__kmalloc_cache_node_noprof" },
	{ 0xb191eb32, "usb_hcd_is_primary_hcd" },
	{ 0xb22e16d5, "radix_tree_maybe_preload" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x192b2fa1, "usb_acpi_power_manageable" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa391f2df, "usb_hub_clear_tt_buffer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe3b8daa6, "dma_set_coherent_mask" },
	{ 0x910c04bd, "trace_seq_acquire" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0xfccf0ad2, "bpf_trace_run3" },
	{ 0x8a28db2e, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xdb9fdcc8, "pm_runtime_forbid" },
	{ 0x90fe9b78, "debugfs_create_file" },
	{ 0x204b8eb5, "dma_free_attrs" },
	{ 0x919f0d11, "pm_runtime_allow" },
	{ 0x77910083, "trace_event_buffer_reserve" },
	{ 0x12436f82, "usb_hcd_giveback_urb" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x71ec6518, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe81aecbc, "usb_hcd_poll_rh_status" },
	{ 0xa958b54, "usb_acpi_set_power_state" },
	{ 0xbaea16a2, "usb_disable_xhci_ports" },
	{ 0xdc96c708, "single_release" },
	{ 0xe5ea1c59, "dma_set_mask" },
	{ 0x2971fd42, "usb_debug_root" },
	{ 0x2c8ed44c, "__devm_add_action" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xe319d657, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa35465f3, "single_open" },
	{ 0xd82d92aa, "usb_hcd_unmap_urb_for_dma" },
	{ 0x45a58a87, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x7bc4421b, "usb_root_hub_lost_power" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x871d386, "param_ops_ullong" },
	{ 0xe39833c4, "platform_device_put" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xedc87883, "usb_asmedia_modifyflowcontrol" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd30a391a, "dma_pool_create" },
	{ 0x4acb51b, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x3720ae74, "usb_hcd_resume_root_hub" },
	{ 0x29769f5a, "usb_hcd_unlink_urb_from_ep" },
	{ 0x759b9910, "usb_hcd_start_port_resume" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4f496f8c, "usb_amd_pt_check_port" },
	{ 0xb678b4eb, "usb_hc_died" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x460ca301, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5d658b5e, "__trace_trigger_soft_disabled" },
	{ 0x5fc9d3f0, "radix_tree_lookup" },
	{ 0x1de52269, "__kmalloc_node_noprof" },
	{ 0x3dca1b96, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbab72d70, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x50108b18, "usb_wakeup_notification" },
	{ 0x8095536c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1400f6c, "pcpu_hot" },
	{ 0x50f67bd0, "seq_lseek" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xec418c16, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x148653, "vsnprintf" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x474edef, "kstrtou16_from_user" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x8a7edc47, "dev_driver_string" },
	{ 0xb6c75d9c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x7881026f, "dma_map_page_attrs" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xcb7d8d3a, "usb_hcd_map_urb_for_dma" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "193EB5556C9EA0C14EFF3A7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
