#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ljca_transfer, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_transfer_noack, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_register_event_cb, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_unregister_event_cb, "_gpl", "LJCA");

SYMBOL_CRC(ljca_transfer, 0x3805e02c, "_gpl");
SYMBOL_CRC(ljca_transfer_noack, 0x0efd22ab, "_gpl");
SYMBOL_CRC(ljca_register_event_cb, 0x2ae918a3, "_gpl");
SYMBOL_CRC(ljca_unregister_event_cb, 0x4bd7d556, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x51399387, "usb_autopm_put_interface" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9e66d1b5, "usb_register_driver" },
	{ 0xc39a65d3, "usb_submit_urb" },
	{ 0xa15e26e7, "usb_kill_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0x3ced8f19, "device_del" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xc241cbba, "put_device" },
	{ 0x3f6e0371, "usb_free_urb" },
	{ 0xe8026d2a, "usb_put_intf" },
	{ 0x65b45cb, "complete" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc887f72, "_dev_err" },
	{ 0x64bf7f49, "acpi_match_device_ids" },
	{ 0x349cba85, "strchr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbf9c5026, "usb_deregister" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa4bb4db5, "auxiliary_device_init" },
	{ 0xe067f1c5, "is_acpi_device_node" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x22ca210a, "acpi_dev_for_each_child" },
	{ 0x6f9a6ad2, "set_primary_fwnode" },
	{ 0x8c16982d, "__auxiliary_device_add" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0x302d5e72, "devm_kmalloc" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xb0a1b1db, "usb_get_intf" },
	{ 0x93c7edeb, "usb_find_common_endpoints" },
	{ 0x555a6ccb, "usb_alloc_urb" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x53361ac0, "usb_enable_autosuspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc424c35a, "usb_autopm_get_interface" },
	{ 0x335f1713, "usb_bulk_msg" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v8086p0B63d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "A15024BFEA417CF9D6B9AB5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
