#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0xcadcbbe1, "");
SYMBOL_CRC(w1_remove_master_device, 0x81d34fde, "");
SYMBOL_CRC(w1_register_family, 0x21e1ba10, "");
SYMBOL_CRC(w1_unregister_family, 0x84939ce7, "");
SYMBOL_CRC(w1_touch_bit, 0x3ed84b78, "_gpl");
SYMBOL_CRC(w1_write_8, 0xf64f8a1a, "_gpl");
SYMBOL_CRC(w1_triplet, 0x248b7165, "_gpl");
SYMBOL_CRC(w1_read_8, 0x8e8d9e8e, "_gpl");
SYMBOL_CRC(w1_write_block, 0x6ec3f0a1, "_gpl");
SYMBOL_CRC(w1_touch_block, 0x71a91528, "_gpl");
SYMBOL_CRC(w1_read_block, 0x7762a0f1, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0xe85e2c8a, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0x7aeddc2e, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0xd4278797, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0x74c77399, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xef8209ca, "cn_netlink_send_mult" },
	{ 0xc241cbba, "put_device" },
	{ 0x2450cd7, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3118c1cb, "_dev_info" },
	{ 0xc77b7555, "flush_signals" },
	{ 0xe8bc40c5, "cn_netlink_send" },
	{ 0xb61cab8b, "bus_unregister" },
	{ 0xbc887f72, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc2a24cc3, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xe6fc3ad7, "driver_unregister" },
	{ 0x69126011, "sysfs_create_group" },
	{ 0xcc4ef168, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf23d5faa, "device_register" },
	{ 0xf8c88e86, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7483e13, "cn_del_callback" },
	{ 0x8125918d, "kthread_create_on_node" },
	{ 0x815cec85, "pv_ops" },
	{ 0xb4958ace, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0xd38f523b, "kobject_uevent" },
	{ 0xad439333, "hwmon_device_unregister" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xe319d657, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99c520e8, "driver_register" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6058e992, "cn_add_callback" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x11816e3b, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc2fe40bf, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xee8df42c, "device_unregister" },
	{ 0x87f2072f, "sysfs_remove_groups" },
	{ 0xd66a781a, "sysfs_create_groups" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xdfea07cb, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1cfda36b, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "356F96E0613B339AC1472F9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
