#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb67826c2, "unlock_two_nondirectories" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x4528f282, "__fscrypt_prepare_rename" },
	{ 0x38031571, "dquot_resume" },
	{ 0x2bd0b283, "bpf_trace_run5" },
	{ 0x5ee67fc9, "bdev_fput" },
	{ 0x3779fe05, "setattr_copy" },
	{ 0xb6849f, "jbd2_journal_release_jbd_inode" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1e4d926f, "jbd2_fc_begin_commit" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0x52998ee4, "write_cache_pages" },
	{ 0xb32d64a2, "file_update_time" },
	{ 0xbbfb324a, "__wait_on_buffer" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x30b30ad7, "fscrypt_ioctl_set_policy" },
	{ 0x64ee5da4, "set_nlink" },
	{ 0x87c8caa4, "kmem_cache_alloc_lru_noprof" },
	{ 0x813e2af0, "kmem_cache_free" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x7fb51c26, "security_inode_init_security" },
	{ 0x8a44f0b4, "seq_putc" },
	{ 0x5dbc3970, "fscrypt_decrypt_bio" },
	{ 0xa3441e3c, "jbd2_journal_revoke" },
	{ 0xbd6841d4, "crc16" },
	{ 0xa035bf11, "from_kgid" },
	{ 0x948f93bc, "iomap_swapfile_activate" },
	{ 0xd5263820, "mb_cache_destroy" },
	{ 0x496d275, "trace_event_reg" },
	{ 0x8bdfc47c, "__mb_cache_entry_free" },
	{ 0xd2faa5b1, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xbcee7fc6, "generic_ci_match" },
	{ 0x1702564c, "__fscrypt_encrypt_symlink" },
	{ 0xec96bc22, "folio_wait_writeback" },
	{ 0xa06ef06f, "jbd2_journal_start_commit" },
	{ 0x67e2c0e5, "bdev_freeze" },
	{ 0x6231879e, "blkdev_issue_zeroout" },
	{ 0xe0e43bf2, "__fscrypt_prepare_link" },
	{ 0xf1e046cc, "panic" },
	{ 0x3c469138, "kobject_init_and_add" },
	{ 0xfeb66da6, "crypto_shash_update" },
	{ 0xc002ecc5, "from_vfsgid" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0x1600c1a5, "__percpu_init_rwsem" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x61347034, "mb_cache_entry_delete_or_get" },
	{ 0x4636e13c, "iov_iter_alignment" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0xe93c9148, "dax_writeback_mapping_range" },
	{ 0xa826ecb5, "jbd2_trans_will_send_data_barrier" },
	{ 0x9ef1fc7c, "folio_wait_stable" },
	{ 0x71647c2b, "jbd2_journal_extend" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xed0dda10, "d_obtain_alias" },
	{ 0x4d074287, "file_modified" },
	{ 0xe869fa69, "posix_acl_chmod" },
	{ 0xcc4ef168, "kthread_stop" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xcaab717f, "__bread_gfp" },
	{ 0xed6695aa, "from_kprojid" },
	{ 0x275b4ffa, "bdev_file_open_by_dev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc5ba5180, "fscrypt_put_encryption_info" },
	{ 0x87e66d1a, "freezing_slow_path" },
	{ 0x24531731, "folio_end_read" },
	{ 0x5da5236b, "block_dirty_folio" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5eb12cfd, "dquot_alloc_inode" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x5cc54d92, "dax_layout_busy_page" },
	{ 0x195f109f, "iomap_bmap" },
	{ 0x67a931c2, "__folio_start_writeback" },
	{ 0x8b5d9c9f, "bpf_trace_run1" },
	{ 0x870b39fe, "set_task_ioprio" },
	{ 0xbbd21bb0, "folio_end_writeback" },
	{ 0x53233a2e, "fscrypt_d_revalidate" },
	{ 0xb2d39ab9, "jbd2_journal_dirty_metadata" },
	{ 0x275723db, "proc_mkdir" },
	{ 0x670903d6, "from_kuid" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x6f25f7bc, "jbd2_journal_try_to_free_buffers" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x99245f93, "bio_associate_blkg_from_css" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x16f5f6a5, "jbd2_transaction_committed" },
	{ 0x989f057c, "iomap_fiemap" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x64713f3f, "inode_owner_or_capable" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x50b80992, "mb_cache_entry_find_first" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xcda47846, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd3269b70, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x7069daf2, "filemap_get_folios" },
	{ 0x4a1ae75e, "make_kgid" },
	{ 0xf6a1bf9c, "invalidate_bdev" },
	{ 0x83d2837e, "fscrypt_zeroout_range" },
	{ 0x39ac6dc1, "jbd2_journal_wipe" },
	{ 0xece784c2, "rb_first" },
	{ 0x91928cd1, "fscrypt_drop_inode" },
	{ 0xad16ce9e, "wbc_account_cgroup_owner" },
	{ 0x4d36fd2c, "from_kgid_munged" },
	{ 0x1a81194e, "jbd2_journal_start" },
	{ 0x7dfa2072, "down_write_trylock" },
	{ 0x6bf0c7b6, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0xbfae9e07, "utf8_validate" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x518ecb79, "dax_finish_sync_fault" },
	{ 0xd99afafa, "dquot_get_dqblk" },
	{ 0x8125918d, "kthread_create_on_node" },
	{ 0xacd81eb3, "jbd2_inode_cache" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x148f46b7, "block_read_full_folio" },
	{ 0xf7d5d173, "jbd2_fc_end_commit" },
	{ 0xa095e02e, "generic_check_addressable" },
	{ 0xfccf0ad2, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x1bf8dd78, "fscrypt_free_bounce_page" },
	{ 0x15504f69, "jbd2_journal_destroy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5e8cd1f5, "__dquot_alloc_space" },
	{ 0xcb8ee13f, "fsverity_verify_bio" },
	{ 0xf7cde068, "generic_encode_ino32_fh" },
	{ 0x86ee983e, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1429934d, "__fscrypt_inode_uses_inline_crypto" },
	{ 0xac8788d6, "__fscrypt_prepare_readdir" },
	{ 0x7a5c3cf2, "igrab" },
	{ 0x996e36a1, "_raw_write_trylock" },
	{ 0xc2d4ba47, "page_cache_sync_ra" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfd902db, "mb_cache_entry_create" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xac2ac410, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe6aab639, "kobject_del" },
	{ 0xabc718b2, "d_instantiate_new" },
	{ 0x77910083, "trace_event_buffer_reserve" },
	{ 0xcd50c9d7, "__dquot_free_space" },
	{ 0x81a1eb59, "utf8_unload" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x2481c29c, "fs_param_is_blockdev" },
	{ 0x65590e15, "jbd2_fc_wait_bufs" },
	{ 0x1bed4207, "mempool_create_node_noprof" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0xabf4c4b7, "__percpu_counter_sum" },
	{ 0x12706d34, "generic_buffers_fsync_noflush" },
	{ 0xd79fee04, "init_user_ns" },
	{ 0x2c2e044e, "file_path" },
	{ 0x87a7eaf8, "fscrypt_ioctl_add_key" },
	{ 0xe091c977, "list_sort" },
	{ 0x64c026df, "fscrypt_fname_disk_to_usr" },
	{ 0x211f0d24, "inode_set_ctime_current" },
	{ 0xd0541325, "inc_nlink" },
	{ 0x92e8e9ab, "fsverity_enqueue_verify_work" },
	{ 0xe6cb89c0, "seq_write" },
	{ 0xf4198220, "mempool_destroy" },
	{ 0xdd090d49, "__folio_put" },
	{ 0x4829cf6b, "fscrypt_enqueue_decrypt_work" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0xd93178de, "remove_proc_entry" },
	{ 0xb8a8ae9f, "get_tree_bdev" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x2715938b, "fscrypt_ioctl_get_policy" },
	{ 0x1d34f8d9, "dquot_quota_off" },
	{ 0x56470118, "__warn_printk" },
	{ 0x71ec6518, "seq_printf" },
	{ 0x9425842a, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xcbef01e5, "find_inode_by_ino_rcu" },
	{ 0x5b1349af, "touch_atime" },
	{ 0x7dfdcf6e, "__percpu_down_read" },
	{ 0x272bf0a2, "jbd2_journal_force_commit" },
	{ 0xfc2fcea2, "__lock_buffer" },
	{ 0xe44886a0, "tag_pages_for_writeback" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0x26897b52, "mb_cache_entry_get" },
	{ 0xb5aed6bc, "jbd2_log_wait_commit" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xfb6977af, "posix_acl_update_mode" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x25820c64, "fs_overflowuid" },
	{ 0x5ecdaece, "__folio_lock" },
	{ 0x2c65c674, "dquot_quota_on_mount" },
	{ 0xaac27cbc, "filemap_dirty_folio" },
	{ 0x36ca1e37, "fs_holder_ops" },
	{ 0x4456883d, "blkdev_issue_flush" },
	{ 0x47b3ba45, "is_bad_inode" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x50b7ae34, "fscrypt_set_bio_crypt_ctx" },
	{ 0x9d9598c1, "rcuwait_wake_up" },
	{ 0x87eb894b, "dquot_mark_dquot_dirty" },
	{ 0x40219f0d, "fscrypt_prepare_symlink" },
	{ 0x3131761b, "block_is_partially_uptodate" },
	{ 0x8421cd9d, "dquot_get_next_id" },
	{ 0x4ef41688, "file_bdev" },
	{ 0x26dbf39, "dquot_file_open" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xd29d329b, "generic_fh_to_parent" },
	{ 0xedb8b6ba, "__fs_parse" },
	{ 0xdc433622, "filemap_splice_read" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0x7533c170, "end_buffer_write_sync" },
	{ 0x8f585a58, "dget_parent" },
	{ 0x3828f9b4, "__seq_puts" },
	{ 0x6a3eeb5d, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xd1f603e8, "proc_create_single_data" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xac3d2574, "inode_io_list_del" },
	{ 0xcd955f8d, "jbd2_journal_lock_updates" },
	{ 0x57f5d5c2, "filemap_write_and_wait_range" },
	{ 0xf21482a4, "jbd2_journal_free_reserved" },
	{ 0x3088522b, "dquot_acquire" },
	{ 0x75883afa, "dax_zero_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x13087f30, "generic_file_llseek_size" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xbd461a, "jbd2_journal_errno" },
	{ 0x5c31d8dc, "fscrypt_prepare_new_inode" },
	{ 0x98f035e3, "fsverity_ioctl_measure" },
	{ 0x8f8e1434, "fscrypt_limit_io_blocks" },
	{ 0xabbe3b76, "generic_write_checks" },
	{ 0xdd14f75b, "dqget" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe99e7a1f, "proc_create_seq_private" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x9ce85b3b, "fscrypt_encrypt_pagecache_blocks" },
	{ 0x3888c09, "fscrypt_get_symlink" },
	{ 0x6d7c1b1f, "dqput" },
	{ 0x45986c62, "dquot_quotactl_sysfile_ops" },
	{ 0x349cba85, "strchr" },
	{ 0x34b5b8cc, "filemap_fault" },
	{ 0x225b1541, "crypto_alloc_shash" },
	{ 0xf416ac39, "dquot_writeback_dquots" },
	{ 0x2b9c507b, "d_invalidate" },
	{ 0x375df5b6, "__mark_inode_dirty" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x4e48501d, "dquot_get_next_dqblk" },
	{ 0xbef74706, "make_bad_inode" },
	{ 0xc8d91d01, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0x47a99130, "jbd2_wait_inode_data" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc12168af, "jbd2_journal_begin_ordered_truncate" },
	{ 0xbb53856b, "up_read" },
	{ 0xae0f906, "dquot_load_quota_inode" },
	{ 0xc03abe3, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x33a59625, "sb_min_blocksize" },
	{ 0xb5edc781, "drop_nlink" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd203bc07, "iomap_seek_data" },
	{ 0xb76696ce, "jbd2_journal_flush" },
	{ 0x508b73dd, "fscrypt_free_inode" },
	{ 0xd2479863, "jbd2_fc_end_commit_fallback" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3fe2ccbe, "memweight" },
	{ 0x3e0b82fa, "fscrypt_has_permitted_context" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x5d09be20, "dquot_destroy" },
	{ 0x422af4c6, "iget_failed" },
	{ 0x352d20b, "fs_param_is_uid" },
	{ 0xd9695b40, "fscrypt_symlink_getattr" },
	{ 0x29f00d43, "dquot_alloc" },
	{ 0x6e74298c, "fs_bio_set" },
	{ 0x591494a2, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1a8f1d4, "d_path" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x88762297, "blkdev_issue_discard" },
	{ 0x9b4e0fd5, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x481814c4, "mb_cache_entry_find_next" },
	{ 0xdf929370, "fs_overflowgid" },
	{ 0x5d5af3b9, "dquot_commit" },
	{ 0xfca32e07, "truncate_inode_pages" },
	{ 0xe98c3b6c, "percpu_free_rwsem" },
	{ 0x7ba59a1c, "bh_uptodate_or_lock" },
	{ 0xa2bd6784, "inode_init_owner" },
	{ 0x64e3ad5a, "generic_fillattr" },
	{ 0xe4064d53, "setattr_prepare" },
	{ 0x5eb69f17, "vfs_fsync_range" },
	{ 0x351202ea, "iget_locked" },
	{ 0x73aac32b, "shrinker_alloc" },
	{ 0x7f4cca, "generic_set_sb_d_ops" },
	{ 0x81d0f459, "fscrypt_dio_supported" },
	{ 0xbd157e8e, "clear_nlink" },
	{ 0x794a2288, "jbd2_complete_transaction" },
	{ 0x3fef9b89, "file_check_and_advance_wb_err" },
	{ 0xdf928d47, "filemap_flush" },
	{ 0x2d6c8b5a, "filemap_get_folios_tag" },
	{ 0xd436f2a, "__dquot_transfer" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x145d3ef3, "d_instantiate" },
	{ 0x8d68ec39, "fsverity_ioctl_enable" },
	{ 0x573cb103, "pagecache_isize_extended" },
	{ 0x2f8f538a, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xccb36c3, "blk_start_plug" },
	{ 0xdd2c169b, "mb_cache_create" },
	{ 0xf1cfc4a0, "clear_inode" },
	{ 0xeb7041c, "bpf_trace_run4" },
	{ 0xb929e4bb, "iocb_bio_iopoll" },
	{ 0x66d268c9, "dquot_set_dqinfo" },
	{ 0xbe146795, "dquot_commit_info" },
	{ 0x319b5d63, "jbd2_journal_invalidate_folio" },
	{ 0x5be8d1d2, "percpu_down_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x72fb4aa2, "generic_fh_to_dentry" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xbdd09b1e, "jbd2_submit_inode_data" },
	{ 0xff642ae2, "dquot_disable" },
	{ 0xae7f3d38, "__percpu_counter_init_many" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x417a2806, "__fsverity_cleanup_inode" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xa4453742, "dquot_release" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x43c0cbdd, "fs_param_is_string" },
	{ 0xa493296b, "__folio_batch_release" },
	{ 0xba9e6e47, "dquot_free_inode" },
	{ 0xab12c555, "folio_unlock" },
	{ 0x3e1b6d92, "set_blocksize" },
	{ 0xb01fac25, "fscrypt_ioctl_remove_key_all_users" },
	{ 0x3b4479f4, "fscrypt_parse_test_dummy_encryption" },
	{ 0xb0e602eb, "memmove" },
	{ 0x1c92614b, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xfcf63362, "filemap_map_pages" },
	{ 0x2437b30f, "jbd2_journal_forget" },
	{ 0xfbdeaf19, "jbd2__journal_restart" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa068ec9e, "try_to_writeback_inodes_sb" },
	{ 0x739b5e63, "jbd2_journal_stop" },
	{ 0x460ca301, "trace_raw_output_prep" },
	{ 0x6a684ac5, "dquot_get_state" },
	{ 0x520979c0, "init_special_inode" },
	{ 0x8429c4c5, "fscrypt_fname_siphash" },
	{ 0xf9ae1729, "fs_dax_get_by_bdev" },
	{ 0x6eb36ac8, "unregister_filesystem" },
	{ 0x1063751, "__fscrypt_prepare_setattr" },
	{ 0xd3a69fc2, "jbd2_journal_inode_ranged_write" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5a0ab9cb, "bpf_trace_run6" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xb4a2e873, "__fscrypt_prepare_lookup" },
	{ 0xa3bdcea5, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xc2b99478, "generic_error_remove_folio" },
	{ 0x281d4770, "__find_get_block" },
	{ 0x5d658b5e, "__trace_trigger_soft_disabled" },
	{ 0x64da7c19, "__block_write_begin" },
	{ 0xf0d9e867, "jbd2_journal_set_triggers" },
	{ 0xb32d2a35, "inode_needs_sync" },
	{ 0xeb0aceb7, "inode_set_flags" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x49212c22, "inode_query_iversion" },
	{ 0xd80d9de3, "fscrypt_ioctl_get_key_status" },
	{ 0x564bf2c0, "nop_posix_acl_access" },
	{ 0x64816c84, "jbd2_journal_load" },
	{ 0x10e569eb, "nop_posix_acl_default" },
	{ 0xa5df7f1a, "d_make_root" },
	{ 0x10171ad4, "page_cache_ra_unbounded" },
	{ 0x5720a2c4, "jbd2_journal_check_available_features" },
	{ 0xbab72d70, "trace_event_printf" },
	{ 0xccba2324, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xb5787d4a, "__fsverity_file_open" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x2a781a2a, "jbd2_journal_set_features" },
	{ 0x82947440, "sb_set_blocksize" },
	{ 0x7ea5777b, "read_cache_folio" },
	{ 0xb166237c, "invalidate_mapping_pages" },
	{ 0xd75d614, "sync_filesystem" },
	{ 0x3a90066b, "noop_dirty_folio" },
	{ 0xe1842d66, "end_buffer_read_sync" },
	{ 0x8583500d, "block_page_mkwrite" },
	{ 0x490d711f, "folio_redirty_for_writepage" },
	{ 0xd7987177, "utf8_load" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x510e45e7, "fsnotify" },
	{ 0x695b39d8, "percpu_counter_destroy_many" },
	{ 0x21ed4fe1, "d_splice_alias" },
	{ 0xc7f8a3a1, "jbd2__journal_start" },
	{ 0xd2783b13, "jbd2_journal_unlock_updates" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x4fb5da55, "fs_put_dax" },
	{ 0x8095536c, "trace_event_raw_init" },
	{ 0xfea91cce, "fiemap_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x7f41c2, "folio_zero_new_buffers" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3a3c84b3, "from_vfsuid" },
	{ 0x27b11751, "ihold" },
	{ 0x113907e3, "fs_lookup_param" },
	{ 0x40b5a267, "fsverity_verify_blocks" },
	{ 0x893cb76a, "d_find_any_alias" },
	{ 0x683712f, "inode_dio_wait" },
	{ 0x9c7b64ba, "jbd2_journal_get_create_access" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x5be3f628, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x5769c93b, "fscrypt_mergeable_bio" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xc2eec266, "finish_open" },
	{ 0xbd43cd28, "dax_iomap_rw" },
	{ 0xf6d4073b, "jbd2_journal_init_dev" },
	{ 0x376ece3a, "iput" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xb1400f6c, "pcpu_hot" },
	{ 0xdbb9132b, "fs_param_is_enum" },
	{ 0xabf3dc63, "fs_param_is_s32" },
	{ 0x9a237692, "jbd2_journal_clear_features" },
	{ 0x79ed11ce, "fscrypt_show_test_dummy_encryption" },
	{ 0xf5ae0cc5, "iter_file_splice_write" },
	{ 0xcee15078, "jbd2_journal_inode_ranged_wait" },
	{ 0x44eed8, "filemap_release_folio" },
	{ 0xec418c16, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xf3932313, "mb_cache_entry_wait_unused" },
	{ 0x9c61a26f, "remove_proc_subtree" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xdbb07b30, "dax_iomap_fault" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x685def61, "jbd2_journal_finish_inode_data_buffers" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc2bc33fc, "register_filesystem" },
	{ 0x6d61fedf, "dquot_transfer" },
	{ 0xb3d8b657, "d_tmpfile" },
	{ 0xec18bf4f, "kmem_cache_create" },
	{ 0xccb5f4ae, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd061704d, "bdev_thaw" },
	{ 0x2d8ceaf2, "jbd2_fc_release_bufs" },
	{ 0xcbbaf0d6, "sync_inode_metadata" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3db6c70b, "fscrypt_ioctl_get_policy_ex" },
	{ 0x114ef322, "dquot_drop" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfebde058, "mempool_free" },
	{ 0xc08fb6ad, "path_put" },
	{ 0x96b3e4e0, "down_read_trylock" },
	{ 0xf85e7077, "submit_bh" },
	{ 0xdd3968f4, "vfs_setpos" },
	{ 0xd6bf5f12, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfdc472eb, "fscrypt_decrypt_pagecache_blocks" },
	{ 0xc5aee93d, "make_vfsuid" },
	{ 0xe6550092, "utf8_casefold" },
	{ 0x1cfda36b, "wake_up_process" },
	{ 0x3d2ca7f2, "shrinker_free" },
	{ 0xb6c75d9c, "trace_event_buffer_commit" },
	{ 0x1d62c20e, "fscrypt_setup_filename" },
	{ 0xbc5c12d3, "crypto_destroy_tfm" },
	{ 0x3504017d, "simple_inode_init_ts" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x95e3f4e9, "sysfs_notify" },
	{ 0x6171f0d5, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x2a9bc3a2, "iomap_dio_rw" },
	{ 0xa5cdb4f7, "jbd2_fc_get_buf" },
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0x8e9883bf, "fs_param_is_u32" },
	{ 0x5e77f67, "inode_newsize_ok" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x7a41b03f, "lock_two_nondirectories" },
	{ 0x9346bd9d, "d_drop" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x1e2365b, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x48872e61, "mnt_want_write_file" },
	{ 0x9ea1fc78, "unlock_new_inode" },
	{ 0x3dff6212, "fsverity_ioctl_read_metadata" },
	{ 0x92997ed8, "_printk" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0x58f65afe, "block_invalidate_folio" },
	{ 0xa012f73, "mb_cache_entry_touch" },
	{ 0x61b573, "buffer_migrate_folio_norefs" },
	{ 0xfdaeeb57, "dquot_quota_sync" },
	{ 0xfd499b0e, "make_kprojid" },
	{ 0x44f54c9, "iomap_seek_hole" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x5a698aa7, "jbd2_journal_init_jbd_inode" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xb787db54, "jbd2_journal_get_write_access" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x7aed9680, "fscrypt_set_context" },
	{ 0x10122804, "try_to_free_buffers" },
	{ 0x49da2ab5, "make_kuid" },
	{ 0xc6688f68, "create_empty_buffers" },
	{ 0x7e8b8a7, "truncate_inode_pages_final" },
	{ 0xf62ae1aa, "block_write_end" },
	{ 0x53dbcb1a, "d_alloc" },
	{ 0xf59f147f, "sync_blockdev" },
	{ 0x35d23a3a, "fs_kobj" },
	{ 0xf4505f74, "bio_add_folio" },
	{ 0xaa29bdca, "__filemap_set_wb_err" },
	{ 0xa916b694, "strnlen" },
	{ 0x2b9c38c0, "sync_mapping_buffers" },
	{ 0x60190abf, "fscrypt_file_open" },
	{  0xc1e6c, "generic_perform_write" },
	{ 0x7db2017a, "dquot_initialize" },
	{ 0xb1796f3d, "shrinker_register" },
	{ 0xdc26e87f, "__filemap_get_folio" },
	{ 0x779e3e17, "fscrypt_set_bio_crypt_ctx_bh" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xcf4d0024, "dquot_quota_on" },
	{ 0x2450cd7, "const_pcpu_hot" },
	{ 0xc33d3cbc, "dquot_initialize_needed" },
	{ 0xa22d3cdd, "dquot_reclaim_space_nodirty" },
	{ 0x13893a9a, "__fsverity_prepare_setattr" },
	{ 0x93c5eae2, "get_inode_acl" },
	{ 0x3d082ce2, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xe9632a, "fscrypt_mergeable_bio_bh" },
	{ 0xba373e88, "invalidate_inode_buffers" },
	{ 0x42eff040, "block_commit_write" },
	{ 0x58303b99, "blk_finish_plug" },
	{ 0x3348d89f, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb3591250, "submit_bio" },
	{ 0x57f8f502, "mnt_drop_write_file" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa6a088b7, "fscrypt_match_name" },
	{ 0x3be2539f, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xe023f157, "jbd2_journal_force_commit_nested" },
	{ 0xf9424d1f, "fs_param_is_gid" },
	{ 0x51bf5533, "inode_init_once" },
	{ 0x459fb05d, "file_write_and_wait_range" },
	{ 0xc88e8ad2, "jbd2_journal_update_sb_errno" },
	{ 0x938ad1b3, "fscrypt_dummy_policies_equal" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbfec1f59, "dquot_claim_space_nodirty" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x56fe846e, "bit_waitqueue" },
	{ 0xb238d37c, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x4236e666, "__task_pid_nr_ns" },
	{ 0x619020cd, "mempool_alloc_noprof" },
	{ 0x88dc3a56, "dquot_set_dqblk" },
	{ 0x69ef6fc7, "bio_put" },
	{ 0xc666a000, "jbd2_journal_start_reserved" },
	{ 0xa7e1f5f8, "percpu_up_write" },
	{ 0x95d5b480, "jbd2_journal_clear_err" },
	{ 0xfbd2aaad, "__brelse" },
	{ 0xf1ec39cf, "posix_acl_create" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc559074b, "perf_trace_run_bpf_submit" },
	{ 0xb55df3dd, "jbd2_journal_init_inode" },
	{ 0xdaec7331, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x6f6e4ee7, "fscrypt_ioctl_get_nonce" },
	{ 0xeed7fd81, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x7cb57250, "jbd2_journal_abort" },
	{ 0xafb56d1a, "generic_file_read_iter" },
	{ 0x31a6193c, "jbd2_journal_blocks_per_page" },
	{ 0xcc4a9c7c, "inode_maybe_inc_iversion" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xac80d7fb, "thp_get_unmapped_area" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xd9f69bbf, "set_cached_acl" },
	{ 0xc7072ee4, "kmem_cache_create_usercopy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x694ff3e, "truncate_pagecache" },
	{ 0xfb46b72d, "sync_dirty_buffer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3727e36e, "init_uts_ns" },
	{ 0xf7de7d90, "insert_inode_locked" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "jbd2,mbcache");


MODULE_INFO(srcversion, "CBE566F8B0C40C84F1D24FC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
