#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x31186afd, "posix_acl_from_xattr" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x49da2ab5, "make_kuid" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x35d23a3a, "fs_kobj" },
	{ 0xaa29bdca, "__filemap_set_wb_err" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x2450cd7, "const_pcpu_hot" },
	{ 0x3d082ce2, "folio_mark_dirty" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x58303b99, "blk_finish_plug" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x51bf5533, "inode_init_once" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x56cd28fb, "readahead_expand" },
	{ 0xf1ec39cf, "posix_acl_create" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0xafb56d1a, "generic_file_read_iter" },
	{ 0x148835ac, "unlock_page" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xd9f69bbf, "set_cached_acl" },
	{ 0xc7072ee4, "kmem_cache_create_usercopy" },
	{ 0xebdf84ee, "__wake_up_locked" },
	{ 0x694ff3e, "truncate_pagecache" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x3779fe05, "setattr_copy" },
	{ 0x52998ee4, "write_cache_pages" },
	{ 0xb32d64a2, "file_update_time" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x64ee5da4, "set_nlink" },
	{ 0x87c8caa4, "kmem_cache_alloc_lru_noprof" },
	{ 0x813e2af0, "kmem_cache_free" },
	{ 0x67fb02d0, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xa035bf11, "from_kgid" },
	{ 0xec96bc22, "folio_wait_writeback" },
	{ 0x3c469138, "kobject_init_and_add" },
	{ 0x724fcf27, "sget" },
	{ 0x909b3595, "write_inode_now" },
	{ 0x9ef1fc7c, "folio_wait_stable" },
	{ 0xed0dda10, "d_obtain_alias" },
	{ 0xe869fa69, "posix_acl_chmod" },
	{ 0x9c61f7e0, "copy_page_to_iter" },
	{ 0x5ebcd50, "__put_devmap_managed_folio_refs" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24531731, "folio_end_read" },
	{ 0x40c64a72, "default_llseek" },
	{ 0xbbd21bb0, "folio_end_writeback" },
	{ 0x670903d6, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xc3b45896, "iov_iter_bvec" },
	{ 0x3f8b072b, "unpin_user_page" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd3269b70, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4a1ae75e, "make_kgid" },
	{ 0xb398d025, "end_page_writeback" },
	{ 0x6eafbe55, "mutex_lock_killable" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0x7d977199, "insert_inode_locked4" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97cda702, "set_page_dirty" },
	{ 0xd38bfb18, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8a28db2e, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x90fe9b78, "debugfs_create_file" },
	{ 0xeb7823c1, "super_setup_bdi" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xac2ac410, "generic_read_dir" },
	{ 0xabc718b2, "d_instantiate_new" },
	{ 0x11f10658, "set_page_writeback" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xd79fee04, "init_user_ns" },
	{ 0xc37f0b32, "wait_for_completion_killable_timeout" },
	{ 0x5cb83318, "invalidate_inode_pages2" },
	{ 0x211f0d24, "inode_set_ctime_current" },
	{ 0x5a155d4e, "__register_chrdev" },
	{ 0xe6cb89c0, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0xdd090d49, "__folio_put" },
	{ 0x56f38848, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9425842a, "dput" },
	{ 0xca131fc1, "iov_iter_zero" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0xf318ea1d, "generic_delete_inode" },
	{ 0xf0cb57c4, "deactivate_locked_super" },
	{ 0x5b1349af, "touch_atime" },
	{ 0x7dfdcf6e, "__percpu_down_read" },
	{ 0xd38f523b, "kobject_uevent" },
	{ 0x35e7e846, "_copy_from_iter" },
	{ 0xfb6977af, "posix_acl_update_mode" },
	{ 0x8549092d, "generic_file_open" },
	{ 0x5ecdaece, "__folio_lock" },
	{ 0xaac27cbc, "filemap_dirty_folio" },
	{ 0x9d9598c1, "rcuwait_wake_up" },
	{ 0x931c1db5, "__wake_up_locked_key" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xaa55df7c, "iov_iter_xarray" },
	{ 0xdc433622, "filemap_splice_read" },
	{ 0x94d5ea54, "posix_acl_to_xattr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa234418b, "seq_open" },
	{ 0x8f585a58, "dget_parent" },
	{ 0x3828f9b4, "__seq_puts" },
	{ 0x86b49c11, "kill_anon_super" },
	{ 0xf685fac4, "d_parent_ino" },
	{ 0xdca2ea11, "iget5_locked" },
	{ 0x57f5d5c2, "filemap_write_and_wait_range" },
	{ 0x754d539c, "strlen" },
	{ 0x6863e2ce, "generic_update_time" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xe319d657, "param_ops_int" },
	{ 0x4fc10cf2, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x34b5b8cc, "filemap_fault" },
	{ 0x45a58a87, "debugfs_create_dir" },
	{ 0x375df5b6, "__mark_inode_dirty" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x2f13ba59, "generic_file_llseek" },
	{ 0xbef74706, "make_bad_inode" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xbb53856b, "up_read" },
	{ 0xef5c86fc, "set_anon_super" },
	{ 0xb5edc781, "drop_nlink" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdaaae49f, "kmalloc_caches" },
	{ 0x422af4c6, "iget_failed" },
	{ 0x591494a2, "kmem_cache_destroy" },
	{ 0x41431619, "wait_for_completion_io_timeout" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9b4e0fd5, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x3400c443, "posix_test_lock" },
	{ 0x8736498, "pin_user_pages_fast" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xf8cc7c49, "__folio_cancel_dirty" },
	{ 0x64e3ad5a, "generic_fillattr" },
	{ 0xe4064d53, "setattr_prepare" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x31088989, "generic_fill_statx_attr" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x573cb103, "pagecache_isize_extended" },
	{ 0xccb36c3, "blk_start_plug" },
	{ 0x398971e8, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x798f5397, "grab_cache_page_write_begin" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xab12c555, "folio_unlock" },
	{ 0x1c92614b, "new_inode" },
	{ 0xfc9bb0c9, "seq_release" },
	{ 0x65b45cb, "complete" },
	{ 0xfcf63362, "filemap_map_pages" },
	{ 0x6eb36ac8, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa5df7f1a, "d_make_root" },
	{ 0xeafc141f, "__posix_acl_chmod" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xadce1670, "unpin_user_pages" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x21ed4fe1, "d_splice_alias" },
	{ 0xb01979ad, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x45c2bfb2, "unmap_mapping_range" },
	{ 0x70d994ec, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x8d14f058, "posix_lock_file" },
	{ 0x376ece3a, "iput" },
	{ 0xb1400f6c, "pcpu_hot" },
	{ 0x50f67bd0, "seq_lseek" },
	{ 0xf5ae0cc5, "iter_file_splice_write" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x8bbc6f5, "generic_file_write_iter" },
	{ 0xc2bc33fc, "register_filesystem" },
	{ 0xec18bf4f, "kmem_cache_create" },
	{ 0xccb5f4ae, "folio_clear_dirty_for_io" },
	{ 0xcbbaf0d6, "sync_inode_metadata" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xd6bf5f12, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6bb4d79b, "inode_set_bytes" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x9ea1fc78, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E34B5941A4EBBD147C15610");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
