#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x56e2a7dd, "l2tp_tunnel_dec_refcount" },
	{ 0x37a0cba, "kfree" },
	{ 0xd93178de, "remove_proc_entry" },
	{ 0x21bbb9ae, "proc_create_net_data" },
	{ 0x405b05f, "l2tp_tunnel_get_nth" },
	{ 0x337f2432, "l2tp_nl_unregister_ops" },
	{ 0x71dbecb2, "l2tp_udp_encap_recv" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc831404e, "sock_queue_rcv_skb_reason" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb317a29, "ppp_input" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa0277d34, "skb_pull" },
	{ 0xf3362edf, "__pskb_pull_tail" },
	{ 0x9ce2ab01, "l2tp_session_get_nth" },
	{ 0x3fabe37d, "lock_sock_nested" },
	{ 0xe9122c7b, "release_sock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9ae4ccbc, "ip6_mtu" },
	{ 0x3e14da64, "dst_release" },
	{ 0x10c456cb, "ppp_register_net_channel" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x1a15c5fb, "l2tp_tunnel_delete" },
	{ 0x8cc2235, "l2tp_session_create" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x2450cd7, "const_pcpu_hot" },
	{ 0xd5b6fbc9, "l2tp_session_inc_refcount" },
	{ 0xa21649c6, "l2tp_session_register" },
	{ 0xd6518dfc, "l2tp_session_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x6bfe7489, "ipv4_mtu" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4e4c999b, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe9332b85, "ppp_dev_name" },
	{ 0x71ec6518, "seq_printf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe6cb89c0, "seq_write" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x80f1e727, "l2tp_session_set_header_len" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xabcdaaf9, "pppox_unbind_sock" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2fe67f77, "sock_wmalloc" },
	{ 0x65a4bb69, "skb_put" },
	{ 0x35e7e846, "_copy_from_iter" },
	{ 0xb1400f6c, "pcpu_hot" },
	{ 0x25e53987, "l2tp_xmit_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4fc10cf2, "iov_iter_revert" },
	{ 0xa460a689, "pskb_expand_head" },
	{ 0x15fef3bf, "sock_no_bind" },
	{ 0x8d1bd06c, "sock_no_socketpair" },
	{ 0x56491446, "sock_no_accept" },
	{ 0xe6e91b0a, "datagram_poll" },
	{ 0xc89d798f, "pppox_ioctl" },
	{ 0xa21d303, "pppox_compat_ioctl" },
	{ 0x7e1e3e43, "sock_no_listen" },
	{ 0x30da4cfa, "sock_no_shutdown" },
	{ 0xe40de1cc, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x536a3dae, "register_pernet_device" },
	{ 0x2baf3624, "proto_register" },
	{ 0x7afdf5fe, "register_pppox_proto" },
	{ 0x2b2dd10, "l2tp_nl_register_ops" },
	{ 0xe0ff7a18, "unregister_pppox_proto" },
	{ 0x92997ed8, "_printk" },
	{ 0x9465232f, "proto_unregister" },
	{ 0x9b7629c2, "unregister_pernet_device" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x14344985, "l2tp_session_get" },
	{ 0x13fb644, "l2tp_session_dec_refcount" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6e493c6c, "sk_alloc" },
	{ 0x3b718453, "sock_init_data" },
	{ 0xb888c0e1, "skb_queue_purge_reason" },
	{ 0xa9ef5701, "skb_recv_datagram" },
	{ 0x2b194ad9, "skb_copy_datagram_iter" },
	{ 0x6bd05613, "sk_skb_reason_drop" },
	{ 0xf55fb572, "l2tp_tunnel_get" },
	{ 0x4f5ecc5f, "l2tp_tunnel_create" },
	{ 0x974dd062, "l2tp_tunnel_inc_refcount" },
	{ 0xba7afe6f, "l2tp_tunnel_register" },
	{ 0x7075ee0d, "module_layout" },
};

MODULE_INFO(depends, "l2tp_core,l2tp_netlink,ppp_generic,pppox");


MODULE_INFO(srcversion, "7AAF652BB9CF6810A949ECB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
